/**
 * 
 */
package com.ejie.ab60.adaptadores;

import java.util.List;

import com.ejie.ab60.clientesWS.ab61WebService.Ab61Exception;
import com.ejie.ab60.clientesWS.ab61WebService.BusquedasWS;
import com.ejie.ab60.clientesWS.ab61WebService.Origen;

/**
 *  
 * 
 */
public interface ab61WebServiceAdaptadorService {

	public String generarExcelListados(int idListado, List<BusquedasWS> listaBusquedas, String codAplic,
			Integer idProcedimiento) throws Ab61Exception;

	public String descargarDocumento(Integer idPlantilla, String procedureId, String foderId,
			String identificadorInspeccion, String codAplic) throws Ab61Exception;

	public String descargarDocumentoNegocio(Integer idPlantilla, String identificador, Origen origen, String codAplic)
			throws Ab61Exception;

	public String generarDocumento(Integer idPlantilla, String procedureId, String foderId,
			String identificadorInspeccion, String usuario) throws Ab61Exception;

	public String generarDocumentoNegocio(Integer idPlantilla, String identificador, Origen origen, String usuario)
			throws Ab61Exception;

	public String modificarDocumento(Integer idPlantilla, String procedureId, String foderId,
			String identificadorInspeccion, String usuario) throws Ab61Exception;

	public String modificarDocumentoNegocio(Integer idPlantilla, String identificador, String usuario)
			throws Ab61Exception;

	/**
	 * llama al webService que realiza la tarea indicada
	 * 
	 * @param idPlantilla
	 *            Integer
	 * @param procedureId
	 *            String
	 * @param folderId
	 *            String
	 * @param n38Login
	 *            String
	 * @return String
	 * @throws Ab61Exception
	 */
	public String aportarDocumento(Integer idPlantilla, String procedureId, String folderId, String n38Login,
			String usuario) throws Ab61Exception;

	public String aportarDocumentoNegocio(Integer idPlantilla, String procedureId, String folderId, String n38Login,
			String usuario) throws Ab61Exception;

	public String eliminarDocumento(Integer idPlantilla, String folderId, String procedureId,
			String identificadorInspeccion) throws Ab61Exception;

	public String eliminarDocumentoNegocio(Integer idPlantilla, String identificador) throws Ab61Exception;

}
