/**
 * 
 */
package com.ejie.ab60.adaptadores.service;

import com.ejie.ab60.clientesWS.X43ExpedienteElectronico.AExtensionPoint;
import com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TFolderList;
import com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TFolderQuery;
import com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TGetTelActionDocumentList;

/**
 *  
 * 
 */
public interface X43ExpedienteElectronicoService {

	/**
	 * Metodo que devuele los canalees de aviso de las personasde un expediente
	 * 
	 * @param query
	 *            TFolderQuery
	 * @param ep
	 *            AExtensionPoint
	 * @return void
	 * @throws Exception_Exception
	 *             Exception_Exception
	 */
	public TFolderList SearchFolders(TFolderQuery query, AExtensionPoint ep) throws Exception;

	/**
	 * Metodo que devuelve los documentos de un expediente
	 * 
	 * @param folderID
	 *            String
	 * @param procedureID
	 *            String
	 * @param auditUser
	 *            String
	 * @param ep
	 *            AExtensionPoint
	 * @return TGetTelActionDocumentList
	 * @throws Exception
	 */
	public TGetTelActionDocumentList GetTelActionDocuments(String folderID, String procedureID, String auditUser,
			AExtensionPoint ep) throws Exception;
}
