
package com.ejie.ab60.clientesWS.X43ExpedienteElectronico;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebService(name = "X43REEPortType", targetNamespace = "com/ejie/x43s/v2/ree/ws")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface X43REEPortType {


    /**
     * 
     * @param applicantRRI
     * @param ep
     * @param folderID
     * @param applicant
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "addFolderApplicantParticipant")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "addFolderApplicantParticipant", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.AddFolderApplicantParticipant")
    @ResponseWrapper(localName = "addFolderApplicantParticipantResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.AddFolderApplicantParticipantResponse")
    public String addFolderApplicantParticipant(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "applicant", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TApplicant applicant,
        @WebParam(name = "applicantRRI", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TApplicantRRI applicantRRI,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param svt
     * @param svtTER
     * @param proceedingID
     * @param authorizationID
     * @param ep
     * @param isApplication
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "authorizationCall")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "authorizationCall", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.AuthorizationCall")
    @ResponseWrapper(localName = "authorizationCallResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.AuthorizationCallResponse")
    public TBoolean authorizationCall(
        @WebParam(name = "authorizationID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String authorizationID,
        @WebParam(name = "proceedingID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String proceedingID,
        @WebParam(name = "svt", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TAuthSvt svt,
        @WebParam(name = "svtTER", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TAuthSvt svtTER,
        @WebParam(name = "isApplication", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TBoolean isApplication,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param dokusiID
     * @param senderID
     * @param auditUser
     * @param ep
     * @param documentRoleID
     * @param procedureID
     * @param metadataList
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "documentChangeRoleID")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "documentChangeRoleID", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentChangeRoleID")
    @ResponseWrapper(localName = "documentChangeRoleIDResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentChangeRoleIDResponse")
    public TBoolean documentChangeRoleID(
        @WebParam(name = "dokusiID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String dokusiID,
        @WebParam(name = "documentRoleID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String documentRoleID,
        @WebParam(name = "senderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TPersonIDName senderID,
        @WebParam(name = "metadataList", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TKeyValueList metadataList,
        @WebParam(name = "auditUser", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String auditUser,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param dokusiID
     * @param digitalizationDate
     * @param senderID
     * @param auditUser
     * @param ep
     * @param procedureID
     * @param documentPath
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "documentDigitalize")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "documentDigitalize", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentDigitalize")
    @ResponseWrapper(localName = "documentDigitalizeResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentDigitalizeResponse")
    public TBoolean documentDigitalize(
        @WebParam(name = "dokusiID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String dokusiID,
        @WebParam(name = "documentPath", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String documentPath,
        @WebParam(name = "digitalizationDate", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        String digitalizationDate,
        @WebParam(name = "senderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TPersonIDName senderID,
        @WebParam(name = "auditUser", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String auditUser,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param senderID
     * @param taskGUIDList
     * @param mailboxID
     * @param cause
     * @param ep
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TStringList
     */
    @WebMethod(action = "documentSignReject")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "documentSignReject", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentSignReject")
    @ResponseWrapper(localName = "documentSignRejectResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentSignRejectResponse")
    public TStringList documentSignReject(
        @WebParam(name = "taskGUIDList", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TStringList taskGUIDList,
        @WebParam(name = "senderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TPersonIDName senderID,
        @WebParam(name = "mailboxID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String mailboxID,
        @WebParam(name = "cause", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        String cause,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param request
     * @param auditUser
     * @param ep
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "documentSignRequest")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "documentSignRequest", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentSignRequest")
    @ResponseWrapper(localName = "documentSignRequestResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.DocumentSignRequestResponse")
    public TBoolean documentSignRequest(
        @WebParam(name = "request", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TDocumentSignRequest request,
        @WebParam(name = "auditUser", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String auditUser,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param authorizationTraceType
     * @param senderID
     * @param authorizationID
     * @param ep
     * @param iopTraceID
     * @param documentPath
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "getAuthorizationTrace")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "getAuthorizationTrace", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetAuthorizationTrace")
    @ResponseWrapper(localName = "getAuthorizationTraceResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetAuthorizationTraceResponse")
    public String getAuthorizationTrace(
        @WebParam(name = "authorizationID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String authorizationID,
        @WebParam(name = "iopTraceID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String iopTraceID,
        @WebParam(name = "documentPath", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String documentPath,
        @WebParam(name = "authorizationTraceType", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TAuthorizationTraceType authorizationTraceType,
        @WebParam(name = "senderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TPersonIDName senderID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param auditUser
     * @param ep
     * @param procedureID
     * @param folderID
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TFolderDocumentList
     */
    @WebMethod(action = "getFolderDocuments")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "getFolderDocuments", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetFolderDocuments")
    @ResponseWrapper(localName = "getFolderDocumentsResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetFolderDocumentsResponse")
    public TFolderDocumentList getFolderDocuments(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "auditUser", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String auditUser,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param folderIDList
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TStoreDocumentList
     */
    @WebMethod(action = "getStoredFolderDocuments")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "getStoredFolderDocuments", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetStoredFolderDocuments")
    @ResponseWrapper(localName = "getStoredFolderDocumentsResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetStoredFolderDocumentsResponse")
    public TStoreDocumentList getStoredFolderDocuments(
        @WebParam(name = "folderIDList", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TStringList folderIDList,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param auditUser
     * @param ep
     * @param procedureID
     * @param folderID
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TGetTelActionDocumentList
     */
    @WebMethod(action = "getTelActionDocuments")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "getTelActionDocuments", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetTelActionDocuments")
    @ResponseWrapper(localName = "getTelActionDocumentsResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.GetTelActionDocumentsResponse")
    public TGetTelActionDocumentList getTelActionDocuments(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "auditUser", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String auditUser,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param query
     * @param ep
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TFolderList
     */
    @WebMethod(action = "searchFolders")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "searchFolders", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.SearchFolders")
    @ResponseWrapper(localName = "searchFoldersResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.SearchFoldersResponse")
    public TFolderList searchFolders(
        @WebParam(name = "query", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TFolderQuery query,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param query
     * @param ep
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TProceedingList
     */
    @WebMethod(action = "searchProceedings")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "searchProceedings", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.SearchProceedings")
    @ResponseWrapper(localName = "searchProceedingsResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.SearchProceedingsResponse")
    public TProceedingList searchProceedings(
        @WebParam(name = "query", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TProceedingQuery query,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param filter
     * @param storedList
     * @param ep
     * @param folderList
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TFolderStoredStatusResultList
     */
    @WebMethod(action = "setStoredFolderStatus")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "setStoredFolderStatus", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.SetStoredFolderStatus")
    @ResponseWrapper(localName = "setStoredFolderStatusResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.SetStoredFolderStatusResponse")
    public TFolderStoredStatusResultList setStoredFolderStatus(
        @WebParam(name = "folderList", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TStringList folderList,
        @WebParam(name = "storedList", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TFolderStoredStatusList storedList,
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TFolderStoredFilter filter,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param change
     * @param ep
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "termExtension")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "termExtension", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TermExtension")
    @ResponseWrapper(localName = "termExtensionResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TermExtensionResponse")
    public TBoolean termExtension(
        @WebParam(name = "change", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TChangeDeadLine change,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param applicantRRI
     * @param ep
     * @param folderID
     * @param applicant
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "updateFolderApplicantParticipant")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "updateFolderApplicantParticipant", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.UpdateFolderApplicantParticipant")
    @ResponseWrapper(localName = "updateFolderApplicantParticipantResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.UpdateFolderApplicantParticipantResponse")
    public String updateFolderApplicantParticipant(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "applicant", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TApplicant applicant,
        @WebParam(name = "applicantRRI", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TApplicantRRI applicantRRI,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param folderTitle
     * @param ep
     * @param folderID
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "updateFolderTitle")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "updateFolderTitle", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.UpdateFolderTitle")
    @ResponseWrapper(localName = "updateFolderTitleResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.UpdateFolderTitleResponse")
    public TBoolean updateFolderTitle(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "folderTitle", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderTitle,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param mailboxID
     * @param ep
     * @param folderIDList
     * @return
     *     returns com.ejie.ab60.clientesWS.X43ExpedienteElectronico.TBoolean
     */
    @WebMethod(action = "updateFoldersInstructor")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
    @RequestWrapper(localName = "updateFoldersInstructor", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.UpdateFoldersInstructor")
    @ResponseWrapper(localName = "updateFoldersInstructorResponse", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml", className = "com.ejie.ab60.clientesWS.X43ExpedienteElectronico.UpdateFoldersInstructorResponse")
    public TBoolean updateFoldersInstructor(
        @WebParam(name = "folderIDList", targetNamespace = "com/ejie/x43s/v2/ree/ws/xml")
        TStringList folderIDList,
        @WebParam(name = "mailboxID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String mailboxID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

}
