
package com.ejie.ab60.comun;

import com.ejie.ab60.comun.utilidades.config.Config;

/**
 * 
 *  
 * 
 */
public class Constantes {

	/**
	 *  
	 * 
	 */
	private Constantes() {

	}

	public static final int MAGIC_NUMBER_0 = 0;
	public static final int MAGIC_NUMBER_1 = 1;
	public static final int MAGIC_NUMBER_4 = 4;
	public static final int MAGIC_NUMBER_19 = 19;
	public static final int MAGIC_NUMBER_21 = 21;
	public static final int MAGIC_NUMBER_107 = 107;
	public static final int MAGIC_NUMBER_230 = 230;

	public static final int MAGIC_NUMBER_100 = 100;
	public static final int MAGIC_NUMBER_110 = 110;
	public static final int MAGIC_NUMBER_1900 = 1900;
	public static final int MAGIC_NUMBER_3000 = 3000;
	public static final int MAGIC_NUMBER_65536 = 65536;

	public static final String CODIGO_APLICACION = "ab60";
	public static final String COD_APPL_CONFIG = "/ab60/ab60.properties";

	public static final String CONVOCATORIA = "X";

	public static final Long SOLICITANTE = (long) 1;
	public static final Long PERSONA_CONTACTO = (long) 2;
	public static final Long REPRESENTANTE = (long) 3;
	public static final Long UBICACION_INVERSION = (long) 5;
	public static final Long REPRESENTANTE_LEGAL = (long) 6;

	public static final int COD_DIRECCION_TURISMO = 1;
	public static final int COD_DIRECCION_COMERCIO = 2;
	public static final int COD_DIRECCION_CONSUMO = 3;

	public static final int REQUISITO_CHECKEADO = 1;

	// //////////////////////////////////////////////////////////////////////
	// ID TIPOS DE AYUDA
	// ////////////////////////////////////////////////////////////////////////
	public static final int TIPO_AYUDA_MEC = 1;
	public static final int TIPO_AYUDA_BEC = 2;
	public static final int TIPO_AYUDA_OTC = 3;
	public static final int TIPO_AYUDA_DEC = 4;
	public static final int TIPO_AYUDA_DIV = 5;
	public static final int TIPO_AYUDA_PTT = 6;
	public static final int TIPO_AYUDA_EMET = 7;
	public static final int TIPO_AYUDA_CTP = 8;
	public static final int TIPO_AYUDA_OMIC = 10;
	public static final int TIPO_AYUDA_EMCO = 11;
	public static final int TIPO_AYUDA_COVIDT = 12;
	public static final int TIPO_AYUDA_COVIDM = 13;

	// //////////////////////////////////////////////////////////////////////
	// ORIGEN DE LOS COMBOS MINORACION Y DENEGACION
	// ////////////////////////////////////////////////////////////////////////
	public static final int ORIGEN_DENEGACION_MINORACION_ACTSUBVENCIONABLE = 1;
	public static final int ORIGEN_DENEGACION_MINORACION_FACTURAS = 2;

	public static final int ORIGEN_DENEGACION_MINORACION_ACTSUBVENCIONABLE_JUS = 3;
	public static final int ORIGEN_DENEGACION_MINORACION_FACTURAS_JUS = 4;

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES TIPO DE INSPECCION
	// ////////////////////////////////////////////////////////////////////////
	public static final int ORIGEN_INSPECCION_ESTUDIO_TECNICO = 1;
	public static final int ORIGEN_INSPECCION_JUSTIFICACION_TECNICO = 2;
	// //////////////////////////////////////////////////////////////////////
	// ID DE LAS DIRECCIONES DEL SOLICITANTE TITULAR DEL EXPEDIENTE
	// ////////////////////////////////////////////////////////////////////////

	public static final long ID_UBICACION_INVERSION = 2;
	public static final long ID_DIRECCION_SOLICITANTE = 1;
	// //////////////////////////////////////////////////////////////////////
	// ROLES DE LOS USUARIOS DE LA APLICACION
	// ////////////////////////////////////////////////////////////////////////
	public static final String SOLICITANTEROLE = "SOLICITANTE";
	public static final String PARTICIPACIONID_NULA = "0";
	public static final int PARTICIPANTE_TITULAR = 0;
	public static final int PARTICIPANTE_REPRESENTANTE = 1;
	public static final int PARTICIPANTE_OTRO_AFECTADO = 2;
	public static final int PARTICIPANTE_REPRESENTANTE_LEGAL = 6;
	public static final int PARTICIPANTE_PERSONA_CONTACTO = 2;
	public static final long PARTICIPACION_SOLICITANTE = 1;
	public static final long PARTICIPACION_AFECTADO = 3;

	public static final int NO_TITULAR = 1;
	public static final int SI_TITULAR = 0;

	// //////////////////////////////////////////////////////////////////////
	// ID DE EXPEDIENTE VALIDADOS
	// ////////////////////////////////////////////////////////////////////////
	public static final String EXPEDIENTESNOVALIDADOS = "0";
	public static final String EXPEDIENTESVALIDADOS = "1";
	public static final String EXPEDIENTESVALIDADOSREPARTIDOSAYUDA = "2";
	public static final String ANULA_REPARTO = "1";

	// //////////////////////////////////////////////////////////////////////
	// ID TIPOS DE CONOCATORIAS
	// ////////////////////////////////////////////////////////////////////////
	public static final Long ID_TIPO_NO_CONCURSAL = new Long(2);
	public static final int ID_TIPO_CONCURSAL = 1;

	// //////////////////////////////////////////////////////////////////////
	// ID TIPOS DE TERCEROS
	// ////////////////////////////////////////////////////////////////////////
	public static final int ID_TIPO_TERCERO_SOLICITANTE = 1;

	// //////////////////////////////////////////////////////////////////////
	// ID DE AGRUPACION ACTUACION SUBVENCIONABLE
	// ////////////////////////////////////////////////////////////////////////
	public static final int ID_AGRUPACION_DEC_Asociacion = 4;
	public static final int ID_AGRUPACION_DEC_Ayuntamiento_Estudios = 5;
	public static final int ID_AGRUPACION_DEC_Ayuntamiento_Actuaciones_Urbanisticas = 6;

	public static final int ID_AGRUPACION_PTT_Proyectos_TerritorialesTuristico = 11;
	public static final int ID_AGRUPACION_PTT_Contratacion_Temporal = 13;
	public static final int ID_AGRUPACION_PTT_Pertenencia_Redes = 14;
	public static final int ID_AGRUPACION_PTT_Gastos_Creacion = 15;
	public static final int ID_AGRUPACION_PTT_Programa_Calidad_Destinos = 16;
	public static final int ID_AGRUPACION_PTT_Programa_TIC = 17;
	public static final int ID_AGRUPACION_PTT_Programa_Ecoetiquetas_Europea = 18;
	public static final int ID_AGRUPACION_PTT_Programa_Compromiso_Accesibilidad = 65;
	public static final int ID_AGRUPACION_PTT_Programa_Compromiso_Codigo_Etico = 66;

	public static final int ID_AGRUPACION_CTP_Apoyo_Creacion = 19;
	public static final int ID_AGRUPACION_CTP_Actuaciones_Destinadas = 20;
	public static final int ID_AGRUPACION_CTP_Apoyo_Eventos = 21;

	public static final int ID_AGRUPACION_EMET_Emprendimiento = 22;
	public static final int ID_AGRUPACION_EMET_Competitividad = 23;
	public static final int ID_AGRUPACION_EMET_Competitividad_Innovacion = 24;
	public static final int ID_AGRUPACION_EMET_Competitividad_Calidad = 25;
	public static final int ID_AGRUPACION_EMET_Competitividad_Oferta = 26;

	public static final int ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDT = 72;
	public static final int ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDM = 77;

	public static final int ID_AGRUPACION_EMCO_Emprendimiento = 172;

	// //////////////////////////////////////////////////////////////////////
	// ID DE FASES
	// ////////////////////////////////////////////////////////////////////////
	public static final int ID_FASE1 = 1;
	public static final int ID_FASE2 = 2;
	public static final int ID_FASE3 = 3;
	public static final int ID_FASE4 = 4;
	public static final int ID_FASE5 = 5;

	// //////////////////////////////////////////////////////////////////////
	// NUMERO DE FASES ACTIVAS
	// ////////////////////////////////////////////////////////////////////////
	public static final int FASE_ACTIVA_0 = 0;
	public static final int FASE_ACTIVA_1 = 1;
	public static final int FASE_ACTIVA_2 = 2;
	public static final int FASE_ACTIVA_3 = 3;
	public static final int FASE_ACTIVA_4 = 4;
	public static final int FASE_ACTIVA_5 = 5;

	// //////////////////////////////////////////////////////////////////////
	// FASES OTROS INGRESOS
	// ////////////////////////////////////////////////////////////////////////
	public static final int FASE_SOLICITUD = 1;
	public static final int FASE_JUSTIFICACION = 2;

	// PIF
	public static final String PIF_TIEMPO_EXISTENCIA = CargarPropiedades.getConfigAplicacion("PIF.TIEMPO");
	public static final String PIF_PATH = CargarPropiedades.getConfigAplicacion("PIF.PATH");

	// //////////////////////////////////////////////////////////////////////
	// TIPOS DE DOCUMEMTOS DE PLATEA
	// ////////////////////////////////////////////////////////////////////////
	public static final String CIF = "CIF";

	/////////////////////////////////////////////////////////////////////////
	// TIPOS DE CANALES DE AVISO
	//////////////////////////////////////////////////////////////////////////
	public static final Long TIPO_CANAL_AVISO_SMS = new Long(1);
	public static final Long TIPO_CANAL_AVISO_EMAIL = new Long(2);
	// //////////////////////////////////////////////////////////////////////
	// IDIOMAS DE LA APLICACION
	// ////////////////////////////////////////////////////////////////////////
	/**
	 * 
	 */
	/*
	 * public static class Language { public static final String CASTELLANO =
	 * "es"; public static final String EUSKERA = "eu"; }
	 */

	public static final String CASTELLANO = "es";
	public static final String EUSKERA = "eu";

	public static final String AUDIT_USER = "ab60#ab60#ab60";
	public static final String FICHERO_CONFIGURACION = "/ab60/ab60.properties";

	// //////////////////////////////////////////////////////////////////////
	// CONST DE SOLICITANTE AYUDA CTP
	// ////////////////////////////////////////////////////////////////////////
	public static final int IDSOLICITANTE = 2;

	// //////////////////////////////////////////////////////////////////////
	// CONST DE COMBOS DE ESTUDIO TECNICO
	// ////////////////////////////////////////////////////////////////////////
	public static final String COMBO_MULTISELEC_SEPARADOR = ",";
	public static final String COMBORESULTADO = "comboResultado";
	public static final int IDRESULTADO_DESESTIMADA = 2;
	public static final String COMBOMOTIVODESESTIMACION = "comboMotivo";
	public static final String COMBOMOTIVOINCUMPLIMIENTO = "comboMotivoInc";
	public static final int EXPEDIENTEVALIDADO = 1;

	// //////////////////////////////////////////////////////////////////////
	// CONST DE INSPECIONABLE EN FACTURAS DE AYUDA MEC
	// ////////////////////////////////////////////////////////////////////////
	public static final int INSPECIONABLE = 1;
	public static final int ENVIADO_INSPECCION = 1;

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES NORA
	// ////////////////////////////////////////////////////////////////////////
	public static final String NORA_DB = Config.getConfigAplicacion("NORA.DB");

	// //////////////////////////////////////////////////////////////////////
	// ORIGEN DE PLANTILLAS
	// ////////////////////////////////////////////////////////////////////////
	public static final int ORIGEN_CONVOCATORIA = 2;
	public static final int ORIGEN_EXPEDIENTE = 1;

	public static class TiposObjetoPlantilla {
		public static final Integer NUMERICO = 1;
		public static final Integer ALFA_NUMERICO = 2;
		public static final Integer FECHA = 3;
		public static final Integer WEB_SERVICE = 4;
		public static final Integer LISTA = 5;
		public static final Integer FORMULARIO = 6;
	}

	// //////////////////////////////////////////////////////////////////////
	// PARAMETROS CONFIGURACION DE PLANTILLAS
	// ////////////////////////////////////////////////////////////////////////

	public static final int VALOR_DESCARGAR = 0;
	public static final int VALOR_TRAMITAR_ONLINE = 1;
	public static final int VALOR__DESCARGAR_Y_ONLINE = 2;
	public static final String CONFIGURACION_DOCUMENTOS = "Configuracion_Documentos";

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA EL MODULO CONTABLE
	// ////////////////////////////////////////////////////////////////////////
	public static final int ESTADO_FICHERO_LOT_NO_GENERADO = 0;
	public static final int ESTADO_FICHERO_LOT_GENERADO = 1;
	public static final int TIPO_REGISTRO_CABECERA_LOT = 0;
	public static final int TIPO_REGISTRO_1 = 1;

	public static final String TIPO_DOCUMENTO_CONTABLE_D = "1";
	public static final String TIPO_DOCUMENTO_CONTABLE_O = "2";
	public static final String TIPO_DOCUMENTO_CONTABLE_DO = "3";
	public static final String TIPO_DOCUMENTO_CONTABLE_D_STR = "D";
	public static final String TIPO_DOCUMENTO_CONTABLE_O_STR = "O";
	public static final String TIPO_DOCUMENTO_CONTABLE_DO_STR = "DO";

	public static final String ESTADO_INCOMPLETO = "I";
	public static final String ESTADO_PENDIENTE = "P";
	public static final String ESTADO_ENVIADO = "E";
	public static final String ESTADO_CONFIRMADO = "C";

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA LAS PROVINCIAS
	// ////////////////////////////////////////////////////////////////////////
	public static final String PROVINCIA_ARABA = "Araba/\u00C1lava";
	public static final String PROVINCIA_BIZKAIA = "Bizkaia";
	public static final String PROVINCIA_GIPUZKOA = "Gipuzkoa";

	public static class FicheroContable {
		public static final String TIPO_REGISTRO = "0";
	}

	/** StringBuilder initilization value */
	public static final int STRING_BUILDER_INIT = 4096;

	public static final String EXPEDIENTE_ELECTRONICO_ADAPTER = "com.ejie.ab60.adaptadores.X43ExpedienteElectronicoAdaptadorService";
	public static final String EXPEDIENTE_ELECTRONICO_DEFECTO = "defectos";

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA LOS ARCHIVOS MAK y REL
	// ////////////////////////////////////////////////////////////////////////
	public static final String ARCHIVO_MAK = "MAK";
	public static final String ARCHIVO_REL = "REL";

	public static final String CODIGO_APLICACION_TAREAS_TRAMITACION = "r02g";

	// //////////////////////////////////////////////////////////////////////
	// ORIGEN DE INSPECCION
	// //////////////////////////////////////////////////////////////////////

	public static final Integer ORIGEN_INSPECCION_AYUDAS = 1;

	// //////////////////////////////////////////////////////////////////////
	// ORIGEN DE INSPECCION
	// //////////////////////////////////////////////////////////////////////

	public static final Integer TIPO_INSPECCION_ESTUDIO_TECNICO = 1;
	public static final Integer TIPO_INSPECCION_JUSTIFICACION = 2;

	// //////////////////////////////////////////////////////////////////////
	// CONSTANTES PARA RECOGER LAS FECHAS DE LOS EVENTOS
	// ////////////////////////////////////////////////////////////////////////
	public static final String FECHA_ENTRADA = "FECHA_ENTRADA";
	public static final String FECHA_DOCUMENTACION_COMPLETA = "FECHA_DOCUMENTACION_COMPLETA";
	public static final String FECHA_ULTIMA_APORTACION = "FECHA_ULTIMA_APORTACION";

	public static final Integer MEC_2018 = 1;
	public static final Integer DEC_2018 = 2;
	public static final Integer OTC_2018 = 3;
	public static final Integer PTT_2018 = 4;
	public static final Integer CTP_2018 = 5;
	public static final Integer EMET_2018 = 6;
	public static final Integer PTT_2019 = 104;
	public static final Integer OTC_2020 = 203;
	public static final Integer COVIDT_2020 = 210;
	public static final Integer COVIDM_2020 = 211;

	// //////////////////////////////////////////////////////////////////////
	// TIPOS DE PREGUNTA
	// ////////////////////////////////////////////////////////////////////////
	public static final Integer TIPO_PREGUNTA_NUMERICO = 1;
	public static final Integer TIPO_PREGUNTA_FECHA = 2;
	public static final Integer TIPO_PREGUNTA_TEXTO_LIBRE = 3;
	public static final Integer TIPO_PREGUNTA_CORRECTO_INCORRECTO = 4;
	public static final Integer TIPO_PREGUNTA_SINO = 5;
	public static final Integer TIPO_PREGUNTA_TITULO = 6;
	public static final Integer TIPO_PREGUNTA_CHECKBOX = 7;

	// //////////////////////////////////////////////////////////////////////
	// MANTENIMIENTOS
	// ////////////////////////////////////////////////////////////////////////
	public static final Integer NO_BAJA = 0;
	public static final Integer BAJA = 1;
	/** ORIGEN **/
	public static final Integer ORIGEN_EST_TECNICO_ACT_SUBV = 1;
	public static final Integer ORIGEN_EST_TECNICO_FACTURAS = 2;
	public static final Integer ORIGEN_JUSTIFICACION_ACT_SUBV = 3;
	public static final Integer ORIGEN_JUSTIFICACION_FACTURAS = 4;

	public static final Integer DEC_ASOCIACION = 104;
	public static final Integer ID_AGRUPACION_EMCO_AYUNTAMIENTO = 168;

	public static final Integer MAXIMO_OBSERVACION = 1000;

	public static final String COD_PROCEDURE_COVIDT = "1103101";
	public static final String COD_PROCEDURE_COVIDM = "1103201";

	public static final Integer NO_CARGAR_SOL_SUB = 1;

	// //////////////////////////////////////////////////////////////////////
	// IDIOMA PARTICIPANTES
	// ////////////////////////////////////////////////////////////////////////
	public static final Integer IDIOMA_TODOS = -1;
	public static final Integer IDIOMA_EUSKERA = 0;
	public static final Integer IDIOMA_CASTELLANO = 1;
	public static final Integer IDIOMA_BILINGUE = 3;
	public static final String DESC_EUSKERA = "Euskera";
	public static final String DESC_CASTELLANO = "Castellano";
	public static final String DESC_BILINGUE = "Biling\u00fce";
	public static final String DESC_CASTELLANO_EU = "Gaztelania";
	public static final String DESC_BILINGUE_EU = "Elebiduna";
}
