package com.ejie.ab60.dao;

import com.ejie.x38.dto.JerarquiaDto;

import com.ejie.x38.dto.TableRowDto;
import java.util.List;

import com.ejie.ab60.model.OtrosIngresos;

/**
 * OtrosIngresosDao  
 * 
 *  
 */

public interface OtrosIngresosDao {

	/**
	 * Inserts a single row in the OtrosIngresos table.
	 *
	 * @param otrosingresos
	 *            OtrosIngresos
	 * @return OtrosIngresos
	 */
	OtrosIngresos add(OtrosIngresos otrosingresos);

	/**
	 * Updates a single row in the OtrosIngresos table.
	 *
	 * @param otrosingresos
	 *            OtrosIngresos
	 * @return OtrosIngresos
	 */
	OtrosIngresos update(OtrosIngresos otrosingresos);

	/**
	 * Finds a single row in the OtrosIngresos table.
	 *
	 * @param otrosingresos
	 *            OtrosIngresos
	 * @return OtrosIngresos
	 */
	OtrosIngresos find(OtrosIngresos otrosingresos);

	/**
	 * Removes a single row in the OtrosIngresos table.
	 *
	 * @param otrosingresos
	 *            OtrosIngresos
	 */
	void remove(OtrosIngresos otrosingresos);

	OtrosIngresos updateImporte(OtrosIngresos otrosIngresos);

	void removeImporte(OtrosIngresos otrosIngresos);

	OtrosIngresos findByIdRelExpActSub(OtrosIngresos otrosIngresos);
}
