package com.ejie.ab60.model.DIV;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RelExpEntSol  
 * 
 *  
 */

public class RelExpEntSol implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpEntSol;
	private EntidadesSolicitantes entidadesSolicitantes;
	private Integer idExpediente;
	private Date fechaRegistro;
	private String usuarioRegistro;

	/**
	 * Method 'RelExpEntSol'.
	 */
	public RelExpEntSol() {
	}

	/**
	 * Method 'RelExpEntSol'.
	 * 
	 * @param idRelExpEntSol
	 *            Integer
	 */
	public RelExpEntSol(Integer idRelExpEntSol) {
		this.idRelExpEntSol = idRelExpEntSol;
	}

	/**
	 * Method 'RelExpEntSol'.
	 * 
	 * @param idRelExpEntSol
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param entidadesSolicitantes
	 *            EntidadesSolicitantes
	 */
	public RelExpEntSol(Integer idRelExpEntSol, Integer idExpediente, Date fechaRegistro, String usuarioRegistro,
			EntidadesSolicitantes entidadesSolicitantes) {

		this.idRelExpEntSol = idRelExpEntSol;
		this.entidadesSolicitantes = entidadesSolicitantes;
		this.idExpediente = idExpediente;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdRelExpEntSol'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpEntSol() {
		return this.idRelExpEntSol;
	}

	/**
	 * Method 'setIdRelExpEntSol'.
	 *
	 * @param idRelExpEntSol
	 *            Integer
	 * @return
	 */

	public void setIdRelExpEntSol(Integer idRelExpEntSol) {
		this.idRelExpEntSol = idRelExpEntSol;
	}

	/**
	 * Method 'getEntidadesSolicitantes'.
	 *
	 * @return EntidadesSolicitantes
	 */
	@JsonIgnore

	public EntidadesSolicitantes getEntidadesSolicitantes() {
		return this.entidadesSolicitantes;
	}

	/**
	 * Method 'setEntidadesSolicitantes'.
	 *
	 * @param entidadesSolicitantes
	 *            EntidadesSolicitantes
	 * @return
	 */

	public void setEntidadesSolicitantes(EntidadesSolicitantes entidadesSolicitantes) {
		this.entidadesSolicitantes = entidadesSolicitantes;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpEntSol: ").append(this.idRelExpEntSol).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
