package com.ejie.ab60.model.MEC;

import java.math.BigDecimal;
import java.util.Date;

import com.ejie.ab60.util.UtilDate;

/**
 * Participantes  
 * 
 *  
 */

public class Participantes implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idParticipante;
	private Integer idTercero;
	private Long idTipoDocumento;
	private String numero;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private Long idSexo;
	private BigDecimal porcentajeParticipacion;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	public Participantes() {
		super();
	}

	public Participantes(Integer idParticipante, Integer idTercero, Long idTipoDocumento, String numero, String nombre,
			String apellido1, String apellido2, Long idSexo, BigDecimal porcentajeParticipacion, Date fechaRegistro,
			String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idParticipante = idParticipante;
		this.idTercero = idTercero;
		this.idTipoDocumento = idTipoDocumento;
		this.numero = numero;
		this.nombre = nombre;
		this.apellido1 = apellido1;
		this.apellido2 = apellido2;
		this.idSexo = idSexo;
		this.porcentajeParticipacion = porcentajeParticipacion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the idParticipante
	 */
	public Integer getIdParticipante() {
		return idParticipante;
	}

	/**
	 * @param idParticipante
	 *            the idParticipante to set
	 */
	public void setIdParticipante(Integer idParticipante) {
		this.idParticipante = idParticipante;
	}

	/**
	 * @return the idTercero
	 */
	public Integer getIdTercero() {
		return idTercero;
	}

	/**
	 * @param idTercero
	 *            the idTercero to set
	 */
	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}

	/**
	 * @return the idTipoDocumento
	 */
	public Long getIdTipoDocumento() {
		return idTipoDocumento;
	}

	/**
	 * @param idTipoDocumento
	 *            the idTipoDocumento to set
	 */
	public void setIdTipoDocumento(Long idTipoDocumento) {
		this.idTipoDocumento = idTipoDocumento;
	}

	/**
	 * @return the numero
	 */
	public String getNumero() {
		return numero;
	}

	/**
	 * @param numero
	 *            the numero to set
	 */
	public void setNumero(String numero) {
		this.numero = numero;
	}

	/**
	 * @return the nombre
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * @param nombre
	 *            the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return the apellido1
	 */
	public String getApellido1() {
		return apellido1;
	}

	/**
	 * @param apellido1
	 *            the apellido1 to set
	 */
	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	/**
	 * @return the apellido2
	 */
	public String getApellido2() {
		return apellido2;
	}

	/**
	 * @param apellido2
	 *            the apellido2 to set
	 */
	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	/**
	 * @return the idSexo
	 */
	public Long getIdSexo() {
		return idSexo;
	}

	/**
	 * @param idSexo
	 *            the idSexo to set
	 */
	public void setIdSexo(Long idSexo) {
		this.idSexo = idSexo;
	}

	/**
	 * @return the porcentajeParticipacion
	 */
	public BigDecimal getPorcentajeParticipacion() {
		return porcentajeParticipacion;
	}

	/**
	 * @param porcentajeParticipacion
	 *            the porcentajeParticipacion to set
	 */
	public void setPorcentajeParticipacion(BigDecimal porcentajeParticipacion) {
		this.porcentajeParticipacion = porcentajeParticipacion;
	}

	/**
	 * @return the fechaRegistro
	 */
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getPorcentajePagoMask'.
	 *
	 * @return BigDecimal
	 */

	public String getPorcentajeParticipacionMask() {
		return UtilDate.formatearMiles(porcentajeParticipacion);
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Participantes [idParticipante=" + idParticipante + ", idTercero=" + idTercero + ", idTipoDocumento="
				+ idTipoDocumento + ", numero=" + numero + ", nombre=" + nombre + ", apellido1=" + apellido1
				+ ", apellido2=" + apellido2 + ", idSexo=" + idSexo + ", porcentajeParticipacion="
				+ porcentajeParticipacion + ", fechaRegistro=" + fechaRegistro + ", usuarioRegistro=" + usuarioRegistro
				+ ", fechaUltmodificacion=" + fechaUltmodificacion + ", usuarioUltmodificacion="
				+ usuarioUltmodificacion + "]";
	}

}
