package com.ejie.ab60.model.PTT;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RelExpAmbTer  
 * 
 *  
 */

public class RelExpAmbTer implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpAmbTer;
	private AmbitosTerritoriales ambitosTerritoriales;
	private Integer idExpediente;
	private Date fechaRegistro;
	private String usuarioRegistro;

	/**
	 * Method 'RelExpAmbTer'.
	 */
	public RelExpAmbTer() {
	}

	/**
	 * Method 'RelExpAmbTer'.
	 * 
	 * @param idRelExpAmbTer
	 *            Integer
	 */
	public RelExpAmbTer(Integer idRelExpAmbTer) {
		this.idRelExpAmbTer = idRelExpAmbTer;
	}

	/**
	 * Method 'RelExpAmbTer'.
	 * 
	 * @param idRelExpAmbTer
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param ambitosTerritoriales
	 *            AmbitosTerritoriales
	 */
	public RelExpAmbTer(Integer idRelExpAmbTer, Integer idExpediente, Date fechaRegistro, String usuarioRegistro,
			AmbitosTerritoriales ambitosTerritoriales) {

		this.idRelExpAmbTer = idRelExpAmbTer;
		this.ambitosTerritoriales = ambitosTerritoriales;
		this.idExpediente = idExpediente;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdRelExpAmbTer'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpAmbTer() {
		return this.idRelExpAmbTer;
	}

	/**
	 * Method 'setIdRelExpAmbTer'.
	 *
	 * @param idRelExpAmbTer
	 *            Integer
	 * @return
	 */

	public void setIdRelExpAmbTer(Integer idRelExpAmbTer) {
		this.idRelExpAmbTer = idRelExpAmbTer;
	}

	/**
	 * Method 'getAmbitosTerritoriales'.
	 *
	 * @return AmbitosTerritoriales
	 */
	@JsonIgnore

	public AmbitosTerritoriales getAmbitosTerritoriales() {
		return this.ambitosTerritoriales;
	}

	/**
	 * Method 'setAmbitosTerritoriales'.
	 *
	 * @param ambitosTerritoriales
	 *            AmbitosTerritoriales
	 * @return
	 */

	public void setAmbitosTerritoriales(AmbitosTerritoriales ambitosTerritoriales) {
		this.ambitosTerritoriales = ambitosTerritoriales;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpAmbTer: ").append(this.idRelExpAmbTer).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
