package com.ejie.ab60.model.actuacionesSubvencionables;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelActSubMotDen  
 *  
 */

public class RelActSubMotDen  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idRelActSubMotDen;
            private Integer idRelExpActSub;
            private Long idMotivoDenegacion;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;

	/** 
	 * Method 'RelActSubMotDen'.
	 */
    public RelActSubMotDen() {
    }


	
    
    /** 
     * Method 'RelActSubMotDen'.
     * @param idRelActSubMotDen Integer
     */    
     public RelActSubMotDen(Integer idRelActSubMotDen) {
          this.idRelActSubMotDen = idRelActSubMotDen;
	}

    

    /** 
     * Method 'RelActSubMotDen'.
     * @param idRelActSubMotDen Integer
     * @param idRelExpActSub Integer
     * @param idMotivoDenegacion Long
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     */
   public RelActSubMotDen(Integer idRelActSubMotDen, Integer idRelExpActSub, Long idMotivoDenegacion, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {	

           this.idRelActSubMotDen = idRelActSubMotDen;
           this.idRelExpActSub = idRelExpActSub;
           this.idMotivoDenegacion = idMotivoDenegacion;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
    }

    /**
	 * Method 'getIdRelActSubMotDen'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelActSubMotDen() {
		return this.idRelActSubMotDen;
	}

	/**
	 * Method 'setIdRelActSubMotDen'.
	 *
	 * @param idRelActSubMotDen Integer
	 * @return
     */
	
	public void setIdRelActSubMotDen(Integer idRelActSubMotDen) {
		this.idRelActSubMotDen = idRelActSubMotDen;
	}
    /**
	 * Method 'getIdRelExpActSub'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelExpActSub() {
		return this.idRelExpActSub;
	}

	/**
	 * Method 'setIdRelExpActSub'.
	 *
	 * @param idRelExpActSub Integer
	 * @return
     */
	
	public void setIdRelExpActSub(Integer idRelExpActSub) {
		this.idRelExpActSub = idRelExpActSub;
	}
    /**
	 * Method 'getIdMotivoDenegacion'.
	 *
	 * @return Long
	 */
	
	
	public Long getIdMotivoDenegacion() {
		return this.idMotivoDenegacion;
	}

	/**
	 * Method 'setIdMotivoDenegacion'.
	 *
	 * @param idMotivoDenegacion Long
	 * @return
     */
	
	public void setIdMotivoDenegacion(Long idMotivoDenegacion) {
		this.idMotivoDenegacion = idMotivoDenegacion;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idRelActSubMotDen: ").append(this.idRelActSubMotDen).append(" ]");
		result.append(", [ idRelExpActSub: ").append(this.idRelExpActSub).append(" ]");
		result.append(", [ idMotivoDenegacion: ").append(this.idMotivoDenegacion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

