package com.ejie.ab60.model.actuacionesSubvencionables;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelActSubMotMin  
 * 
 *  
 */

public class RelActSubMotMin implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelActSubMotMin;
	private Integer idRelExpActSub;
	private Long idMotivoMinoracion;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private Integer origen;

	/**
	 * Method 'RelActSubMotMin'.
	 */
	public RelActSubMotMin() {
	}

	/**
	 * Method 'RelActSubMotMin'.
	 * 
	 * @param idRelActSubMotMin
	 *            Integer
	 */
	public RelActSubMotMin(Integer idRelActSubMotMin) {
		this.idRelActSubMotMin = idRelActSubMotMin;
	}

	/**
	 * Method 'RelActSubMotMin'.
	 * 
	 * @param idRelActSubMotMin
	 *            Integer
	 * @param idRelExpActSub
	 *            Integer
	 * @param idMotivoMinoracion
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public RelActSubMotMin(Integer idRelActSubMotMin, Integer idRelExpActSub, Long idMotivoMinoracion,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idRelActSubMotMin = idRelActSubMotMin;
		this.idRelExpActSub = idRelExpActSub;
		this.idMotivoMinoracion = idMotivoMinoracion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdRelActSubMotMin'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelActSubMotMin() {
		return this.idRelActSubMotMin;
	}

	/**
	 * Method 'setIdRelActSubMotMin'.
	 *
	 * @param idRelActSubMotMin
	 *            Integer
	 * @return
	 */

	public void setIdRelActSubMotMin(Integer idRelActSubMotMin) {
		this.idRelActSubMotMin = idRelActSubMotMin;
	}

	/**
	 * Method 'getIdRelExpActSub'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpActSub() {
		return this.idRelExpActSub;
	}

	/**
	 * Method 'setIdRelExpActSub'.
	 *
	 * @param idRelExpActSub
	 *            Integer
	 * @return
	 */

	public void setIdRelExpActSub(Integer idRelExpActSub) {
		this.idRelExpActSub = idRelExpActSub;
	}

	/**
	 * Method 'getIdMotivoMinoracion'.
	 *
	 * @return Long
	 */

	public Long getIdMotivoMinoracion() {
		return this.idMotivoMinoracion;
	}

	/**
	 * Method 'setIdMotivoMinoracion'.
	 *
	 * @param idMotivoMinoracion
	 *            Long
	 * @return
	 */

	public void setIdMotivoMinoracion(Long idMotivoMinoracion) {
		this.idMotivoMinoracion = idMotivoMinoracion;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the origen
	 */
	public Integer getOrigen() {
		return origen;
	}

	/**
	 * @param origen
	 *            the origen to set
	 */
	public void setOrigen(Integer origen) {
		this.origen = origen;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelActSubMotMin: ").append(this.idRelActSubMotMin).append(" ]");
		result.append(", [ idRelExpActSub: ").append(this.idRelExpActSub).append(" ]");
		result.append(", [ idMotivoMinoracion: ").append(this.idMotivoMinoracion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
