package com.ejie.ab60.model.convocatorias;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * TiposAyuda  
 * 
 *  
 */

public class TiposAyuda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idTipoAyuda;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private String plsqlCopiaConvocatoria;

	/**
	 * Method 'TiposAyuda'.
	 */
	public TiposAyuda() {
	}

	/**
	 * Method 'TiposAyuda'.
	 * 
	 * @param idTipoAyuda
	 *            Long
	 */
	public TiposAyuda(Long idTipoAyuda) {
		this.idTipoAyuda = idTipoAyuda;
	}

	/**
	 * Method 'TiposAyuda'.
	 * 
	 * @param idTipoAyuda
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param plsqlCopiaConvocatoria
	 */
	public TiposAyuda(Long idTipoAyuda, String descripcionCastellano, String descripcionEuskera, Date fechaRegistro,
			String usuarioRegistro) {

		this.idTipoAyuda = idTipoAyuda;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'TiposAyuda'.
	 * 
	 * @param idTipoAyuda
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param plsqlCopiaConvocatoria
	 */
	public TiposAyuda(Long idTipoAyuda, String descripcionCastellano, String descripcionEuskera, Date fechaRegistro,
			String usuarioRegistro, String plsqlCopiaConvocatoria) {

		this.idTipoAyuda = idTipoAyuda;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.plsqlCopiaConvocatoria = plsqlCopiaConvocatoria;
	}

	/**
	 * Method 'getIdTipoAyuda'.
	 *
	 * @return Long
	 */

	public Long getIdTipoAyuda() {
		return this.idTipoAyuda;
	}

	/**
	 * Method 'setIdTipoAyuda'.
	 *
	 * @param idTipoAyuda
	 *            Long
	 * @return
	 */

	public void setIdTipoAyuda(Long idTipoAyuda) {
		this.idTipoAyuda = idTipoAyuda;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the plsqlCopiaConvocatoria
	 */
	public String getPlsqlCopiaConvocatoria() {
		return plsqlCopiaConvocatoria;
	}

	/**
	 * @param plsqlCopiaConvocatoria
	 *            the plsqlCopiaConvocatoria to set
	 */
	public void setPlsqlCopiaConvocatoria(String plsqlCopiaConvocatoria) {
		this.plsqlCopiaConvocatoria = plsqlCopiaConvocatoria;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTipoAyuda: ").append(this.idTipoAyuda).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ plsqlCopiaConvocatoria: ").append(this.plsqlCopiaConvocatoria).append(" ]");
		result.append("}");
		return result.toString();
	}

}
