package com.ejie.ab60.model.criteriosPuntuacion;

import java.math.BigDecimal;
import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RelExpCriPun  
 * 
 *  
 */

public class RelExpCriPun implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpCriPun;
	private CriteriosPuntuacion criteriosPuntuacion;
	private Integer idExpediente;
	private BigDecimal puntuacionTeorica;
	private BigDecimal puntuacionAdmitida;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	private String puntuacionAdmitidaStr;
	private String puntuacionTeoricaStr;

	/**
	 * Method 'RelExpCriPun'.
	 */
	public RelExpCriPun() {
	}

	/**
	 * Method 'RelExpCriPun'.
	 * 
	 * @param idRelExpCriPun
	 *            Integer
	 */
	public RelExpCriPun(Integer idRelExpCriPun) {
		this.idRelExpCriPun = idRelExpCriPun;
	}

	/**
	 * Method 'RelExpCriPun'.
	 * 
	 * @param idRelExpCriPun
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param puntuacionTeorica
	 *            Long
	 * @param puntuacionAdmitida
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param criteriosPuntuacion
	 *            CriteriosPuntuacion
	 */
	public RelExpCriPun(Integer idRelExpCriPun, Integer idExpediente, BigDecimal puntuacionTeorica,
			BigDecimal puntuacionAdmitida, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion, CriteriosPuntuacion criteriosPuntuacion) {

		this.idRelExpCriPun = idRelExpCriPun;
		this.criteriosPuntuacion = criteriosPuntuacion;
		this.idExpediente = idExpediente;
		this.puntuacionTeorica = puntuacionTeorica;
		this.puntuacionAdmitida = puntuacionAdmitida;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'RelExpCriPun'.
	 * 
	 * @param puntuacionTeorica
	 *            Long
	 * @param puntuacionAdmitida
	 *            Long
	 * @param criteriosPuntuacion
	 *            CriteriosPuntuacion
	 */
	public RelExpCriPun(Integer idRelExpCriPun, Integer idExpediente, BigDecimal puntuacionTeorica,
			BigDecimal puntuacionAdmitida, CriteriosPuntuacion criteriosPuntuacion) {

		this.idRelExpCriPun = idRelExpCriPun;
		this.idExpediente = idExpediente;
		this.puntuacionTeorica = puntuacionTeorica;
		this.puntuacionAdmitida = puntuacionAdmitida;
		this.criteriosPuntuacion = criteriosPuntuacion;

	}

	/**
	 * Method 'RelExpCriPun'.
	 * 
	 * @param idRelExpCriPun
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param criteriosPuntuacion
	 *            CriteriosPuntuacion
	 */
	public RelExpCriPun(Integer idRelExpCriPun, Integer idExpediente, CriteriosPuntuacion criteriosPuntuacion) {
		this.idRelExpCriPun = idRelExpCriPun;
		this.idExpediente = idExpediente;
		this.criteriosPuntuacion = criteriosPuntuacion;

	}

	/**
	 * Method 'getIdRelExpCriPun'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpCriPun() {
		return this.idRelExpCriPun;
	}

	/**
	 * Method 'setIdRelExpCriPun'.
	 *
	 * @param idRelExpCriPun
	 *            Integer
	 * @return
	 */

	public void setIdRelExpCriPun(Integer idRelExpCriPun) {
		this.idRelExpCriPun = idRelExpCriPun;
	}

	/**
	 * Method 'getCriteriosPuntuacion'.
	 *
	 * @return CriteriosPuntuacion
	 */

	public CriteriosPuntuacion getCriteriosPuntuacion() {
		return this.criteriosPuntuacion;
	}

	/**
	 * Method 'setCriteriosPuntuacion'.
	 *
	 * @param criteriosPuntuacion
	 *            CriteriosPuntuacion
	 * @return
	 */

	public void setCriteriosPuntuacion(CriteriosPuntuacion criteriosPuntuacion) {
		this.criteriosPuntuacion = criteriosPuntuacion;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getPuntuacionTeorica'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getPuntuacionTeorica() {
		return this.puntuacionTeorica;
	}

	/**
	 * Method 'setPuntuacionTeorica'.
	 *
	 * @param puntuacionTeorica
	 *            BigDecimal
	 * @return
	 */

	public void setPuntuacionTeorica(BigDecimal puntuacionTeorica) {
		this.puntuacionTeorica = puntuacionTeorica;
	}

	/**
	 * Method 'getPuntuacionAdmitida'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getPuntuacionAdmitida() {
		return this.puntuacionAdmitida;
	}

	/**
	 * Method 'setPuntuacionAdmitida'.
	 *
	 * @param puntuacionAdmitida
	 *            BigDecimal
	 * @return
	 */

	public void setPuntuacionAdmitida(BigDecimal puntuacionAdmitida) {
		this.puntuacionAdmitida = puntuacionAdmitida;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getPuntuacionAdmitidaStr() {
		String puntuacionAdmitidaStrResult = "";
		if (null != this.puntuacionAdmitida) {
			puntuacionAdmitidaStrResult = this.puntuacionAdmitida.toString();
		}
		return puntuacionAdmitidaStrResult;
	}

	public String getPuntuacionAdmitidaStrInline() {
		return puntuacionAdmitidaStr;
	}

	public void setPuntuacionAdmitidaStr(String puntuacionAdmitidaStr) {
		this.puntuacionAdmitidaStr = puntuacionAdmitidaStr;
	}

	public String getPuntuacionTeoricaStr() {
		String puntuacionTeoricaStrResult = "";
		if (null != this.puntuacionTeorica) {
			puntuacionTeoricaStrResult = this.puntuacionTeorica.toString();
		}
		return puntuacionTeoricaStrResult;
	}

	public String getPuntuacionTeoricaStrInline() {
		return puntuacionTeoricaStr;
	}

	public void setPuntuacionTeoricaStr(String puntuacionTeoricaStr) {
		this.puntuacionTeoricaStr = puntuacionTeoricaStr;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpCriPun: ").append(this.idRelExpCriPun).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ puntuacionTeorica: ").append(this.puntuacionTeorica).append(" ]");
		result.append(", [ puntuacionAdmitida: ").append(this.puntuacionAdmitida).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
