package com.ejie.ab60.model.estudioTecnico;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelExpErrCal  
 * 
 *  
 */

public class RelExpErrCal implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpErrCal;
	private Integer idExpediente;
	private ErroresCalculo erroresCalculo;
	private Integer fase;
	private Date fechaRegistro;
	private String usuarioRegistro;

	/**
	 * Method 'RelExpErrCal'.
	 */
	public RelExpErrCal() {
	}

	/**
	 * Method 'RelExpErrCal'.
	 * 
	 * @param idRelExpErrCal
	 *            Integer
	 */
	public RelExpErrCal(Integer idRelExpErrCal) {
		this.idRelExpErrCal = idRelExpErrCal;
	}

	/**
	 * Method 'RelExpErrCal'.
	 * 
	 * @param idRelExpErrCal
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param idCodigoerror
	 *            Integer
	 * @param fase
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public RelExpErrCal(Integer idRelExpErrCal, Integer idExpediente, ErroresCalculo erroresCalculo, Integer fase,
			Date fechaRegistro, String usuarioRegistro) {

		this.idRelExpErrCal = idRelExpErrCal;
		this.idExpediente = idExpediente;
		this.erroresCalculo = erroresCalculo;
		this.fase = fase;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdRelExpErrCal'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpErrCal() {
		return this.idRelExpErrCal;
	}

	/**
	 * Method 'setIdRelExpErrCal'.
	 *
	 * @param idRelExpErrCal
	 *            Integer
	 * @return
	 */

	public void setIdRelExpErrCal(Integer idRelExpErrCal) {
		this.idRelExpErrCal = idRelExpErrCal;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getIdCodigoerror'.
	 *
	 * @return Integer
	 */

	public ErroresCalculo getErroresCalculo() {
		return this.erroresCalculo;
	}

	/**
	 * Method 'setIdCodigoerror'.
	 *
	 * @param idCodigoerror
	 *            Integer
	 * @return
	 */

	public void setErroresCalculo(ErroresCalculo erroresCalculo) {
		this.erroresCalculo = erroresCalculo;
	}

	/**
	 * Method 'getFase'.
	 *
	 * @return Integer
	 */

	public Integer getFase() {
		return this.fase;
	}

	/**
	 * Method 'setFase'.
	 *
	 * @param fase
	 *            Integer
	 * @return
	 */

	public void setFase(Integer fase) {
		this.fase = fase;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelExpErrCal: ").append(this.idRelExpErrCal).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ erroresCalculo: ").append(this.erroresCalculo).append(" ]");
		result.append(", [ fase: ").append(this.fase).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
