package com.ejie.ab60.model.estudioTecnico;

import java.util.Date;

import com.ejie.ab60.model.convocatorias.Convocatorias;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * 
 *  
 *
 */

public class RelTecResCon implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelTecResCon;
	private Integer idConvocatoria;
	private Integer idTecnicoResponsable;
	private Date fechaRegistro;
	private String usuarioRegistro;

	private Convocatorias convocatoria;

	/**
	 * Method 'TecnicosResponsables'.
	 */
	public RelTecResCon() {
	}

	/**
	 * Method 'idRelTecResCon'.
	 * 
	 * @param idRelTecResCon
	 *            Integer
	 */
	public RelTecResCon(Integer idRelTecResCon) {
		this.idRelTecResCon = idRelTecResCon;
	}

	/**
	 * @return the idRelTecResCon
	 */
	public Integer getIdRelTecResCon() {
		return idRelTecResCon;
	}

	/**
	 * @param idRelTecResCon
	 *            the idRelTecResCon to set
	 */
	public void setIdRelTecResCon(Integer idRelTecResCon) {
		this.idRelTecResCon = idRelTecResCon;
	}

	/**
	 * @return the idConvocatoria
	 */
	public Integer getIdConvocatoria() {
		return idConvocatoria;
	}

	/**
	 * @param idConvocatoria
	 *            the idConvocatoria to set
	 */
	public void setIdConvocatoria(Integer idConvocatoria) {
		this.idConvocatoria = idConvocatoria;
	}

	/**
	 * @return the idTecnicoResponsable
	 */
	public Integer getIdTecnicoResponsable() {
		return idTecnicoResponsable;
	}

	/**
	 * @param idTecnicoResponsable
	 *            the idTecnicoResponsable to set
	 */
	public void setIdTecnicoResponsable(Integer idTecnicoResponsable) {
		this.idTecnicoResponsable = idTecnicoResponsable;
	}

	/**
	 * @return the fechaRegistro
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the convocatoria
	 */
	public Convocatorias getConvocatoria() {
		return this.convocatoria;
	}

	/**
	 * @param convocatoria
	 *            the convocatoria to set
	 */
	public void setConvocatoria(Convocatorias convocatoria) {
		this.convocatoria = convocatoria;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelTecResCon: ").append(this.idRelTecResCon).append(" ]");
		result.append(" [ Convocatoria: ").append(this.idConvocatoria).append(" ]");
		result.append(" [ idTecnicoResponsable: ").append(this.idTecnicoResponsable).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
