package com.ejie.ab60.model.justificacion;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelTipGasCon  
 * 
 *  
 */

public class RelTipGasCon implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idRelTipGasCon;
	private Long idTipoGastoFac;
	private Integer idConvocatoria;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private String descripcionCas;
	private String descripcionEus;

	/**
	 * Method 'RelTipGasCon'.
	 */
	public RelTipGasCon() {
	}

	/**
	 * Method 'RelTipGasCon'.
	 * 
	 * @param idRelTipGasCon
	 *            Long
	 */
	public RelTipGasCon(Long idRelTipGasCon) {
		this.idRelTipGasCon = idRelTipGasCon;
	}

	/**
	 * Method 'RelTipGasCon'.
	 * 
	 * @param idRelTipGasCon
	 *            Long
	 * @param idTipoGastoFac
	 *            Long
	 * @param idConvocatoria
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public RelTipGasCon(Long idRelTipGasCon, Long idTipoGastoFac, Integer idConvocatoria, Date fechaRegistro,
			String usuarioRegistro) {

		this.idRelTipGasCon = idRelTipGasCon;
		this.idTipoGastoFac = idTipoGastoFac;
		this.idConvocatoria = idConvocatoria;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	public RelTipGasCon(Long idRelTipGasCon, Long idTipoGastoFac, Integer idConvocatoria, Date fechaRegistro,
			String usuarioRegistro, String descripcionCas, String descripcionEus) {

		this.idRelTipGasCon = idRelTipGasCon;
		this.idTipoGastoFac = idTipoGastoFac;
		this.idConvocatoria = idConvocatoria;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.descripcionCas = descripcionCas;
		this.descripcionEus = descripcionEus;
	}

	/**
	 * Method 'getIdRelTipGasCon'.
	 *
	 * @return Long
	 */

	public Long getIdRelTipGasCon() {
		return this.idRelTipGasCon;
	}

	/**
	 * Method 'setIdRelTipGasCon'.
	 *
	 * @param idRelTipGasCon
	 *            Long
	 * @return
	 */

	public void setIdRelTipGasCon(Long idRelTipGasCon) {
		this.idRelTipGasCon = idRelTipGasCon;
	}

	/**
	 * Method 'getIdTipoGastoFac'.
	 *
	 * @return Long
	 */

	public Long getIdTipoGastoFac() {
		return this.idTipoGastoFac;
	}

	/**
	 * Method 'setIdTipoGastoFac'.
	 *
	 * @param idTipoGastoFac
	 *            Long
	 * @return
	 */

	public void setIdTipoGastoFac(Long idTipoGastoFac) {
		this.idTipoGastoFac = idTipoGastoFac;
	}

	/**
	 * Method 'getIdConvocatoria'.
	 *
	 * @return Integer
	 */

	public Integer getIdConvocatoria() {
		return this.idConvocatoria;
	}

	/**
	 * Method 'setIdConvocatoria'.
	 *
	 * @param idConvocatoria
	 *            Integer
	 * @return
	 */

	public void setIdConvocatoria(Integer idConvocatoria) {
		this.idConvocatoria = idConvocatoria;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * @return the descripcionCas
	 */
	public String getDescripcionCas() {
		return descripcionCas;
	}

	/**
	 * @param descripcionCas
	 *            the descripcionCas to set
	 */
	public void setDescripcionCas(String descripcionCas) {
		this.descripcionCas = descripcionCas;
	}

	/**
	 * @return the descripcionEus
	 */
	public String getDescripcionEus() {
		return descripcionEus;
	}

	/**
	 * @param descripcionEus
	 *            the descripcionEus to set
	 */
	public void setDescripcionEus(String descripcionEus) {
		this.descripcionEus = descripcionEus;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelTipGasCon: ").append(this.idRelTipGasCon).append(" ]");
		result.append(", [ idTipoGastoFac: ").append(this.idTipoGastoFac).append(" ]");
		result.append(", [ idConvocatoria: ").append(this.idConvocatoria).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
