package com.ejie.ab60.model.preguntasExpediente;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * PreguntasExpediente  
 * 
 *  
 */

public class PreguntasExpediente implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPreguntaExpediente;
	private Integer idExpediente;
	private Integer tipoInspeccion;
	private Integer tipoPregunta;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String opcionesCastellano;
	private String opcionesEuskera;
	private Date fechaRegistro;
	private String usuarioRegistro;

	private TiposPreguntas tiposPreguntas;

	/**
	 * Method 'PreguntasExpediente'.
	 */
	public PreguntasExpediente() {
	}

	/**
	 * Method 'PreguntasExpediente'.
	 * 
	 * @param idPreguntaExpediente
	 *            Integer
	 */
	public PreguntasExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	/**
	 * Method 'PreguntasExpediente'.
	 * 
	 * @param idPreguntaExpediente
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param tipoInspeccion
	 *            Integer
	 * @param tipoPregunta
	 *            Integer
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param opcionesCastellano
	 *            String
	 * @param opcionesEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public PreguntasExpediente(Integer idPreguntaExpediente, Integer idExpediente, Integer tipoInspeccion,
			Integer tipoPregunta, String descripcionCastellano, String descripcionEuskera, String opcionesCastellano,
			String opcionesEuskera, Date fechaRegistro, String usuarioRegistro) {

		this.idPreguntaExpediente = idPreguntaExpediente;
		this.idExpediente = idExpediente;
		this.tipoInspeccion = tipoInspeccion;
		this.tipoPregunta = tipoPregunta;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.opcionesCastellano = opcionesCastellano;
		this.opcionesEuskera = opcionesEuskera;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdPreguntaExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdPreguntaExpediente() {
		return this.idPreguntaExpediente;
	}

	/**
	 * Method 'setIdPreguntaExpediente'.
	 *
	 * @param idPreguntaExpediente
	 *            Integer
	 * @return
	 */

	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getTipoInspeccion'.
	 *
	 * @return Integer
	 */

	public Integer getTipoInspeccion() {
		return this.tipoInspeccion;
	}

	/**
	 * Method 'setTipoInspeccion'.
	 *
	 * @param tipoInspeccion
	 *            Integer
	 * @return
	 */

	public void setTipoInspeccion(Integer tipoInspeccion) {
		this.tipoInspeccion = tipoInspeccion;
	}

	/**
	 * Method 'getTipoPregunta'.
	 *
	 * @return Integer
	 */

	public Integer getTipoPregunta() {
		return this.tipoPregunta;
	}

	/**
	 * Method 'setTipoPregunta'.
	 *
	 * @param tipoPregunta
	 *            Integer
	 * @return
	 */

	public void setTipoPregunta(Integer tipoPregunta) {
		this.tipoPregunta = tipoPregunta;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getOpcionesCastellano'.
	 *
	 * @return String
	 */

	public String getOpcionesCastellano() {
		return this.opcionesCastellano;
	}

	/**
	 * Method 'setOpcionesCastellano'.
	 *
	 * @param opcionesCastellano
	 *            String
	 * @return
	 */

	public void setOpcionesCastellano(String opcionesCastellano) {
		this.opcionesCastellano = opcionesCastellano;
	}

	/**
	 * Method 'getOpcionesEuskera'.
	 *
	 * @return String
	 */

	public String getOpcionesEuskera() {
		return this.opcionesEuskera;
	}

	/**
	 * Method 'setOpcionesEuskera'.
	 *
	 * @param opcionesEuskera
	 *            String
	 * @return
	 */

	public void setOpcionesEuskera(String opcionesEuskera) {
		this.opcionesEuskera = opcionesEuskera;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public TiposPreguntas getTiposPreguntas() {
		return tiposPreguntas;
	}

	public void setTiposPreguntas(TiposPreguntas tiposPreguntas) {
		this.tiposPreguntas = tiposPreguntas;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idPreguntaExpediente: ").append(this.idPreguntaExpediente).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ tipoInspeccion: ").append(this.tipoInspeccion).append(" ]");
		result.append(", [ tipoPregunta: ").append(this.tipoPregunta).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ opcionesCastellano: ").append(this.opcionesCastellano).append(" ]");
		result.append(", [ opcionesEuskera: ").append(this.opcionesEuskera).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
