package com.ejie.ab60.model.terceros;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * DatosTerBec  
 *  
 */

public class DatosTerBec  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idDatoTerBec;
            private Integer idTercero;
            private Date fechaNacimiento;
            private Integer idPaisNacimiento;
            private Long idProvinciaNacimiento;
            private Long idMunicipioNacimiento;
            private String territorioNacimiento;
            private String localidadNacimiento;
            private String numeroSeguridadSocial;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;

	/** 
	 * Method 'DatosTerBec'.
	 */
    public DatosTerBec() {
    }


	
    
    /** 
     * Method 'DatosTerBec'.
     * @param idDatoTerBec Integer
     */    
     public DatosTerBec(Integer idDatoTerBec) {
          this.idDatoTerBec = idDatoTerBec;
	}

    

    /** 
     * Method 'DatosTerBec'.
     * @param idDatoTerBec Integer
     * @param idTercero Integer
     * @param fechaNacimiento Date
     * @param idPaisNacimiento Integer
     * @param idProvinciaNacimiento Long
     * @param idMunicipioNacimiento Long
     * @param territorioNacimiento String
     * @param localidadNacimiento String
     * @param numeroSeguridadSocial String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     */
   public DatosTerBec(Integer idDatoTerBec, Integer idTercero, Date fechaNacimiento, Integer idPaisNacimiento, Long idProvinciaNacimiento, Long idMunicipioNacimiento, String territorioNacimiento, String localidadNacimiento, String numeroSeguridadSocial, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {	

           this.idDatoTerBec = idDatoTerBec;
           this.idTercero = idTercero;
           this.fechaNacimiento = fechaNacimiento;
           this.idPaisNacimiento = idPaisNacimiento;
           this.idProvinciaNacimiento = idProvinciaNacimiento;
           this.idMunicipioNacimiento = idMunicipioNacimiento;
           this.territorioNacimiento = territorioNacimiento;
           this.localidadNacimiento = localidadNacimiento;
           this.numeroSeguridadSocial = numeroSeguridadSocial;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
    }

    /**
	 * Method 'getIdDatoTerBec'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDatoTerBec() {
		return this.idDatoTerBec;
	}

	/**
	 * Method 'setIdDatoTerBec'.
	 *
	 * @param idDatoTerBec Integer
	 * @return
     */
	
	public void setIdDatoTerBec(Integer idDatoTerBec) {
		this.idDatoTerBec = idDatoTerBec;
	}
    /**
	 * Method 'getIdTercero'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdTercero() {
		return this.idTercero;
	}

	/**
	 * Method 'setIdTercero'.
	 *
	 * @param idTercero Integer
	 * @return
     */
	
	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}
    /**
	 * Method 'getFechaNacimiento'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaNacimiento() {
		return this.fechaNacimiento;
	}

	/**
	 * Method 'setFechaNacimiento'.
	 *
	 * @param fechaNacimiento java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaNacimiento(Date fechaNacimiento) {
		this.fechaNacimiento = fechaNacimiento;
	}
    /**
	 * Method 'getIdPaisNacimiento'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPaisNacimiento() {
		return this.idPaisNacimiento;
	}

	/**
	 * Method 'setIdPaisNacimiento'.
	 *
	 * @param idPaisNacimiento Integer
	 * @return
     */
	
	public void setIdPaisNacimiento(Integer idPaisNacimiento) {
		this.idPaisNacimiento = idPaisNacimiento;
	}
    /**
	 * Method 'getIdProvinciaNacimiento'.
	 *
	 * @return Long
	 */
	
	
	public Long getIdProvinciaNacimiento() {
		return this.idProvinciaNacimiento;
	}

	/**
	 * Method 'setIdProvinciaNacimiento'.
	 *
	 * @param idProvinciaNacimiento Long
	 * @return
     */
	
	public void setIdProvinciaNacimiento(Long idProvinciaNacimiento) {
		this.idProvinciaNacimiento = idProvinciaNacimiento;
	}
    /**
	 * Method 'getIdMunicipioNacimiento'.
	 *
	 * @return Long
	 */
	
	
	public Long getIdMunicipioNacimiento() {
		return this.idMunicipioNacimiento;
	}

	/**
	 * Method 'setIdMunicipioNacimiento'.
	 *
	 * @param idMunicipioNacimiento Long
	 * @return
     */
	
	public void setIdMunicipioNacimiento(Long idMunicipioNacimiento) {
		this.idMunicipioNacimiento = idMunicipioNacimiento;
	}
    /**
	 * Method 'getTerritorioNacimiento'.
	 *
	 * @return String
	 */
	
	
	public String getTerritorioNacimiento() {
		return this.territorioNacimiento;
	}

	/**
	 * Method 'setTerritorioNacimiento'.
	 *
	 * @param territorioNacimiento String
	 * @return
     */
	
	public void setTerritorioNacimiento(String territorioNacimiento) {
		this.territorioNacimiento = territorioNacimiento;
	}
    /**
	 * Method 'getLocalidadNacimiento'.
	 *
	 * @return String
	 */
	
	
	public String getLocalidadNacimiento() {
		return this.localidadNacimiento;
	}

	/**
	 * Method 'setLocalidadNacimiento'.
	 *
	 * @param localidadNacimiento String
	 * @return
     */
	
	public void setLocalidadNacimiento(String localidadNacimiento) {
		this.localidadNacimiento = localidadNacimiento;
	}
    /**
	 * Method 'getNumeroSeguridadSocial'.
	 *
	 * @return String
	 */
	
	
	public String getNumeroSeguridadSocial() {
		return this.numeroSeguridadSocial;
	}

	/**
	 * Method 'setNumeroSeguridadSocial'.
	 *
	 * @param numeroSeguridadSocial String
	 * @return
     */
	
	public void setNumeroSeguridadSocial(String numeroSeguridadSocial) {
		this.numeroSeguridadSocial = numeroSeguridadSocial;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idDatoTerBec: ").append(this.idDatoTerBec).append(" ]");
		result.append(", [ idTercero: ").append(this.idTercero).append(" ]");
		result.append(", [ fechaNacimiento: ").append(this.fechaNacimiento).append(" ]");
		result.append(", [ idPaisNacimiento: ").append(this.idPaisNacimiento).append(" ]");
		result.append(", [ idProvinciaNacimiento: ").append(this.idProvinciaNacimiento).append(" ]");
		result.append(", [ idMunicipioNacimiento: ").append(this.idMunicipioNacimiento).append(" ]");
		result.append(", [ territorioNacimiento: ").append(this.territorioNacimiento).append(" ]");
		result.append(", [ localidadNacimiento: ").append(this.localidadNacimiento).append(" ]");
		result.append(", [ numeroSeguridadSocial: ").append(this.numeroSeguridadSocial).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

