package com.ejie.ab60.service;

import com.ejie.ab60.model.OtrosIngresos;

/**
 * OtrosIngresosService  
 * 
 *  
 */

public interface OtrosIngresosService {

	/**
	 * Inserts a single row in the OtrosIngresos table.
	 *
	 * @param otrosIngresos
	 *            OtrosIngresos
	 * @return OtrosIngresos
	 */
	OtrosIngresos add(OtrosIngresos otrosIngresos);

	/**
	 * Updates a single row in the OtrosIngresos table.
	 *
	 * @param otrosIngresos
	 *            OtrosIngresos
	 * @return OtrosIngresos
	 */
	OtrosIngresos update(OtrosIngresos otrosIngresos);

	/**
	 * Finds a single row in the OtrosIngresos table.
	 *
	 * @param otrosIngresos
	 *            OtrosIngresos
	 * @return OtrosIngresos
	 */
	OtrosIngresos find(OtrosIngresos otrosIngresos);

	/**
	 * Deletes a single row in the OtrosIngresos table.
	 *
	 * @param otrosIngresos
	 *            OtrosIngresos
	 */
	void remove(OtrosIngresos otrosIngresos);

	OtrosIngresos findByIdRelExpActSub(OtrosIngresos otrosIngresos);

	OtrosIngresos updateImporte(OtrosIngresos otrosIngresos);
}
