package com.ejie.ab60.service.moduloContable;

import com.ejie.ab60.model.moduloContable.DocContables;
import com.ejie.x38.dto.JQGridRequestDto;
import com.ejie.x38.dto.JQGridResponseDto;

/**
 * DocContablesService  
 * 
 *  
 */

public interface DocContablesDOService {

	/**
	 * Filter method in the DocContables table.
	 *
	 * @param filterDocContables
	 *            DocContables
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @param startsWith
	 *            Boolean
	 * @return JQGridResponseDto<DocContables>
	 */
	JQGridResponseDto<DocContables> filter(DocContables filterDocContables, JQGridRequestDto jqGridRequestDto,
			Boolean startsWith);
}
