package com.ejie.ab60.service.plantillas;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab60.dao.plantillas.RecuperarDatosCampoDao;

/**
 * CamposPlantillaServiceImpl  
 * 
 *  
 */

@Service(value = "recuperarDatosCampoService")
public class RecuperarDatosCampoServiceImpl implements RecuperarDatosCampoService {

	@Autowired
	private RecuperarDatosCampoDao recuperarDatosCampoDao;

	/**
	 * Finds a single row in the CamposPlantilla table.
	 *
	 * @param camposPlantilla
	 *            CamposPlantilla
	 * @param param
	 *            param String
	 * @return CamposPlantilla
	 */
	public List<String> recuperar(String sql, String[] param) {
		return this.recuperarDatosCampoDao.recuperar(sql, param);
	}

}
