<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<%@ page import="com.ejie.ab60.comun.Constantes"%>

<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<h2><spring:message code="utilidades.copiaConvocatoria"/></h2>
				</div>
				<div class="pull-right">
					<!--  <button type="button" id="copiaConvocatoria" class="btn btn-primary btn-circle btn-lg btnVerResultado" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Copiar Convocatorias"><i class="fa fa-search" aria-hidden="true"></i></button>
					<div class="btn-group margin-left-10">
						<button type="button" id="btnLimpiar" class="btn btn-default btn-circle btn-lg dropdown-toggle btnLimpiarResultado" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnNuevo">
							<i class="fa fa-eraser" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="Limpiar busqueda"></i>
						</button>
					</div>-->
					<button type="button" id="guardar" class="btn btn-primary btn-circle btn-lg" data-toggle="tooltip"
						data-placement="bottom" title="" data-original-title='<spring:message code="fexpediente.copiar"/>'>
						<i class="fa fa-clone" aria-hidden="true"></i>
					</button>
				</div>
			</div>
		</nav>
	</div>
</section>   

<section>
	<div class="container">
		<form:form id="copiaConvocatoria_form" method="post" modelAttribute="copiaConvocatorias"> <!-- Formulario de filtrado -->
			<div id="id_capa"></div>
			<fieldset id="copiaConvocatoria_fieldset" class="rup-table-filter-fieldset">
				<div class="panel panel-default">	
					<div id="iframeDoc" style="display: none;"><iframe src=""  width="100%" height="310px" frameborder="0" scrolling="no" name="modalFrame" id="modalFrame"></iframe></div>
					<!-- Campos del formulario de filtrado -->
					<div class="panel-body">
						<div class="row">
							<div  class="col-xs-12 form-group">
								<label for="idTipoAyuda" class="formulario_linea_label required"><spring:message code="fexpediente.ayudas.tipoAyuda"/></label><br>
								<select name="idTipoAyuda" id="idTipoAyuda" class="form-control"></select>							
							</div>
						</div>
						<div class="row">
							<div  class="col-xs-12 form-group">
								<label for="idProcedimiento" class="formulario_linea_label required"><spring:message code="flistado.procedimientos"/></label>
								<select name="idProcedimiento" id="idProcedimiento" class="form-control"></select>						
							</div>
						</div>
						<div class="row">
							<div  class="col-xs-3 form-group">
								<label for="codigoProcedimiento" class="formulario_linea_label required"><spring:message code="utilidades.codigoProcedimiento"/></label><br>					
								<input name="codProcedureId" id="codigoProcedimiento" class="form-control" type="text" value="" style='width:100px' autocomplete="off"></input>
							</div>
							<div  class="col-xs-3 form-group">
								<label for="anyoConvocatoria" class="formulario_linea_label required"><spring:message code="utilidades.anyoConvocatoria"/></label><br>					
								<input name="anyoConvocatoria" id="anyoConvocatoria" class="form-control" type="text" value="" style='width:100px' autocomplete="off"></input>
							</div>
						</div>	
					</div>					
				</div>
			</fieldset>
		</form:form>	
	</div>
</section>

						
