<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">
		<ul class="nav nav-tabs">
			<li role="presentation"><a href="#" onclick="accederMenu('convocatorias')"><spring:message code="fconvocatoria.datos" /></a></li>
			<li role="presentation" class="bec disabled" id="pestaniaFaseCurriculum"><a href="#" id="faseCurriculumA" onclick="accederMenu('faseCurriculum')" ><spring:message code="fconvocatoria.faseCurriculum"/></a></li>
			<li role="presentation" class="bec disabled" id="pestaniaFaseConocimientos"><a href="#" id="faseConocimientosA" onclick="accederMenu('faseConocimientos')" ><spring:message code="fconvocatoria.faseConocimientos"/></a></li>
			<li role="presentation" class="bec disabled" id="pestaniaFaseCurso"><a href="#" id="faseCursoA" onclick="accederMenu('faseCurso')" ><spring:message code="fconvocatoria.faseCurso"/></a></li>
			<li role="presentation" class="active bec" id="pestaniaFaseBecas"><a href="#" id="faseBecasA" onclick="accederMenu('faseBecas')" ><spring:message code="fconvocatoria.faseBecas"/></a></li>
		</ul>
		<div id="space"></div>
		<input type="hidden" id="idProcedimiento" value="${datosConv.idProcedimiento}">
		<input type="hidden" id="faseActiva" value="${datosConv.faseActiva}">
		<div id="id_capa"></div>
	<fieldset>						
		<div class="panel panel-default" >
			<div class="panel-heading"> 
				<label><spring:message code="fconvocatoria.faseBecas.becarios"/> </label> 
				
			</div>
			<div class="panel-body" id="pbecarios" style="display:block;">
				<div id="tblFaseBecasBecarios_div" class="rup-table-container miocontainer">
								
						<div id="tblFaseBecasBecarios_feedback"></div>
						<div id="tblFaseBecasBecarios_toolbar" class="mitoolbar clearfix">
							<button class="btn btn-default btn-circle" id="btnIntercambiar" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonIntercambiar"/>'><i class="fa fa-exchange" aria-hidden="true"></i></button>	
						</div>
						 <!--  <div class="divToolbarTable">				
							<button class="btn btn-default btn-circle" id="btnIntercambiar" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonIntercambiar"/>'><i class="fa fa-exchange" aria-hidden="true"></i></button>	
						</div>-->
						<div id="tblFaseBecasBecarios_grid_div">
							<!-- Tabla -->
							<table id="tblFaseBecasBecarios" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tblFaseBecasBecarios_pager" class="hidden"></div>
						</div>
					</div>
				</div>
		</div>						
	</fieldset>
	<fieldset>						
		<div class="panel panel-default" >
			<div class="panel-heading"> 
				<label> <spring:message code="fconvocatoria.faseBecas.suplentes"/> </label>
				
				</div>
				<div class="panel-body" id="psuplentes" style="display:block;">
					<div id="tblFaseBecasSuplentes_div" class="rup-table-container miocontainer">	
						<div id="tblFaseBecasSuplentes_feedback"></div>
						<div id="tblFaseBecasSuplentes_toolbar" class="mitoolbar clearfix"></div>
						<div id="tblFaseBecasSuplentes_grid_div">
							<!-- Tabla -->
							<table id="tblFaseBecasSuplentes" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tblFaseBecasSuplentes_pager" class="hidden"></div>
						</div>
					</div>
				</div>
			</div>						
	</fieldset>
	</div>
</section>