<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<input type="hidden" id="controlCambios" value="0" />
<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />		
		
	</div>
</section>
<section>
		<div class="container">	
			<div id="id_capa"></div>		
			<form:form class="form-horizontal" modelAttribute="curriculum" id="formCurriculum" method="post">
			<form:input type="hidden" path="idCurriculum"  />
			<form:input type="hidden" path="puntuaciones.idPuntuacion"  />
			<div id="space"></div>			
			
				<fieldset>
					<legend><spring:message code="formCurriculum.puntuaciones"/></legend>			
					<div class="row">								
						<div class="col-xs-2 form-group">
							<label><spring:message code="formCurriculum.expedienteacademico"/></label>  
							<form:input id="puntuacionExpAca" type="text" class="form-control" readonly="true" path="puntuaciones.puntuacionExpAca"/>
						</div>
						<div class="col-xs-2 form-group">
							<label><spring:message code="formCurriculum.idiomas"/></label>  
							<form:input id="puntuacionIdiomas" type="text" class="form-control" readonly="true" path="puntuaciones.puntuacionIdiomas"/>
						</div>
						<div class="col-xs-2 form-group">
							<label><spring:message code="formCurriculum.formacioncomplementaria"/></label>  
							<form:input id="puntuacionForCom" type="text" class="form-control" readonly="true" path="puntuaciones.puntuacionForCom"/>
						</div>
						<div class="col-xs-2 form-group">
							<label><spring:message code="formCurriculum.experiencialaboral"/></label>  
							<form:input id="puntuacionExpLab" type="text" class="form-control" readonly="true" path="puntuaciones.puntuacionExpLab"/>
						</div>
						<div class="col-xs-2 form-group">
							<label></label>  							
						</div>
						<div class="col-xs-2 form-group">
							<label><spring:message code="formCurriculum.puntuaciontotal"/></label>  
							<form:input id="puntuacionTotCv" type="text" class="form-control" readonly="true" path="puntuaciones.puntuacionTotCv"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset>
					<legend><spring:message code="formCurriculum.curriculum"/></legend>
						<div class="panel panel-default">
							<div class="panel-heading " ><spring:message code="formCurriculum.expedienteacademico"/> <a href="#" id="abrirExpediente"><i class="fa fa-chevron-up right" id="flecha1"aria-hidden="true"></i></a></div>
								<div id="pexpediente" style="display:block;">
									<div class="row">
										<div class="col-xs-12 form-group">
											<label class="required"><spring:message code="formCurriculum.titulacion"/></label>
											<form:input type="text" class="form-control" path="titulacion" maxlength="200"/>
										</div>
									</div>
								
									<div class="row">
										<div class="col-xs-2 form-group">
											<label class="required"><spring:message code="formCurriculum.matriculashonor"/></label>
											<form:input type="text" class="form-control" path="matriculasHonor" maxlength="2"/>
										</div>
										<div class="col-xs-2 form-group">
											<label class="required"><spring:message code="formCurriculum.sobresalientes"/></label>
											<form:input type="text" class="form-control" path="sobresalientes" maxlength="2"/>
										</div>
										<div class="col-xs-2 form-group">
											<label class="required"><spring:message code="formCurriculum.notables"/></label>  
											<form:input id="calculada" type="text" class="form-control" path="notables" maxlength="2"/>
										</div>
										<div class="col-xs-2 form-group">
											<label class="required"><spring:message code="formCurriculum.suficientes"/></label>  
											<form:input id="resuelta" type="text" class="form-control" path="suficientes" maxlength="2"/>
										</div>
										<div class="col-xs-4 form-group">
											<label></label>  
										</div>
									</div>
										<div class="row">
											<div class="movchekboxCurriculum checkbox">
												<c:set var="checkeado" value=""/>
												<c:forEach items="${listaCriterios}" var="listaCriterios">
													<c:if test="${not empty listaIdsCriterios}">
														<c:set var="checkeado" value="checked"/>
													</c:if>
													<input type="checkbox" name="criterios[]" class="criterioschecked" value="${listaCriterios.idCriterio}"  ${checkeado}/>
													 <label class="criterios">
							  							<c:choose>
								    						<c:when test="${lenguaje =='es'}">						
										  						${listaCriterios.criPunCastellano}
								    						</c:when>
								    						<c:otherwise>
								     		 					${listaCriterios.criPunEuskera}
								    						</c:otherwise>
														</c:choose>
													</label>
												</c:forEach>	
											</div>								
										</div>
								</div>
							</div>
					</fieldset>
					<fieldset>

						<div class="panel panel-default">
							<div class="panel-heading " ><spring:message code="formCurriculum.idiomas"/> <a href="#" id="abrirIdiomas"><i class="fa fa-chevron-up right" id="flecha2"aria-hidden="true"></i></a></div>
								<div id="pidiomas" style="display:block;">
									<table class="table table-striped">
										<thead>
											<tr>												
												<th width="35%"><spring:message code="formCurriculum.idioma"/></th>
												<th width="65%"><spring:message code="formCurriculum.certificacion"/></th>																								
											</tr>
										</thead>
										<tbody>
											<tr>												
												<td><spring:message code="formCurriculum.euskera"/></td>												
												<td>
													 <form:select id="comboEuskera" path="tiposCertificacionByIdCertificacionEuskera.idTipoCertificacion"  name="tiposCertificacionByIdCertificacionEuskera.idTipoCertificacion" class="form-control"></form:select>
													 <input type="hidden"  id="idTipoCertificacionEuskera" class="form-control" value="${curriculum.tiposCertificacionByIdCertificacionEuskera.idTipoCertificacion}"/>
													 
												</td>												
											</tr>
											<tr>												
												<td><spring:message code="formCurriculum.ingles"/></td>												
												<td>
													 <form:select id="comboIngles" path="tiposCertificacionByIdCertificacionIngles.idTipoCertificacion"  name="tiposCertificacionByIdCertificacionIngles.idTipoCertificacion" class="form-control"></form:select>
													 <input type="hidden"  id="idTipoCertificacionIngles" class="form-control" value="${curriculum.tiposCertificacionByIdCertificacionIngles.idTipoCertificacion}"/>
												</td>												
											</tr>
											<tr>												
												<td><spring:message code="formCurriculum.frances"/></td>												
												<td>
													 <form:select id="comboFrances" path="tiposCertificacionByIdCertificacionFrances.idTipoCertificacion"  name="tiposCertificacionByIdCertificacionFrances.idTipoCertificacion" class="form-control"></form:select>
													 <input type="hidden"  id="idTipoCertificacionFrances" class="form-control" value="${curriculum.tiposCertificacionByIdCertificacionFrances.idTipoCertificacion}"/>
												</td>												
											</tr>
											<tr>												
												<td><spring:message code="formCurriculum.italiano"/></td>												
												<td>
													<form:select id="comboItaliano" path="tiposCertificacionByIdCertificacionItaliano.idTipoCertificacion"  name="tiposCertificacionByIdCertificacionItaliano.idTipoCertificacion" class="form-control"></form:select>
													 <input type="hidden"  id="idTipoCertificacionItaliano" class="form-control" value="${curriculum.tiposCertificacionByIdCertificacionItaliano.idTipoCertificacion}"/>
												</td>												
											</tr>
											
										</tbody>
									</table>
								</div>
							</div>
						</fieldset>
						<fieldset>			
							<div class="panel panel-default">
								<div class="panel-heading"> 
									<label><spring:message code="formCurriculum.formacioncomplementaria"/> </label> 
									<a href="#" id="abrirFormacion"><i class="fa fa-chevron-up right" id="flecha3" aria-hidden="true"></i></a>
								</div>
									<div id="pformacion" style="display:block;">
										<div id="tblFormacion_div" class="rup-table-container miocontainer">
											<div id="tblFormacion_feedback"></div>
											<div id="tblFormacion_toolbar" class="mitoolbar clearfix"></div>
											<div id="tblFormacion_grid_div">
												<!-- Tabla -->
												<table id="tblFormacion" class="table"></table>
												<!-- Barra de paginación -->
												<div id="tblFormacion_pager" class="hidden"></div>				
											</div>
										</div>								
									</div>							
							</div>
						</fieldset> 
						<fieldset>		
							  <div class="panel panel-default">
							  	<div class="panel-heading"> 
									<label><spring:message code="formCurriculum.experiencialaboral"/> </label> 
									<a href="#" id="abrirExperiencia"><i class="fa fa-chevron-up right" id="flecha4" aria-hidden="true"></i></a>
								</div>
									<div id="pexperiencia" style="display:block;">
										<div id="tblExperiencia_div" class="rup-table-container miocontainer">
											<div id="tblExperiencia_feedback"></div>
											<div id="tblExperiencia_toolbar" class="mitoolbar clearfix"></div>
											<div id="tblExperiencia_grid_div">
												
												<table id="tblExperiencia" class="table"></table>
												
												<div id="tblExperiencia_pager" class="hidden"></div>				
											</div>
										</div>								
									</div>
							</div>  
						</fieldset> 
				<fieldset>
					<legend class="opcionmaspeque"><spring:message code="formCurriculum.observaciones"/></legend>
					<div class="panel panel-default">
				
						<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<!--<label>Observaciones</label>-->
									<!--<textarea class="form-control" rows="2" ></textarea>-->
									<form:textarea class="form-control"  path="puntuaciones.observacionesCv" rows="2" maxlength="200" ></form:textarea>
								</div>
							</div>
						</div>		
						
					</div>							
				</fieldset>
				<form:input type="hidden" path="bandera"  value="0"/>
			</form:form>			
		</div>
			<div id="tblFormacion_detail_div" class="rup-table-formEdit-detail">
			<div id ="tblFormacion_detail_navigation" class="hidden"></div>			<!-- Barra de navegación del detalle -->
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblFormacion_detail_form" class="form-horizontal">					<!-- Formulario -->
					<div class="floating_left_pad_right">
						<!-- Campos del formulario de detalle -->
						<input type="hidden" name="idTituloCurso" id="idTituloCurso"/>
						<input type=hidden name="idCurriculum" id="idCurriculumFormacion" />
						<input type="hidden" name="idCaracteristica" id="idCaracteristica"/>
						<div class="row">
							<div class="col-xs-4 form-group">
								<label> <input type="checkbox" id="valorar_detail_table" name="valorar" value="1"/> <spring:message code="formCurriculum.tblFormacion.valorar"/> </label>		
							</div>	
							<div class="col-xs-8 form-group">
								<label class="required" for="horas_detail_table"><spring:message code="formCurriculum.tblFormacion.horas"/></label>								
								<input type="text" id="horas_detail_table" name="horas" maxlength="4" class="form-control"/>
							</div>	
						</div>
						<div class="row">
							<div class="col-xs-12 form-group">
								<label class="required" for="tituloCurso_detail_table"><spring:message code="formCurriculum.tblFormacion.tituloCurso"/></label>								
								<input type="text" id="tituloCurso_detail_table" name="tituloCurso" maxlength="500" class="form-control"/>
							</div>					
							
						</div>
						<div class="row">	
							<div class="col-xs-12 form-group">
								<label class="required" for="entidad_detail_table"><spring:message code="formCurriculum.tblFormacion.entidad"/></label>								
								<input type="text" id="entidad_detail_table" name="entidad" maxlength="200" class="form-control"/>
							</div>
						</div>	
						<div class="row">
							<div class="col-xs-12 form-group">
								<label class="required" for="comboCaracteristicas"><spring:message code="formCurriculum.tblFormacion.caracteristica"/></label>	
								<select class="form-control" id="comboCaracteristicas"  name="caracteristicas.idCaracteristica"/></select>
							</div>	
							
						</div>
						<!-- Fin campos del formulario de detalle -->
						
					</div>
				</form>
			</div>
			<!-- Botonera del formulario de detalle -->
			<div class="rup-table-buttonpane ui-helper-clearfix">
				<div class="ui-dialog-buttonset">
					<!-- Botón Guardar -->
					<button id="tblFormacion_detail_button_save" class="btn btn-primary" type="button">
						<spring:message code="save" />
					</button>
					<!-- Enlace cancelar -->
					<a href="javascript:void(0)" id="tblFormacion_detail_link_cancel"
						class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
				</div>
			</div>
		</div>	
		
		<div id="tblExperiencia_detail_div" class="rup-table-formEdit-detail">
			<div id ="tblExperiencia_detail_navigation" class="hidden"></div>			<!-- Barra de navegación del detalle -->
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblExperiencia_detail_form" class="form-horizontal">					<!-- Formulario -->
					<div class="floating_left_pad_right">
						<!-- Campos del formulario de detalle -->
						<input type="hidden" name="idExperienciaLaboral" id="idExperienciaLaboral"/>
						<input type=hidden name="idCurriculum" id="idCurriculumExperiencia" />
						<div class="row">
							<div class="col-xs-4 form-group">
								<label> <input type="checkbox" id="valorar_detail_table" name="valorar" value="1"/> <spring:message code="formCurriculum.tblFormacion.valorar"/> </label>		
							</div>	
							<div class="col-xs-4 form-group">
								<label> <input type="checkbox" id="comercio_detail_table" name="comercio" value="1"/> <spring:message code="formCurriculum.tblExperiencia.comercio"/> </label>		
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="numeroDias_detail_table"><spring:message code="formCurriculum.tblExperiencia.numeroDias"/></label>								
								<input type="text" id="numeroDias_detail_table" name="numeroDias" maxlength="4" class="form-control"/>
							</div>	
						</div>
						<div class="row">
							<div class="col-xs-12 form-group">
								<label class="required" for="empresa_detail_table"><spring:message code="formCurriculum.tblExperiencia.empresa"/></label>								
								<input type="text" id="empresa_detail_table" name="empresa" maxlength="500" class="form-control"/>
							</div>					
							
						</div>
						<div class="row">	
							<div class="col-xs-12 form-group">
								<label  class="required" for="puesto_detail_table"><spring:message code="formCurriculum.tblExperiencia.puesto"/></label>								
								<input type="text" id="puesto_detail_table" name="puesto" maxlength="200" class="form-control"/>
							</div>
						</div>	
						
							
						</div>
						<!-- Fin campos del formulario de detalle -->
						
					
				</form>
			</div>
			<!-- Botonera del formulario de detalle -->
			<div class="rup-table-buttonpane ui-helper-clearfix">
				<div class="ui-dialog-buttonset">
					<!-- Botón Guardar -->
					<button id="tblExperiencia_detail_button_save" class="btn btn-primary" type="button">
						<spring:message code="save" />
					</button>
					<!-- Enlace cancelar -->
					<a href="javascript:void(0)" id="tblExperiencia_detail_link_cancel"
						class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
				</div>
			</div>
		</div>			
	</section>
	
