<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>


<section>
<input type="hidden" id="idConvocatoria" value= "${idConvocatoria}"/>
<input type="hidden" id="idExpediente" value= "${idExpediente}"/>
<input type="hidden" id="idInspeccion" value= "${idInspeccion}"/>
<input type="hidden" id="URLAB79" value= "${URLAB79}"/>
	<nav class="navbar navbar-default navbar-secundario">
		<div class="container">
			<div class="pull-left mr-2">
				<div class="color-gris"><spring:message code="fexpediente.nombre" /></div>
				<h4 class=" mt-0">${nombreExpediente}</h4>		
			</div>
			<div class="pull-left">
				<div class="color-gris"><spring:message code="fexpediente.titulo" /></div>
				<h4 class=" mt-0">${tituloExpediente}</h4>		
			</div>
			<div class="pull-right">
				<div class="btn-group margin-left-10">
					<button type="button" class="btn btn-default btn-circle btn-lg dropdown-toggle" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnBuscar">
						<i class="fa fa-search" aria-hidden="true" data-toggle="tooltip" title='<spring:message code="fexpediente.buscar"/>' data-placement="bottom" ></i> <span class="caret"></span>
					</button>
					<ul class="dropdown-menu dropdown-menu-pull-right">
						<li><a href="#">
								<div class="form-group">
									<div class="input-group">
										<input id="textoBusqueda" type="text" class="form-control" placeholder='<spring:message code="fexpediente.buscarPorCodigo"/>' style="width:250px" />
										<span class="input-group-btn">
										<button id="busquedaExpedienteCodigo" class="btn btn-default" type="button"><i class="fa fa-search"></i></button>
										<div id="busquedaExpediente_feedback"></div>
										</span>
									</div><!-- /input-group -->
								</div>
						</a>
						</li>
					</ul>
				</div>
				
				<button type="button" class="btn btn-primary btn-circle btn-lg grabar" data-toggle="tooltip" id="guardar" data-placement="bottom" title="" data-original-title='<spring:message code="fexpediente.guardar"/>'><i class="fa fa-floppy-o" aria-hidden="true"></i></button>
				<button type="button" id="btnInspeccionar" class='btnInspeccionar btn btn-primary btn-circle btn-lg hidden' data-toggle="tooltip" data-placement="bottom" title="" data-original-title='<spring:message code="fexpediente.inspeccionar"/>'><i class="fa fa-briefcase" aria-hidden="true"></i></button>
				<div class="btn-group margin-left-10">
					<button type="button" class="btn btn-default btn-circle btn-lg dropdown-toggle" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnNuevo">
						<i class="fa fa-ellipsis-h" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title='<spring:message code="fexpediente.opciones"/>'></i>
					</button>
					<ul class="dropdown-menu dropdown-menu-pull-right">
						<li><a href="#" id="btnGenerarDoc"><i class="fa fa-file-text" aria-hidden="true"></i><spring:message code="fexpediente.generarDocumento"/></a></li>
						<li><a href="${urlVerDocumentos}" target="_blank"><i class="fa fa-files-o" aria-hidden="true"></i><spring:message code="fexpediente.verDocumento"/></a></li>
						<li id="btnCalcular" class="disabled"><a href="#" ><i class="fa fa-calculator" aria-hidden="true"></i><spring:message code="fexpediente.calculoAyuda"/></a></li>
						<li id="btnCalcularLiq"><a href="#" ><i class="fa fa-calculator" aria-hidden="true"></i><spring:message code="fexpediente.calculoSubvLiq"/></a></li>
						<li id="btnCalcularCurriculum" class="disabled"><a href="#"><i class="fa fa-calculator" aria-hidden="true"></i><spring:message code="fexpediente.calcularCurriculum"/></a></li>
						<li id="btnValidar" class="disabled"><a href="#" ><i class="fa fa-check"></i><spring:message code="fexpediente.validarAyuda"/></a></li>
						<li id="btnHabilitar" class="disabled"><a href="#" ><i class="fa fa-unlock"></i><spring:message code="fexpediente.habilitarAyuda"/></a></li>
						<li id="btnMarcarInspeccionar" class="disabled"><a href="#"><i class="fa fa-thumb-tack"></i><spring:message code="fexpediente.marcarComoInspeccionable"/></a></li>
						<li id="btnVerInspeccionEnAB79" class="disabled"><a href="${URLAB79}/ab79WebAppWar/fichadeinspeccion/maint/${idInspeccion}" target="_blank"><i class="fa fa-external-link"></i><spring:message code="fexpediente.verInspeccionEnAB79"/></a></li>
						<li id="btnEliminarInspeccion" class="disabled"><a href="#"><i class="fa fa-trash"></i><spring:message code="fexpediente.eliminarInspeccion" /></a></li>
					</ul>
				</div>
			</div>
		</div>	
		<div class="container">
			<div class="pull-left">
				<div class="color-gris"><spring:message code="fexpediente.procedimiento" /></div>
				<h4 class=" mt-0">${procedimientoExpediente}</h4>
			</div>
		</div>
	</nav>
</section>	
<!-- Formulario de detalle -->

<div id="dialogs" style="display: none"></div>
<div id="dialogMarcarInspecionable" style="display: none"></div>
<div id="preguntasExpedienteModal" style="display: none"></div>
<div id="dialogsEstudioTecnico" style="display: none"></div>