<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../../pestanas.jsp" />		
		
	</div>
</section>
<section>

<span id="tipoInspeccion" hidden>1</span>
<div class="container">	
	<input type="hidden" id="folderId" value= "${folderId}"/>
	<input type="hidden" id="folderId" value= "${folderId}"/>
	
	<div id="id_capa"></div>
		<form:form class="form-horizontal" modelAttribute="datosExpediente" id="formDatosExpdiente" method="post">
		<c:if test="${!empty datosExpediente}">
			<form:input type="hidden" path="idProyectoExpediente" />
			<form:input type="hidden" path="idExpediente" />
			<form:input type="hidden" path="expedienteValidado" />
			
		</c:if>

			<!-- Incluimos la jsp que contiene la parte "Datos de la ayuda" que es comun a todas las ayudas -->
			<jsp:include page="../datosCalculo.jsp" />
			
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloProyecto"/></legend>
			<div class="panel panel-default">
			<div class="panel-heading " ><spring:message code="fexpediente.form.inversion"/></div>
				<div id="datosEMCO_div" class="rup-table-container miocontainer">	
					<div id="datosEMCO_feedback"></div> 
					<div id="datosEMCO_toolbar" class="mitoolbar clearfix">
					</div>
					<div id="datosEMCO_grid_div">
						<table id="datosEMCO"></table>
						<div id="datosEMCO_pager" class="hidden"></div>
					</div>
				</div>
			</div>
			
			</fieldset>
			<input type="hidden" id="esAyuntamiento" value="${esAyuntamiento}"/>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesCastellano" rows="4" maxlength="2000"></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesEuskera" rows="4" maxlength="2000"></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<form:input type="hidden" path="bandera"  value="0"/>
		</form:form>
</div>

<div id="datosEMCO_detail_div"	class="rup-table-formEdit-detail modal-lg">
	<div id="datosEMCO_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="datosEMCO_detail_form">
				<div class="row">
					<div class="col-xs-12 form-group">
						<input type="hidden" id="idRelExpActSub" name="idRelExpActSub"/>
						<span id="descripcionConcepto" class="tituloActuacion bold"></span>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-6 form-group">
						<div class="panel panel-default">
							<div class="movchekbox checkbox">
								<input type="checkbox" id="checkboxDenegacion"/>
								<label id="CheckDenegacion" for="checkbox1" class="bold"><spring:message code="formRelExpActSub.denegar"/></label>	
							</div>
							<div class="movchekcombo">
								<label><spring:message code="formRelExpActSub.denegacion"/></label>
								<select class="form-control" id="comboDenegacion" name="comboDenegacion"/></select>
							</div>
							<div id="space"></div>
						</div>
					</div>
					<div class="col-xs-6 form-group">
			 			<div class="panel panel-default">
					 		<div class="movchekbox checkbox">	
			 					<input type="checkbox" id="checkboxMinoracion" />
				 				<label id="CheckMinoracion" for="checkbox2" class="bold"><spring:message code="formRelExpActSub.minorar"/></label>
							</div>
							<div class="movchekcombo">
								<label><spring:message code="formRelExpActSub.minoracion"/></label>
								<select class="form-control" id="comboMinoracion"  name="comboMinoracion" /></select>	
							</div>
							<div id="space"></div>
						</div>
					</div>
				</div>
				<div id="divAyuntamiento">
					<div class="row comboDEC">
						<div class="col-xs-6 form-group">
							<label><spring:message code="fexpediente.formActuacionSubvencionable.tipo"/></label>
							<select class="form-control" id="comboAccionSubvencionablePadre" name="actSubvencionable.idActSubPadre" required/></select>
						</div>
						<div class="col-xs-6 form-group">
							<label><spring:message code="fexpediente.formActuacionSubvencionable.subtipo"/></label>
							<select class="form-control" id="comboAccionSubvencionableNieto" required/></select>
							<input id="valorComboHijo" type="hidden" name="actSubvencionable.idActSub"/> 
						</div>
					</div>
					<div class="row">
		                <div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.form.titulo"/><span class="required"></span></label> 
							<input type="text" class="form-control"	name="actAyuntamiento.titulo" maxlength="200" required/>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.form.descripcion"/><span class="required"></span></label> 
							<input type="text" class="form-control"	name="actAyuntamiento.descripcion" maxlength="200" required/>
						</div>
		            </div>
		            <div class="row">
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.formAyuntamiento.importeTotal"/><span class="required"></span></label> 
							<input type="text" class="form-control"	name="importePresentadoMask" onchange="javascript:formatearNumero(this);" required/>
							<input type="hidden" name="importePresentado"/>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.formAyuntamiento.importeAdmitido"/></label> 
							<input type="text" class="form-control"	name="importeAdmitidoMask" onchange="javascript:formatearNumero(this);"/>
							<input type="hidden" name="importeAdmitido"/>
						</div>
		            </div>
		            <div class="row">
						<div class="col-xs-4 form-group">
							<label class="anchoFijo"><spring:message code="fexpediente.formAyuntamiento.fechaInicio"/><span class="required"></span></label> 
							<input type="text" class="form-control" id="fechaInicio" name="actAyuntamiento.fechaInicioStr"/>
						</div>
						<div class="col-xs-4 form-group">
							<label class="anchoFijo"><spring:message code="fexpediente.formAyuntamiento.fechaFin"/><span class="required"></span></label> 
							<input type="text" class="form-control" id="fechaFin" name="actAyuntamiento.fechaFinStr"/>
						</div>
		            </div>
				</div>
				<div id="divAsociacion">
					<div class="row comboDEC"  id="controlAdd">
						<div class="col-xs-6 form-group">
							<label><spring:message code="fexpediente.formActuacionSubvencionable.tipo"/></label>
							<select class="form-control" id="comboAccionSubvencionablePadre" name="actSubvencionable.idActSubPadre" required/></select>
						</div>
						<div class="col-xs-6 form-group">
							<label><spring:message code="fexpediente.formActuacionSubvencionable.subtipo"/></label>
							<select class="form-control" id="comboAccionSubvencionableNieto" required/></select>
							<input id="valorComboHijo" type="hidden" name="actSubvencionable.idActSub"/> 
						</div>
					</div>
		            <div id="conceptosTabla_div">
			            <fieldset>
							<div class="panel panel-default">
							<div class="panel-heading "><spring:message code="fexpediente.formConceptos.tituloFacturas"/></div>
								<div id="conceptosTabla_div" class="rup-table-container miocontainer">
									<div id="conceptosTabla_feedback"></div>
									<div id="conceptosTabla_toolbar" class="mitoolbar clearfix"></div>
									<div id="conceptosTabla_grid_div">
										<table id="conceptosTabla"></table>
									 <div id="conceptosTabla_pager" class="hidden"></div>
									</div>
								</div>
							</div>	
						</fieldset>
		            </div>
				</div>
	            
	            <fieldset>
					<legend><spring:message code="fexpediente.form.tituloNotas"/></legend>
					<div class="panel panel-default">
						<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<textarea name="notas" class="form-control" rows="4" maxlength="2000"></textarea>
								</div>
							</div>
						</div>							
					</div>							
				</fieldset>
				<fieldset>
					<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
					<div class="panel panel-default">
						<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<textarea name="observacionesCastellano" class="form-control" rows="4" maxlength="2000"></textarea>
								</div>
							</div>
						</div>							
					</div>							
				</fieldset>
				<fieldset>
					<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
					<div class="panel panel-default">
						<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<textarea name="observacionesEuskera" class="form-control" rows="4" maxlength="2000"></textarea>
								</div>
							</div>
						</div>							
					</div>							
				</fieldset>
				<div id="inspeccionableObservaciones" hidden>
		            <div class="row">
		            	<c:if test="${initForm.inspeccionable != 0}">
							<div class="col-xs-4 form-group movchekbox checkbox">
								<input type="hidden" id="inputInspeccionable" name="inspeccionable"/>
			                	<input type="checkbox" id="checkboxInspeccionable"/>
								<label><spring:message code="fexpediente.formAyuntamiento.inspeccionable"/></label> 
							</div>
						</c:if>
		            </div>
		            <div class="row">
						<c:if test="${initForm.inspeccionable != 0}">
							<div class="col-xs-6 form-group">
								<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
								<textarea class="form-control" name="observacionesInspCastellano" id="observacionesCastellano" rows="4"  maxlength="2000"></textarea>
							</div>								
							<div class="col-xs-6 form-group">
								<label id="ffobsevacionesEuskera"><spring:message  code="formfacturas.obsevacionesEuskera"/></label>
								<textarea class="form-control" name="observacionesInspEuskera"  id="observacionesEuskera" rows="4"  maxlength="2000"></textarea>
								<!--input type="hidden"  path="motivosMinoracion.idMotivoMinoracion" class="idMinoracion"/>-->
							</div>
						</c:if>
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			<button id="datosEMCO_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" 
					id="datosEMCO_detail_link_cancel" class="rup-enlaceCancelar"><spring:message
						code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
	
	<div id="conceptosTabla_detail_div"	class="rup-table-formEdit-detail modal-lg">
	<div id="conceptosTabla_detail_navigation" class="hidden"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="conceptosTabla_detail_form">
			<input type="hidden" name="idFactura" id="idFactura" />			
			<input type="hidden" id="idActSub" name="relExpActSub.actSubvencionable.idActSub"  />
			<div class="row">
				<div class="form-group col-xs-12 ">
					<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.actuacionSubvencionable"/></label>
					<select class="form-control" id="comboActSubvencionable" name="relExpActSub.idActSub" required/></select>
				</div>
			</div>
			<div class="row">
				<div class="form-group col-xs-12 ">
					<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.tiposGastos"/></label>
					<select class="form-control" id="comboTiposGasto" name="relTipGasCon.idTipoGastoFac" required/></select>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-2 form-group">
					<label  class="required"><spring:message code="formfacturas.numeroFactura"/></label> 
					<input type="text" class="form-control" name="numeroFactura" id="numeroFactura" maxlength="200"/>
				</div>
				<div class="col-xs-4 form-group">
					<label class="required"><spring:message code="formfacturas.fFactura"/></label>
					<div class="input-group date">
						<input type="text" class="form-control campoFecha" 
							name="fechaFactura" id="fFactura" />
					</div>
				</div>
				<div class="col-xs-6 form-group">
					<label class="required"><spring:message code="formfacturas.concepto"/></label> 
					<input type="text" class="form-control" name="descripcion" id="descripcion"   maxlength="500"/>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-8 form-group">
					<label class="required"><spring:message code="formfacturas.Proveedor"/></label> 
					<input type="text" class="form-control" class="form-control" name="proveedor" id="proveedor" maxlength="200" />
				</div>
				<div class="col-xs-4 form-group">
					<label><spring:message code="formfacturas.fPagado"/></label>
					<div class="input-group date">
						<input type="text" class="form-control campoFecha" name="fechaPagado" id="fPagado" />
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-4 form-group">
					<label class="required"><spring:message code="formfacturas.Importe"/></label> 
					<input type="text" name="importeMask" id="importeMask" class="form-control" onchange="javascript:formatearNumero(this);" />
					<input type="hidden" class="form-control" name="importe" id="importe" />
				</div>
				<div class="col-xs-4 form-group">
					<label><spring:message code="formfacturas.Admitido"/></label> 
					<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMask" class="form-control" onchange="javascript:formatearNumero(this);" />
					<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitido" />
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label><spring:message code="formfacturas.denegacion"/></label>
					<select class="form-control" id="comboFacturaDenegacion" name="comboFacturaDenegacion"/></select>
				</div>
				<div class="col-xs-6 form-group">
					<label><spring:message code="formfacturas.minoracion"/></label>
					<select class="form-control" id="comboFacturaMinoracion" name="comboFacturaMinoracion"/></select>
					
				</div>
			</div>
			<div class="row">
				<div class="col-xs-4 form-group">	
					<div id="checkBoxInspeccionable" class="checkbox">	
						<input type="checkbox" id="check3" name="inspeccionable" value="1"/>
						<label for="check3" class="bold"><b><spring:message code="formfacturas.inspeccionable"/></b></label>	
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xs-6 form-group">
					<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
					<textarea class="form-control" name="observacionesCastellano" id="observacionesCastellano" rows="4" maxlength="2000"></textarea>
				</div>								
				<div class="col-xs-6 form-group">
					<label id="ffobsevacionesEuskera"><spring:message code="formfacturas.obsevacionesEuskera"/></label>
					<textarea class="form-control" name="observacionesEuskera"  id="observacionesEuskera" rows="4" maxlength="2000"></textarea>
					
				</div>
			</div>
		</form>
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			<button id="conceptosTabla_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" id="conceptosTabla_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
			</div>
		</div>					
		
	</div>

</section>
