<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>

<section>
<c:set var="ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDT" value="<%=Constantes.ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDT%>" />
<c:set var="ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDM" value="<%=Constantes.ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDM%>" />

<input type="hidden" id="idAgrupacionActSub" value= "${idAgrupacionActSub}"/>
<input type="hidden" id="idActSub" value= "${idActSub}"/>  
<input type="hidden" id="idExpediente" value= "${expediente}" /> 
<input type="hidden" id="idRelacion" value= "${datosRelExpActSub.idRelExpActSub}"/>
<input type="hidden" id="expedienteValidado" value= "${datosRelExpActSub.idRelExpActSub}"/>
	<form:form class="form-horizontal" modelAttribute="datosRelExpActSub" id="formDatosRelExpActSub" method="post">
	<div class="row">
		<div class="col-xs-12 form-group">
			 <c:choose>
			    <c:when test="${lenguaje =='es'}">						
					<span class="tituloActuacion bold">${datosRelExpActSub.actSubvencionable.descripcionCastellano}</span>
			    </c:when>
			    <c:otherwise>
			    	<span class="tituloActuacion bold">${datosRelExpActSub.actSubvencionable.descripcionEuskera}</span>
			    </c:otherwise>
			</c:choose>
		</div>
	</div>
	<c:set var="ID_AGRUPACION_CTP_Apoyo_Creacion" value="<%=Constantes.ID_AGRUPACION_CTP_Apoyo_Creacion%>" />
	<c:set var="ID_AGRUPACION_CTP_Actuaciones_Destinadas" value="<%=Constantes.ID_AGRUPACION_CTP_Actuaciones_Destinadas%>" />
	<c:set var="ID_AGRUPACION_CTP_Apoyo_Eventos" value="<%=Constantes.ID_AGRUPACION_CTP_Apoyo_Eventos%>" />
	<c:if test="${(idAgrupacionActSub == ID_AGRUPACION_CTP_Apoyo_Creacion) || (idAgrupacionActSub == ID_AGRUPACION_CTP_Actuaciones_Destinadas) || (idAgrupacionActSub == ID_AGRUPACION_CTP_Apoyo_Eventos)}">            
		<fieldset>
			<div class="panel panel-default">
				<c:forEach items="${listaActSub}"  varStatus="vs">
					<div class="movchekbox checkbox">
						<c:set var="checkeado" value=""/>
						<c:if test="${not empty listaIdsActSub}">
							<c:forEach items="${listaIdsActSub}" var="item">
								<c:if test="${item.idActSub == listaActSub[vs.index].idActSub}">
									<c:set var="checkeado" value="checked"/>
								</c:if>								
							</c:forEach>
						</c:if>	
						<input type="checkbox" name="criteriosRelActSubSubacts[]" class="criterioschecked" value="${listaActSub[vs.index].idActSub}" ${checkeado} />
						 <label class="criteriosRelActSubSubacts">
							  <c:choose>
							    <c:when test="${lenguaje =='es'}">						
									<span class="bold">${listaActSub[vs.index].descripcionCastellano}</span>
							    </c:when>
							    <c:otherwise>
							     	<span class="bold">${listaActSub[vs.index].descripcionEuskera}</span>
							    </c:otherwise>
							</c:choose>
						</label>		
					</div>								
				</c:forEach>
			</div>
		</fieldset>
	</c:if>
	<fieldset>
	
		<c:if test="${!empty datosRelExpActSub}">
			<form:input type="hidden" path="idRelExpActSub" />
			<form:input type="hidden" path="idActSub"/>
			<form:input id="idActSubPadre" type="hidden" path="actSubvencionable.idActSubPadre"/>
		</c:if>
		
		<div class="row">
			<c:set var="checkeado" value=""/>
			<div class="col-xs-6 form-group">
				<div class="panel panel-default">
					<c:set var="checkeado" value=""/>
					<c:if test="${not empty relActSubMotDenLis}">
						<c:set var="checkeado" value="checked"/>
					</c:if>
					<div class="movchekbox checkbox">
						<input type="checkbox" id="checkboxDenegacion" ${checkeado}/>
						<form:label path="CheckDenegacion" for="checkbox1" class="bold"><spring:message code="formRelExpActSub.denegar"/></form:label>	
					</div>
					<div class="movchekcombo">
						<label><spring:message code="formRelExpActSub.denegacion"/></label>
						<select class="form-control" id="comboDenegacion" name="comboDenegacion"/></select>
						<input type="hidden"  id="idsDenegacion" value="${idsMotivosDenegacionselecionados}" />
					</div>
					<div id="space"></div>
				</div>
			</div>
 			<div class="col-xs-6 form-group">
	 			<div class="panel panel-default">
	 				<c:set var="checkeado" value=""/>
		 			<c:if test="${not empty relActSubMotMinLis}">
		 				<c:set var="checkeado" value="checked"/>
			 		</c:if>	
			 		<div class="movchekbox checkbox">	
	 					<input type="checkbox" id="checkboxMinoracion" ${checkeado} />
		 				<form:label path="CheckMinoracion" for="checkbox2" class="bold"><spring:message code="formRelExpActSub.minorar"/></form:label>
					</div>
					<div class="movchekcombo">
						<label><spring:message code="formRelExpActSub.minoracion"/></label>
						<select class="form-control" id="comboMinoracion"  name="comboMinoracion" /></select>
						<input type="hidden"  id="idsMinoracion" value="${idsMotivosMinoracionSeleccionados}"/>
					</div>
					<div id="space"></div>
				</div>
			</div>
		</div>						
	</fieldset>
	<!-- ID_AGRUPACION_PTT_Pertenencia_Redes -->
	<fieldset class="redes">
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
					<form:label path="pertenenciasRedes.denominacion"><spring:message code="formRelExpActSub.pertenenciasRedes.denominacion"/></form:label>
					<form:input class="form-control" path="pertenenciasRedes.denominacion" maxlength="100"></form:input>
					</div>
				</div>
			</div>							
		</div>
	</fieldset>
	<c:if test="${idAgrupacionActSub == ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDT || idAgrupacionActSub == ID_AGRUPACION_ENTIDAD_BANCARIA_COVIDM}">
		<div class="row">
			<div class="col-xs-4 form-group">
				<label for="entidadBancaria"><spring:message code="formRelExpActSub.entidadBancaria" /></label>
				<input type="text" class="form-control" name="actSubvencionable.entidadBancaria" id="entidadBancaria" value="${entidadBancaria}" />
			</div>
		</div>
	</c:if>
	<fieldset>
		<div class="panel panel-default">
		<div class="panel-heading"><spring:message code="fexpediente.formConceptos.tituloConceptos"/></div>
			<div id="ConceptosTabla_div" class="rup-table-container miocontainer">
				<div id="ConceptosTabla_feedback"></div>
				<!-- Feedback de la tabla -->
				<div id="ConceptosTabla_toolbar" class="mitoolbar clearfix"></div>
				<!--  Botonera de la tabla -->
				<div id="ConceptosTabla_grid_div">
					<!-- Tabla -->
					<table id="ConceptosTabla"></table>
					<!-- Barra de paginaci�n -->
				 <div id="ConceptosTabla_pager" class="hidden"></div>
				</div>
			</div>
		</div>	
	</fieldset>
	<div id="ayudaConcedidaDiv">
		<div class="row">
			<div class="col-xs-4 form-group">
				<label id="ayudaConcedidaLabel" class="required"><spring:message code="formRelExpActSub.ayudaConcedida" /></label> 
				<input type="text" name="ayudaConcedidaMask" id="ayudaConcedidaMask" class="form-control" value="${otrosIngresos}" onchange="javascript:formatearNumero(this);" aria-required="true"/> 
				<input type="hidden" class="form-control" name="ayudaConcedida" id="ayudaConcedida" value="${otrosIngresos}"/>
				<div id="ayudaConcedidaError" class="error oculto"><spring:message code="campoObligatorio" /></div>
			</div>
		</div>
	</div>
	<fieldset>
		<legend><spring:message code="fexpediente.formConceptos.tituloNotas"/></legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<form:textarea class="form-control" path="notas" rows="4" maxlength="2000"></form:textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	<fieldset>
		<legend><spring:message code="fexpediente.formConceptos.tituloObservaciones"/></legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<form:textarea class="form-control" path="observacionesCastellano" rows="4" maxlength="2000"></form:textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
		<fieldset>
		<legend><spring:message code="fexpediente.formConceptos.tituloObservacionesEuskera"/></legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<form:textarea class="form-control" path="observacionesEuskera" rows="4" maxlength="2000"></form:textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	</form:form>

	<div id="ConceptosTabla_detail_div"	class="rup-table-formEdit-detail modal-lg">
		<div id="ConceptosTabla_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="ConceptosTabla_detail_form">			
				<!-- Campos del formulario de detalle -->
				<input type="hidden" name="idConcepto" id="idConcepto" />
				<input type="hidden" name="idRelExpActSub" id="idRelExpActSub" />
				<div class="row">
					<div class="col-xs-8 form-group tipoGastoOcultar">
						<label  class="required" for="idTipoGasto"><spring:message code="fexpediente.formConceptos.tipoGasto"/></label>
						<select class="form-control" id="comboTipoGasto" name="comboTipoGasto"/></select>
						<input type="hidden" name="idTipoGasto" id="idTipoGasto"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="fexpediente.formConceptos.descripcionGasto"/></label> 
						<input type="text" class="form-control"	name="concepto" id="concepto" maxlength="300"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-5 form-group">
						<label class="required"><spring:message code="fexpediente.formConceptos.importePresentado"/></label> 
						<input type="text" name="importePresentadoMask"  id="importePresentadoMaskDetail" class="form-control"  onchange="javascript:formatearNumero(this);"/>
						<input type="hidden" class="form-control" name="importePresentado" id="importePresentadoConcepto" />
					</div>
					<div class="col-xs-2"></div>
					<div class="col-xs-5 form-group">
						<label><spring:message code="fexpediente.formConceptos.importeAdmitido"/></label> 
						<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMaskDetail" class="form-control" onchange="javascript:formatearNumero(this);" />
						<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitidoConcepto" />
					</div>
				</div>
				<div class="row">
					<div id="checkBoxInspeccionable" class="col-xs-4 form-group">	
						<div class="checkbox">	
							<input type="checkbox" id="check3" name="inspeccionable" value="1"/>
							<label for="check3" class="bold"><b><spring:message code="formfacturas.inspeccionable"/></b></label>	
						</div>
					</div>
				</div>
				<div id="ffobservacionesDiv" class="row">
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
						<textarea class="form-control" name="observacionesCastellano" id="observacionesCastellano" rows="4"  maxlength="2000"></textarea>
					</div>								
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesEuskera"><spring:message code="formfacturas.obsevacionesEuskera"/></label>
						<textarea class="form-control" name="observacionesEuskera"  id="observacionesEuskera" rows="4"  maxlength="2000"></textarea>
						<!--input type="hidden"  path="motivosMinoracion.idMotivoMinoracion" class="idMinoracion"/>-->
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="ConceptosTabla_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" id="ConceptosTabla_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
</section>