<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<section>
	<input type="hidden" id="idCriterio" value="${criterio}" /> <input
		type="hidden" id="idExpediente" value="${expediente}" /> <input
		type="hidden" id="idRelacion"
		value="${datosRelExpActSub.idRelExpActSub}" />

	<form:form class="form-horizontal" modelAttribute="datosRelExpActSub"
		id="formDatosRelExpActSub" method="post">
		<fieldset>
			<c:if test="${!empty datosRelExpActSub}">
				<form:input type="hidden" path="idRelExpActSub" />
				<form:input type="hidden" path="idActSub" />
			</c:if>
			<div class="row">
				<c:set var="checkeado" value="" />
				<div class="col-xs-6 form-group">
					<div class="panel panel-default">
						<c:set var="checkeado" value="" />
						<c:if test="${datosRelExpActSub.idMotivoDenegacion >0}">
							<c:set var="checkeado" value="checked" />
						</c:if>
						<div class="movchekbox checkbox">
							<input type="checkbox" id="checkboxDenegacion" ${checkeado} />
							<form:label path="CheckDenegacion" for="checkbox1" class="bold">
								<b></b>
								<spring:message code="formRelExpActSub.denegar" />
								
							</form:label>
						</div>
						<div class="movchekcombo">
							<form:label path="motivosDenegacion.idMotivoDenegacion">
								<spring:message code="formRelExpActSub.denegacion" />
							</form:label>
							<select class="form-control" id="comboDenegacion" /></select>
							<form:input type="hidden"
								path="motivosDenegacion.idMotivoDenegacion" class="idDenegacion" />
						</div>
						<div id="space"></div>
					</div>
				</div>
				<div class="col-xs-6 form-group">
					<div class="panel panel-default">
						<c:set var="checkeado" value="" />
						<div class="movchekbox checkbox">
							<c:if test="${datosRelExpActSub.idMotivoMinoracion >0}">
								<c:set var="checkeado" value="checked" />
							</c:if>
							<input type="checkbox" id="checkboxMinoracion" ${checkeado} />
							<form:label path="CheckMinoracion" for="checkbox2" class="bold">
								<b></b>
								<spring:message code="formRelExpActSub.minorar" />
							
							</form:label>
						</div>
						<div class="movchekcombo">
							<form:label path="motivosMinoracion.idMotivoMinoracion">
								<spring:message code="formRelExpActSub.minoracion" />
							</form:label>
							<select class="form-control" id="comboMinoracion" /></select>
							<form:input type="hidden"
								path="motivosMinoracion.idMotivoMinoracion" class="idMinoracion" />
						</div>
						<div id="space"></div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<div class="panel panel-default">
				<div class="panel-heading "></div>
				<div class="panel-heading ">
					<spring:message
						code="fexpediente.formContratacionesPersonal.tituloContratacionesPersonal" />
				</div>
				<div id="ContratacionesPersonalTabla_div"
					class="rup-table-container miocontainer">
					<div id="ContratacionesPersonalTabla_feedback"></div>
					<!-- Feedback de la tabla -->
					<div id="ContratacionesPersonalTabla_toolbar"
						class="mitoolbar clearfix"></div>
					<!--  Botonera de la tabla -->
					<div id="ContratacionesPersonalTabla_grid_div">
						<!-- Tabla -->
						<table id="ContratacionesPersonalTabla"></table>
						<!-- Barra de paginaci�n -->
						<div id="ContratacionesPersonalTabla_pager" class="hidden"></div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<spring:message code="fexpediente.formConceptos.tituloNotas" />
			</legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<form:textarea class="form-control" path="notas" rows="4"
								maxlength="2000"></form:textarea>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<spring:message code="fexpediente.formConceptos.tituloObservaciones" />
			</legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<form:textarea class="form-control"
								path="observacionesCastellano" rows="4" maxlength="2000"></form:textarea>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<spring:message
					code="fexpediente.formConceptos.tituloObservacionesEuskera" />
			</legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<form:textarea class="form-control" path="observacionesEuskera"
								rows="4" maxlength="2000"></form:textarea>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
	</form:form>


	<div id="ContratacionesPersonalTabla_detail_div"
		class="rup-table-formEdit-detail modal-lg">
		<div id="ContratacionesPersonalTabla_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="ContratacionesPersonalTabla_detail_form">
				<!-- Campos del formulario de detalle -->
				<input type="hidden" name="idContratacionPersonal"
					id="idContratacionPersonal" /> <input type="hidden"
					name="idRelExpActSub" id="idRelExpActSub" />
				<input type="hidden" name="modalidadesContrato.idModalidadContrato"
					id="modalidadesContrato.idModalidadContrato" />
					<input type="hidden" name="sexo.idSexo"
					id="sexo.idSexo" />
				<div class="row">
					<div class="col-xs-4 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.nombre" /><span class="requiered"> *</span></label> <input
							type="text" class="form-control" name="nombre" id="nombre"
							maxlength="260" />
					</div>
					<div class="col-xs-4 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.primerApellido" /><span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="apellido1"
							id="apellido1" maxlength="260" />
					</div>
					<div class="col-xs-4 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.segundoApellido" /></label>
						<input type="text" class="form-control" name="apellido2"
							id="apellido2" maxlength="260" />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<label for="idSexo"><spring:message	code="fexpediente.formContratacionesPersonal.sexo" /><span class="requiered"> *</span></label> 
						<select class="form-control" id="comboSexo" name = "comboSexo" required/></select> 
						<input type="hidden" name="idSexo" id="idSexo" />
					</div>
					<div class="col-xs-8 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.periodoContratacion" /><span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="periodoContratacion"
							id="periodoContratacion" maxlength="100" />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<label for="modalidadesContrato.idModalidadContrato"><spring:message code="fexpediente.formContratacionesPersonal.modalidadContrato" /><span class="requiered"> *</span></label> 
						<select class="form-control" id="comboModalidadContrato" name = "comboModalidadContrato" required/></select> 
						<input	type="hidden" name="modalidadesContrato.idModalidadContrato" id="idModalidadContrato" />
					</div>
					<div id="empresaContratadaDIV" class="col-xs-8 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.empresaContratada" /></label>
						<input type="text" name="empresaContratada" id="empresaContratada"
							class="form-control" maxlength="100" />
					</div>
				</div>
				<div id="space"></div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<label><spring:message code="fexpediente.formContratacionesPersonal.importePresentado" /><span class="requiered"> *</span></label> 
						<input type="text" name="importeMask" id="importeMaskDetail" class="form-control" onchange="javascript:formatearNumero(this);" /> 
						<input type="hidden" class="form-control" name="importe" id="importe" />
					</div>
					<div class="col-xs-4 form-group">
						<label><spring:message code="fexpediente.formContratacionesPersonal.importeAdmitido" /></label>
						<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMaskDetail" class="form-control" onchange="javascript:formatearNumero(this);" /> 
						<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitido" />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<div class="checkbox">
							<input type="checkbox" id="checkInspeccionable" name="inspeccionable" value="1" /> 
							<label for="checkInspeccionable" class="bold"><b><spring:message code="fexpediente.formContratacionesPersonal.inspeccionable" /></b></label>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-6 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.observacionesCastellano" /></label>
						<textarea class="form-control" name="observacionesCastellano"
							id="observacionesCastellano" rows="4" maxlength="200"></textarea>
					</div>
					<div class="col-xs-6 form-group">
						<label><spring:message
								code="fexpediente.formContratacionesPersonal.observacionesEuskera" /></label>
						<textarea class="form-control" name="observacionesEuskera"
							id="observacionesEuskera" rows="4" maxlength="200"></textarea>
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="ContratacionesPersonalTabla_detail_button_save"
					type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>
				<a href="#" role="button"
					id="ContratacionesPersonalTabla_detail_link_cancel"
					class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>
			</div>
		</div>
	</div>
</section>