<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@ page import="com.ejie.ab60.comun.Constantes"%>

<fieldset>
	<legend><spring:message code="fexpediente.form.titulo"/></legend>
	<input type="hidden" id="controlCambios" value="0" />
	<input type="hidden" id="idTecnicoResponsableHidden" value="" />
	<input type="hidden" id="idResultadoHidden" value="" />
	<input type="hidden" id="idMotivoDesestimacionHidden" value="" />
	<input type="hidden" id="fechaInformeStrHidden" value="" />
	<input type="hidden" id="noConcursal" value="${noConcursal}" />
	<c:set var="ID_TIPO_NO_CONCURSAL" value="<%=Constantes.ID_TIPO_NO_CONCURSAL%>" />
	
	<div class="panel panel-default">
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-5 form-group">
					<form:label path="tecnicosResponsables.idTecnicoResponsable"><spring:message code="fexpediente.form.tecnico"/></form:label>
			   		<select class="form-control" id="comboTecnico" /></select>
			    	<form:input type="hidden" path="tecnicosResponsables.idTecnicoResponsable" class="idTecnico"/>
				</div>	
				<div class="col-xs-1 form-group"></div>
				<div class="col-xs-3 form-group">
					<label><spring:message code="fexpediente.form.fechaExpediente"/></label>
					<div class="input-group date">
						<form:input type="text" class="form-control campoFecha" path="fechaInformeStr" id="finforme" />
					</div>
				</div>
				<c:if test="${noConcursal == ID_TIPO_NO_CONCURSAL}">
					<div class="col-xs-3 form-group">
						<form:label path="importeDisponible"><spring:message code="fexpediente.form.importeDisponible"/></form:label>  
						<form:input type="text" path="importeDisponibleMask"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
						<form:input  type="hidden" class="form-control" path="importeDisponible"/>
					</div>	
				</c:if>							
			</div>
			<div class="row">
				<div class="col-xs-5 form-group">
					<form:label path="tiposResultado.idResultado"><spring:message code="fexpediente.form.resultado"/></form:label>
					<select class="form-control" id="comboResultado" /></select>
					<form:input type="hidden"  path="tiposResultado.idResultado" class="idResultado"/>
				</div>
				<div class="col-xs-1 form-group"></div>
				<div class="col-xs-4 form-group">
					<form:label  path="motivosDesestimacion.idMotivoDesestimacion"><spring:message code="fexpediente.form.motivo"/></form:label>
					<select class="form-control" id="comboMotivo" /></select>
					<form:input type="hidden" path="motivosDesestimacion.idMotivoDesestimacion" class="idMotivo"/>
					
				</div>									
			</div>
			<div class="row">
				<div class="col-xs-3 form-group">
					<form:label path="importePresentado"><spring:message code="fexpediente.form.imporpresentado"/></form:label>
					<form:input type="text" path="importePresentadoMask1"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
					<form:input type="hidden" path="importePresentado" />
				</div>
				<div class="col-xs-3 form-group">
					<form:label  path="importeAdmitido"><spring:message code="fexpediente.form.imporadmitido"/></form:label>
					<form:input type="text" path="importeAdmitidoMask1"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
					<form:input type="hidden" path="importeAdmitido"/>
				</div>
				<div class="col-xs-3 form-group">
					<form:label path="subvencionCalculada"><spring:message code="fexpediente.form.subcalculado"/></form:label>
					<form:input type="text" path="subvencionCalculadaMask"   readonly="true"  class="form-control tamanyoLupa"  onchange="javascript:formatearNumero(this);" />
					<form:input  type="hidden" path="subvencionCalculada"/>
					<i class="fa fa-search ocultarLupa" id="lupa" data-toggle="tooltip"></i>
				</div>
				<div class="col-xs-3 form-group">
					<form:label path="subvencionResuelta"><spring:message code="fexpediente.form.subresulta"/></form:label>  
					<form:input type="text" path="subvencionResueltaMask"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
					<form:input  type="hidden" path="subvencionResuelta"/>
				</div>
			</div>
			<div id="noCargarSubsanacion" class="row">
				<input id="checkCargarSolSub" type="checkbox"/><span id="spanNoCargar"><spring:message code="fexpediente.noCargarSubsanacion"/></span>
				<form:input id="cargarSolSub" type="hidden" path="cargarSolSub"/>
			</div>
		</div>
	</div>
</fieldset>