<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<section>
<input type="hidden" id="idCriterio" value= "${criterio}"/> 
<input type="hidden" id="idRelacion" value= "${datosRelExpActSub.idRelExpActSub}"/>
<input type="hidden" id="expedienteValidado" value= "${datosRelExpActSub.idRelExpActSub}"/>
<input type="hidden" value="${criterio}" id="idCriterio" />
	<form:form class="form-horizontal" modelAttribute="datosRelExpActSub" id="formDatosRelExpActSub" method="post">
	<fieldset>
		<c:if test="${!empty datosRelExpActSub}">
			<form:input type="hidden" path="idRelExpActSub" />
			<form:input type="hidden" path="idExpediente" />
			<form:input type="hidden" path="idActSub"/>
		</c:if>
		<div class="row">
			<div class="col-xs-12 form-group">
				 <c:choose>
				    <c:when test="${lenguaje =='es'}">						
						<span class="tituloActuacion bold">${datosRelExpActSub.actSubvencionable.descripcionCastellano}</span>
				    </c:when>
				    <c:otherwise>
				    	<span class="tituloActuacion bold">${datosRelExpActSub.actSubvencionable.descripcionEuskera}</span>
				    </c:otherwise>
				</c:choose>
			</div>
		</div>
		<div class="row">
			<c:set var="checkeado" value=""/>
			<div class="col-xs-6 form-group">
				<div class="panel panel-default">
					<c:set var="checkeado" value=""/>
					<c:if test="${not empty relActSubMotDenLis}">
						<c:set var="checkeado" value="checked"/>
					</c:if>
					<div class="movchekbox checkbox">
						<input type="checkbox" id="checkboxDenegacion" ${checkeado}/>
						<form:label path="CheckDenegacion" for="checkbox1" class="bold"><spring:message code="formRelExpActSub.denegar"/></form:label>	
					</div>
					<div class="movchekcombo">
						<label><spring:message code="formRelExpActSub.denegacion"/></label>
						<select class="form-control" id="comboDenegacion" name="comboDenegacion"/></select>
						<input type="hidden"  id="idsDenegacion" value="${idsMotivosDenegacionselecionados}" />
					</div>
					<div id="space"></div>
				</div>
			</div>
 			<div class="col-xs-6 form-group">
	 			<div class="panel panel-default">
	 				<c:set var="checkeado" value=""/>
		 			<c:if test="${not empty relActSubMotMinLis}">
		 				<c:set var="checkeado" value="checked"/>
			 		</c:if>	
			 		<div class="movchekbox checkbox">	
	 					<input type="checkbox" id="checkboxMinoracion" ${checkeado} />
		 				<form:label path="CheckMinoracion" for="checkbox2" class="bold"><spring:message code="formRelExpActSub.minorar"/></form:label>
					</div>
					<div class="movchekcombo">
						<label><spring:message code="formRelExpActSub.minoracion"/></label>
						<select class="form-control" id="comboMinoracion"  name="comboMinoracion" /></select>
						<input type="hidden"  id="idsMinoracion" value="${idsMotivosMinoracionSeleccionados}"/>
					</div>
					<div id="space"></div>
				</div>
			</div>
		</div>					
	
	</fieldset>
	<div id="space"></div>
	<fieldset>
		<div class="panel panel-default">
			<div class="panel-heading "><spring:message code="formRelExpActSub.facturas"/></div>
			<div id="FacturaTabla_div" class="rup-table-container miocontainer">
				<div id="FacturaTabla_feedback"></div>
				<!-- Feedback de la tabla -->
				<div id="FacturaTabla_toolbar" class="mitoolbar clearfix"></div>
				<!--  Botonera de la tabla -->
				<div id="FacturaTabla_grid_div">
					<!-- Tabla -->
					<table id="FacturaTabla"></table>
					<!-- Barra de paginaci�n -->
					<div id="FacturaTabla_pager" class="hidden"></div>
				</div>				
			</div>
		</div>	
	</fieldset>
	<fieldset>
		<legend class="opcionmaspeque"><spring:message code="formRelExpActSub.notas"/></legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<form:textarea class="form-control" path="notas" rows="2"  maxlength="2000"></form:textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	<fieldset>
		<legend class="opcionmaspeque"><spring:message code="formRelExpActSub.obesrvacionesCastellano"/></legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<form:textarea class="form-control" path="observacionesCastellano" rows="2"  maxlength="2000"></form:textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	<fieldset>
		<legend class="opcionmaspeque"><spring:message code="formRelExpActSub.obesrvacionesEuskera"/></legend>
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-xs-12 form-group">
						<form:textarea class="form-control" path="observacionesEuskera" rows="2"  maxlength="2000"></form:textarea>
					</div>
				</div>
			</div>							
		</div>							
	</fieldset>
	</form:form>

	<div id="FacturaTabla_detail_div" class="rup-table-formEdit-detail modal-lg">

		<div id="FacturaTabla_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="FacturaTabla_detail_form" >
				
				<!-- Feedback de la tabla -->
				<!-- Campos del formulario de detalle -->
				<input type="hidden" name="idFactura" id="idFactura" />
				
				<input type="hidden" id="idActSub" name="relExpActSub.actSubvencionable.idActSub"  />
				<div class="row">
					<div class="form-group col-xs-12 ">
						<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.actuacionSubvencionable"/></label>
						<select class="form-control" id="comboActSubvencionable" name="relExpActSub.idActSub" /></select>
					</div>
				</div>
				<div class="row">
					<div class="form-group col-xs-12 ">
						<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.tiposGastos"/></label>
						<select class="form-control" id="comboTiposGasto" name="relTipGasCon.idTipoGastoFac"/></select>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-2 form-group">
						<label  class="required"><spring:message code="formfacturas.numeroFactura"/></label> 
						<input type="text" class="form-control" name="numeroFactura" id="numeroFactura" maxlength="200"/>
					</div>
					<div class="col-xs-4 form-group">
						<label class="required"><spring:message code="formfacturas.fFactura"/></label>
						<div class="input-group date">
							<input type="text" class="form-control campoFecha" 
								name="fechaFacturaStr" id="fFactura" />
						</div>
					</div>
					<div class="col-xs-6 form-group">
						<label class="required"><spring:message code="formfacturas.concepto"/></label> 
						<input type="text" class="form-control" name="descripcion" id="descripcion"   maxlength="500"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-8 form-group">
						<label class="required"><spring:message code="formfacturas.Proveedor"/></label> 
						<input type="text" class="form-control" class="form-control" name="proveedor" id="proveedor" maxlength="200" />
					</div>
					<div class="col-xs-4 form-group">
						<label><spring:message code="formfacturas.fPagado"/></label>
						<div class="input-group date">
							<input type="text" class="form-control campoFecha" name="fechaPagadoStr" id="fPagado" />
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<label class="required"><spring:message code="formfacturas.Importe"/></label> 
						<input type="text" name="importeMask" id="importeMask" class="form-control" onchange="javascript:formatearNumero(this);" />
						<input type="hidden" class="form-control" name="importe" id="importe" />
					</div>
					<div class="col-xs-4 form-group">
						<label><spring:message code="formfacturas.Admitido"/></label> 
						<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMask" class="form-control" onchange="javascript:formatearNumero(this);" />
						<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitido" />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-6 form-group">
						<label><spring:message code="formfacturas.denegacion"/></label>
						<select class="form-control" id="comboFacturaDenegacion" name="comboFacturaDenegacion"/></select>
					</div>
					<div class="col-xs-6 form-group">
						<label><spring:message code="formfacturas.minoracion"/></label>
						<select class="form-control" id="comboFacturaMinoracion" name="comboFacturaMinoracion"/></select>
						
					</div>
				</div>
				<div class="row">
					<div class="col-xs-4 form-group">	
						<div id="checkBoxInspeccionable" class="checkbox">	
							<input type="checkbox" id="check3" name="inspeccionable" value="1"/>
							<label for="check3" class="bold"><b><spring:message code="formfacturas.inspeccionable"/></b></label>	
						</div>
					</div>
				</div>
				<div class="row" id="observaciones">
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
						<textarea class="form-control" name="observacionesCastellano" id="observacionesCastellano" rows="4" maxlength="2000"></textarea>
					</div>								
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesEuskera"><spring:message code="formfacturas.obsevacionesEuskera"/></label>
						<textarea class="form-control" name="observacionesEuskera"  id="observacionesEuskera" rows="4" maxlength="2000"></textarea>
						
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="FacturaTabla_detail_button_save" class="btn btn-primary" type="button">
					<spring:message code="save" />
				</button>
				<a href="javascript:void(0)" role="button"
					id="FacturaTabla_detail_link_cancel" class="rup-enlaceCancelar"><spring:message
						code="cancel" /></a>
			</div>
		</div>
	</div>
</section>

