<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@ page import="com.ejie.ab60.comun.Constantes"%>

<c:set var="TIPO_AYUDA_EMET" value="<%=Constantes.TIPO_AYUDA_EMET%>" />

<!--  <style>
	.mostrar{
		display:visible;
	}
</style>-->

<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />		
		
	</div>
</section>
<section>

<span id="tipoInspeccion" hidden>2</span>

<div class="container">	
	<input type="hidden" id="folderId" value= "${folderId}"/>
	<input type="hidden" id="idTipoAyuda" name="idTipoAyuda" value="${initForm.tipoAyuda}">
	<div id="id_capa"></div>
		<form:form class="form-horizontal" modelAttribute="datosExpediente" id="formDatosExpdiente" method="post">
		<c:if test="${!empty datosExpediente}">
			<form:input type="hidden" path="idProyectoExpediente" />
			 <form:input type="hidden" path="idExpediente" />
			 <form:input type="hidden" path="expedienteValidado" />
			
		</c:if>

			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloJustificacion"/></legend>
				<input type="hidden" id="controlCambios" value="0" />
				<input type="hidden" id="idTecnicoResponsableHidden" value="" />
				<input type="hidden" id="idResultadoHidden" value="" />
				<input type="hidden" id="idMotivoIncumplimientoHidden" value="" />
				<input type="hidden" id="fechaInformeStrHidden" value="" />
				
				<div class="panel panel-default">
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-5 form-group">
								<form:label path="tecnicosResponsables.idTecnicoResponsable"><spring:message code="fexpediente.form.tecnico"/></form:label>
						   		<select class="form-control" id="comboTecnico" /></select>
						    	<form:input type="hidden" path="tecnicosResponsables.idTecnicoResponsable" class="idTecnico"/>
							</div>	
							<div class="col-xs-1 form-group"></div>
							<div class="col-xs-3 form-group">
								<label><spring:message code="fexpediente.form.fechaExpediente"/></label>
								<div class="input-group date">
									<form:input type="text" class="form-control campoFecha" path="fechaInformeStr" name="fechaInformeStr" id="finforme" />
								</div>
							</div>		
						</div>
						<div class="row">
							<div class="col-xs-5 form-group">
								<form:label path="tiposResJus.idResJustificacion"><spring:message code="fexpediente.form.resultado"/></form:label>
								<select class="form-control" id="comboResultado" /></select>
								<form:input type="hidden"  path="tiposResJus.idResJustificacion" class="idResultado"/>
							</div>
							<div class="col-xs-1 form-group"></div>
							<div class="col-xs-4 form-group">
								<form:label  path="motivosIncumplimiento.idMotivoIncumplimiento"><spring:message code="fexpediente.form.motivoInc"/></form:label>
								<select class="form-control" id="comboMotivoInc" /></select>
								<form:input type="hidden" path="motivosIncumplimiento.idMotivoIncumplimiento" class="idMotivo"/>
								
							</div>									
						</div>
						<div class="row">
							<div class="col-xs-3 form-group">
								<form:label path="subvencionResuelta"><spring:message code="fexpediente.form.subresulta"/></form:label>
								<form:input type="text" path="subvencionResueltaMask1"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
								<form:input type="hidden" path="subvencionResuelta" />
							</div>
							<div class="col-xs-3 form-group">
								<form:label  path="subvencionJustificada"><spring:message code="fexpediente.form.subjustificado"/></form:label>
								<form:input type="text" path="subvencionJustificadaMask1"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
								<form:input type="hidden" path="subvencionJustificada"/>
							</div>
							<div class="col-xs-3 form-group">
								<form:label path="importeJusAdmitido"><spring:message code="fexpediente.form.subjusadmitido"/></form:label>
								<form:input type="text" path="importeJusAdmitidoMask"   readonly="true"  class="form-control tamanyoLupa"  onchange="javascript:formatearNumero(this);" />
								<form:input  type="hidden" path="importeJusAdmitido"/>
								<i class="fa fa-search ocultarLupa" id="lupa" data-toggle="tooltip"></i>
							</div>
							<div class="col-xs-3 form-group">
								<form:label path="importeJusCalculado"><spring:message code="fexpediente.form.impayudaliq"/></form:label>  
								<form:input type="text" path="importeJusCalculadoMask"   readonly="true"  class="form-control"  onchange="javascript:formatearNumero(this);" />
								<form:input  type="hidden" path="importeJusCalculado"/>
							</div>
							
						</div>
					</div>
				</div>
			</fieldset>

			<fieldset>
			
				<legend><spring:message code="fexpediente.form.tituloProyecto"/></legend>
				<div class="panel panel-default">
				<div class="panel-heading " ><spring:message code="fexpediente.form.inversionJustificada"/></div>
					<div id="actSubvencionables_div" class="rup-table-container miocontainer">	
						<div id="actSubvencionables_feedback"></div>						<!-- Feedback de la tabla --> 
						
						<div id="actSubvencionables_toolbar" class="mitoolbar clearfix">
							<button type="button" id="btnEdit" class="rup-button ui-button ui-corner-all ui-widget">
									<i class="fa fa-pencil-square-o" aria-hidden="true"></i>
							</button>		
						</div>
					<!-- Botonera de la tabla -->
						<div id="actSubvencionables_grid_div">
							<!-- Tabla -->
							<table id="actSubvencionables" class="table"></table>
							<!-- Barra de paginación -->
							<div id="actSubvencionables_pager" class="hidden"></div>
						</div>
					</div>
					<div class="row" style="margin-left:3px;">
						<div class="col-xs-3 form-group">
							<form:label path="subvencionResuelta"><spring:message code="fexpediente.form.tituloRendimiento"/></form:label>
							<form:input type="text" path="rendimientoFinancieroMask" class="form-control"  onchange="javascript:formatearNumero(this);$('#rendimientoFinanciero').val(eliminarFormatoNumero(rendimientoFinancieroMask));" />
							<form:input id="rendimientoFinanciero" class="form-control" path="rendimientoFinanciero" type="hidden"></form:input>
						</div>
					</div>
				</div>
			</fieldset>

			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesCastellano" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesEuskera" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<form:input type="hidden" path="bandera"  value="0"/>
		</form:form>
	</div>
</section>
<div id="dialogFacturas" class="hidden"></div>