<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>

<c:set var="TITULAR" value="<%=Constantes.PARTICIPANTE_TITULAR%>" />
<c:set var="REPRESENTANTE" value="<%=Constantes.PARTICIPANTE_REPRESENTANTE%>" />
<c:set var="OTRO_INTERESADO" value="<%=Constantes.PARTICIPANTE_OTRO_AFECTADO%>" />
<c:set var="PERSONA_CONTACTO" value="<%=Constantes.PARTICIPANTE_PERSONA_CONTACTO%>" />

<section>
	<input type="hidden" id="idProcedimiento" value= "${idProcedimiento}"/> 
	<input type="hidden" id="idExpediente" value= "${idExpediente}"/>
	<input type="hidden" id="origen" value= "${origen}"/>
	<input type="hidden" id="parametroConfig" value= "${parametroConfig}"/>
	<div id="id_capaPlantilla"></div>
		<!--  Participantes -->		
		<form id="formAcordeonesPlantillas" class="form-horizontal">
			<div class="panel panel-default panel_cabecera">
				<div id="accordionCabecera" class="rup_accordion">
					<c:forEach items="${listaParticipantes}" var="listaSearchFolder">	
						<c:choose>
							<c:when test="${lenguaje =='es'}">						
								<h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.descripcionCastellano}</span></a></h1>
							 </c:when>
							 <c:otherwise>
							     <h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.descripcionEuskera}</span></a></h1>
							 </c:otherwise>
						</c:choose>
						<div class="form-group accordion_height_auto pl-0">
							<div class="quitarPunto">
								<ul class="quitarPunto">
								<c:set var="unInteresado" value="1"/>
									<c:forEach items="${listaSearchFolder.terceroses}" var="listaPersonas">
										<li>									
											<div class="row">
												<c:choose> 
			   										<c:when test="${!empty listaPersonas.documento}"> 	
		   												<div class="form-group">
			   												<c:if test="${listaPersonas.tipoParticipante == TITULAR}">
																<label class="col-sm-2 control-label text-align-left"><spring:message code="fexpediente.titular"/></label>
															</c:if>
															<c:if test="${listaPersonas.tipoParticipante == REPRESENTANTE}">
																<label class="col-sm-2 control-label text-align-left"><spring:message code="fexpediente.representante"/></label>
															</c:if>												
															<c:if test="${listaPersonas.tipoParticipante == OTRO_INTERESADO && unInteresado == 1}">
																<c:set var="unInteresado" value="2"/>
																<label class="col-sm-2 control-label text-align-left"><spring:message code="fexpediente.otroInteresado"/></label>
															</c:if>
															<div class="col-sm-10">
																<div class="idiomaNegrita">${listaPersonas.documento} - ${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2} <b>(${listaPersonas.descIdioma})</b></div>
															</div>
		   												</div>
													</c:when>
													<c:otherwise> 
														<div class="form-group">
			   												<c:if test="${listaPersonas.tipoParticipante == TITULAR}">
																<label class="col-sm-2 control-label text-align-left"><spring:message code="fexpediente.titular"/></label>
															</c:if>
															<c:if test="${listaPersonas.tipoParticipante == REPRESENTANTE}">
																<label class="col-sm-2 control-label text-align-left"><spring:message code="fexpediente.representante"/></label>
															</c:if>												
															<c:if test="${listaPersonas.tipoParticipante == OTRO_INTERESADO && unInteresado == 1}">
																<c:set var="unInteresado" value="2"/>
																<label class="col-sm-2 control-label text-align-left"><spring:message code="fexpediente.otroInteresado"/></label>
															</c:if>
															<div class="col-sm-10">
																<div class="idiomaNegrita">${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2} <b>(${listaPersonas.descIdioma})</b></div>
															</div>
		   												</div> 
													</c:otherwise>													
												</c:choose>
												<input type="hidden" id="idSolicitanteTercero" value="${listaPersonas.idTercero}" />
											</div>
										</li>	
									</c:forEach>
								</ul>	
							</div>
						</div>
					</c:forEach>				
				</div>	
		</div>
	</form>

	<div class="panel panel-default">
	
		
		<div class="panel-heading "><spring:message code="plantillas.titulo"/></div>
		<!--  <div id="iframeDoc" style="display: none;"><iframe src=""  width="100%" height="310px" frameborder="0" scrolling="no" name="modalFrame" id="modalFrame"></iframe></div>-->
		<div id="PlantillaTabla_div" class="rup-table-container miocontainer">	
				<div id="PlantillaTabla_feedback" class="hidden"></div><!-- Feedback de la tabla --> 
				<div id="PlantillaTabla_toolbar" class="mitoolbar clearfix hidden"></div>
				<div id="divIdiomaBotoneraPlantillas">
					<div class="divToolbarTablePlantilla">					
						<button class="btn btn-default btn-circle" id="btnGenerarDocumento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="generarPlantilla"/>'><i class="fa fa-file-word-o" aria-hidden="true"></i></button>
						<button class="btn btn-default btn-circle" id="btnEditarDocumento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="modificarPlantilla"/>'><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>
						<button class="btn btn-default btn-circle" id="btnAportarDocumento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="aportarPlantilla"/>'><i class="fa fa-upload" aria-hidden="true"></i></button>
						<button class="btn btn-default btn-circle" id="btnEliminarDocumento" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="eliminarPlantilla"/>'>	<i class="fa fa-trash-o" aria-hidden="true"></i></button>
						<span class="separator"></span>
						<button class="btn btn-default btn-circle" id="btnDescargarDocumento" type="button" data-toggle="tooltip" data-placement="top"  title='<spring:message code="descargarPlantilla"/>'><i class="fa fa-download" aria-hidden="true"></i></button>
					</div>
					<div class="container">
						<div class="row">
							<div class="col-xs-5 form-group">
								<label for="comboIdioma"><spring:message code="idioma"/></label>
								<select class="form-control" id="comboIdioma" /></select>
							</div>
						</div>
					</div>
				</div>
			<!-- Botonera de la tabla -->
				<div id="PlantillaTabla_grid_div">
					<!-- Tabla -->
					<table id="PlantillaTabla"></table>
					<!-- Barra de paginación -->
					<div id="PlantillaTabla_pager"></div>
				</div>
		
		</div>
	</div>
	
<form:form id="form_Documento" action="/ab60WebAppWar/plantillas/descargar" class="form-horizontal">
	<input type="hidden" name="rutaDocumento" id="rutaDocumento"></input>
</form:form>
</section>	
