<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<!-- MODAL AÑADIR PREGUNTAS EXPEDIENTE -->
<div class="container">
	<div class="panel-body">
	
		<form:form id="preguntasExpedienteModalForm" modelAttribute="preguntasExpediente">
			<div class="row">
				<div id="preguntasExpedienteModalFeedback" class="col-xs-6"></div>
			</div>
			<input type="hidden" id="tipoInspeccionModal" class="form-control" name="tipoInspeccion" value="${tipoInspeccion}" />
			<input type="hidden" id="idExpedienteModal" class="form-control" name="idExpediente" />
			<div class="row">
				<div class="form-group col-xs-6">
					<label for="descripcionCastellanoModal" class="required"><spring:message code="preguntasExpediente.descEs" /></label>
					<input type="text" id="descripcionCastellanoModal" class="form-control inputModal" name="descripcionCastellano" />
				</div>
	    	</div>
	    	<div class="row">
	    		<div class="form-group col-xs-6">
	    			<label for="descripcionEuskeraModal" class="required"><spring:message code="preguntasExpediente.descEu" /></label>
	    			<input type="text" id="descripcionEuskeraModal" class="form-control inputModal" name="descripcionEuskera" />
	    		</div>
	    	</div>
	    	<div class="row">
	    		<div class="form-group col-xs-6 validation-label-fix">
	    			<label for="tiposPreguntaCombo" class="required"><spring:message code="preguntasExpediente.tipoPregunta" /></label>
	    			<select name="tipoPregunta" class="form-control inputModal" id="tiposPreguntaCombo"></select>
	    		</div>
	    	</div>
	    	<div class="row" id="divOpciones" hidden>
	    		<div class="form-group col-xs-3">
	    			<label for="opcionesEs" class="required"><spring:message code="preguntasExpediente.opcionesEs" /></label>
					<input type="text" id="opcionesEs" name="opcionesCastellano" class="form-control inputModal" />
	    		</div>
	    		<div class="form-group col-xs-3">
	    			<label for="opcionesEu" class="required"><spring:message code="preguntasExpediente.opcionesEu" /></label>
					<input type="text" id="opcionesEu" name="opcionesEuskera" class="form-control inputModal" />
	    		</div>
	    	</div>
	    	
	    </form:form>
		<span class="footer-line"></span>
	   	<div class="row">
			<div class="col-xs-6 form-group">
				<button class="btn btn-light pull-right" id="preguntasExpedienteModalCancelar"><spring:message code="cancel" /></button>
				<button type="submit" class="btn btn-primary pull-right" id="preguntasExpedienteModalGuardar"><spring:message code="save" /></button>
			</div>
		</div>
	</div>
</div>