<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@ page import="com.ejie.ab60.comun.Constantes"%>

<c:set var="ESTADO_INCOMPLETO" value="<%=Constantes.ESTADO_INCOMPLETO%>" />
<c:set var="ESTADO_PENDIENTE" value="<%=Constantes.ESTADO_PENDIENTE%>" />
<c:set var="ESTADO_ENVIADO" value="<%=Constantes.ESTADO_ENVIADO%>" />
<c:set var="ESTADO_CONFIRMADO" value="<%=Constantes.ESTADO_CONFIRMADO%>" />
<c:set var="ESTADO_CONFIRMADO" value="<%=Constantes.ESTADO_CONFIRMADO%>" />
<c:set var="TIPO_DOC_O" value="<%=Constantes.TIPO_DOCUMENTO_CONTABLE_O%>" />
<c:set var="TIPO_DOC_D" value="<%=Constantes.TIPO_DOCUMENTO_CONTABLE_D%>" />
<c:set var="TIPO_DOC_DO" value="<%=Constantes.TIPO_DOCUMENTO_CONTABLE_DO%>" />
	


<script type="text/javascript">
	var ESTADO_INCOMPLETO = '${ESTADO_INCOMPLETO}';
	var ESTADO_PENDIENTE = '${ESTADO_PENDIENTE}';
	var ESTADO_ENVIADO = '${ESTADO_ENVIADO}';
	var ESTADO_CONFIRMADO = '${ESTADO_CONFIRMADO}';
	var TIPO_DOC_O = '${TIPO_DOC_O}';
	var TIPO_DOC_DO = '${TIPO_DOC_DO}';
	var TIPO_DOC_D = '${TIPO_DOC_D}';
</script>

<section>
<div id="space"></div>
<div id="genDocContables_div" class="rup-table-container">
	<div id="genDocContables_feedback"></div>
	<div id="genDocContables_filter_toolbar" class="formulario_legend ocultar"></div>

	<div id="genDocContables_filter_div" class="rup-table-filter">
		<form:form class="form-horizontal container"  modelAttribute= "moduloContable" id="genDocContables_filter_form" method="post">
			<form:input type="hidden" path="ficherosContables.idIdioma" id="idIdioma" />
			<form:input type="hidden" path="ficherosContables.idConvocatoria" id="idConvocatoria" />
			<form:input type="hidden" path="ficherosContables.idFicheroContable" id="idFicheroContable" />
			<form:input path ="idsExpedientesSeleccionados" type="hidden" id="idsExpedientesSeleccionados" />
			<form:input path ="importeDisponibleApl" type="hidden" id="importeDisponibleApl" />
		
		 	<fieldset id="genDocContables_filter_fieldset" class="rup-table-filter-fieldset">
		 		<input type="hidden" id="controlCambios" value="0" />
				<div class="row">
					<div class="col-xs-12 form-group">
						<label for="nombreFichero_detail_table"><spring:message code="moduloContable.nombreFichero" />:</label>
						<form:input type="text" path="ficherosContables.nombreFichero"  class="form-control disabled"id="nombreFichero" style="width:500px;" />
					</div>
				</div>
						
				<div class="row">
					<div class="col-xs-2 form-group">
						<label for="institucion"><spring:message code="fexpediente.datoscontables.institucion" />:</label>
						<form:input type="text" path="ficherosContables.institucion" class="form-control disabled"id="institucion" />
					</div>
					<div class="col-xs-2 form-group">
						<label for="ejercicio"><spring:message code="fexpediente.datoscontables.ejercicio" />:</label>
						<form:input type="text" path="ficherosContables.ejercicio" class="form-control disabled" id="ejercicio" />
					</div>
					<div class="col-xs-2 form-group">
						<label for="seccion"><spring:message code="fexpediente.datoscontables.seccion" />:</label>
						<form:input type="text" path="ficherosContables.seccion" class="form-control disabled"id="seccion" />
					</div>
					<div class="col-xs-2 form-group">
						<label for="usuario"><spring:message code="fexpediente.datoscontables.usuIkus" />:</label>
						<form:input type="text" path="ficherosContables.usuario" class="form-control disabled"id="usuario" />
					</div>
					<div class="col-xs-2 form-group">
						<label for="descripcionPorIdioma"><spring:message code="fexpediente.datoscontables.idioma" />:</label>
						<form:input type="text" path="ficherosContables.descripcionPorIdioma"class="form-control disabled" id="descripcionPorIdioma" />
					</div>
				</div>			
				<div class="row">
					<div class="col-xs-3 form-group">
						<label for="idTipoDocCon" class="formulario_linea_label required"><spring:message code="moduloContable.tipoDocContable" />:</label>
						<form:select id="idTipoDocCon" path="ficherosContables.idTipoDocCon" class="form-control"></form:select>
						<input type="hidden" class="tipoDoc" id="idTipoDoc" value = "${moduloContable.ficherosContables.idTipoDocCon}"/>							
					</div>
					<div id="comboPagos" class="col-xs-3 form-group hidden">							
						<label for="idPagoConvo" class="formulario_linea_label required"><spring:message code="fexpediente.formPagos.numeroPago" />:</label>
						<form:select id="idPagoConvo" path="docContables.idPagoConvocatoria" class="form-control"></form:select>
						<input type="hidden" id="idPagoConvoHidden" value = "${moduloContable.docContables.idPagoConvocatoria}"/>							
					</div>
				</div>
				<div class="row">
					<div class="col-xs-10 form-group">
						<spring:message code="moduloContable.buscar" var="buscar"/>
						<spring:message code="moduloContable.limpiar" var="limpiar"/>
						<button type="button" class="right" id="btnLimpiarModal" title="${limpiar}" data-original-title="${limpiar}" ><i class="fa fa-eraser" aria-hidden="true"></i></button>
						<button type="button" class="right" id="btnBuscarDocContablesModal" title="${buscar}" data-original-title="${buscar}"><i class="fa fa-search" aria-hidden="true"></i></button>
					</div>
				</div>
 			</fieldset>	
		</form:form>
	</div>
	
	<!-- <div class="panel panel-default ocultar" id="tablaDocContables">  -->
	<div id="genDocContables_grid_div" class="ocultar">
		<table id="genDocContables"></table>
		<div id="genDocContables_pager"></div>
	</div>
</div>
</section>