<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<%@ page import="com.ejie.ab60.comun.Constantes"%>

<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<h2><spring:message code="fconvocatoria.moduloContable"/></h2>
				</div>
				<div class="pull-right">
					<!--  <button type="button" id="busqDocContables" class="btn btn-primary btn-circle btn-lg btnVerResultado" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Buscar expedientes"><i class="fa fa-search" aria-hidden="true"></i></button>
					<div class="btn-group margin-left-10">
						<button type="button" id="btnLimpiar" class="btn btn-default btn-circle btn-lg dropdown-toggle btnLimpiarResultado" aria-haspopup="true" aria-expanded="false" data-toggle="dropdown" id="btnNuevo">
							<i class="fa fa-eraser" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="Limpiar busqueda"></i>
						</button>
					</div>-->
					<button type="button" id="guardar" class="btn btn-primary btn-circle btn-lg" data-toggle="tooltip"
						data-placement="bottom" title="" data-original-title='<spring:message code="fexpediente.guardar"/>'>
						<i class="fa fa-floppy-o" aria-hidden="true"></i>
					</button>
				</div>
			</div>
		</nav>
	</div>
</section>   

<section>
	<div class="container">
		<form:form id="docContables_filter_form" modelAttribute="moduloContable" commandName="moduloContable">						<!-- Formulario de filtrado -->
				<input type="hidden" name="seleccionados" id="seleccionados" value=""/>
				<input type="hidden" name="todosSeleccionados" id="todosSeleccionados" value="">
				<div id="id_capa"></div>
				<fieldset id="docContables_filter_fieldset" class="rup-table-filter-fieldset">
					<div class="panel panel-default">	
						<div id="iframeDoc" style="display: none;"><iframe src=""  width="100%" height="310px" frameborder="0" scrolling="no" name="modalFrame" id="modalFrame"></iframe></div>
						<div class="panel-heading"><spring:message code="busquedaExpedientes.criteriosBusqueda"/></div>
						<!-- Campos del formulario de filtrado -->
						<div class="panel-body">
							<div class="row">
								<div  class="col-xs-10 form-group">
									<label for="idProcedimiento" class="formulario_linea_label"><spring:message code="expediente.ayuda"/>:</label><br>
									<form:select path="idProcedimiento" id="idProcedimiento" class="form-control"></form:select>
									<input type="hidden" id="idProcedimientoHidden" value = "${moduloContable.idProcedimiento}"/>								
								</div>
							</div>
						</div>
						<!-- Fin campos del formulario de filtrado -->						
					</div>
				</fieldset>
				
				<ul id="pestanasModuloContable" class="nav nav-tabs">
					<li role="presentation" class="active" id="pestanaTabInfContable"><a id="enlacePestanaTabInfContable" href="#" onclick="control('.tabInfContable')"><spring:message code="moduloContable.infDatosIKUS" /></a></li>
					<li role="presentation" id="pestanaTabDocContables"><a id="enlacePestanaTabDocContables" href="#" onclick="control('.tabFicContables')"><spring:message code="moduloContable.ficherosContables" /> </a></li>
					<li role="presentation" id="pestanaTabDocContables"><a id="enlacePestanaTabDocContables" href="#" onclick="control('.tabDocContables')" ><spring:message code="moduloContable.listaDocContable"/></a></li>
					<li role="presentation" id="pestanaTabFicContables"><a id="enlacePestanaTabFicContables" href="#" onclick="control('.tabCargaFicheros')" ><spring:message code="moduloContable.cargaArchIKUS"/></a></li>
				</ul>
						
				<div id="tablasResultado" style="margin-bottom:20px;display:none;">
					<div id="tabs"></div>
					
					<div class="tabInfContable">
						<%@include file="/WEB-INF/views/moduloContable/datosContables.jsp" %>
					</div>
				
					<div class="tabDocContables">
						<%@include file="/WEB-INF/views/moduloContable/docContables.jsp" %>
					</div>
	
					<div class="tabFicContables">
						<!-- este div hay que ponerlo para que funcione el filter de la rup_table 
						<div id="ficherosContables_filter_form" class="ocultar">
							<div id="ficherosContables_filter_toolbar"></div>
						</div>
						<div id="ficherosContables_div" class="rup-table-container miocontainer">
							<div id="ficherosContables_feedback"></div>						<!-- Feedback de la tabla 
							<div id="ficherosContables_toolbar" class="mitoolbar clearfix"></div><!--  Botonera de la tabla 
							<div id="ficherosContables_grid_div">
								<!-- Tabla 
								<table id="ficherosContables" class="table"></table>
								<!-- Barra de paginación 
								<div id="ficherosContables_pager"></div>
							</div>
						</div>-->
						<div id="space"></div>
						<div class="panel panel-default" id="panelFicherosContables">
							<!--  <div class="panel-heading" ><spring:message code="fexpediente.form.inversionJustificada"/></div>-->
							<div id="ficherosContables_toolbar" class="mitoolbar clearfix"></div>
							<div id="ficherosContables_mensajes" class="ocultar"></div>						<!-- Feedback de la tabla -->
							<div id="ficherosContables_grid_div" >
								<!-- Tabla -->
								<table id="ficherosContables"></table>
								<!-- Barra de paginación -->
								<div id="ficherosContables_pager"></div>
							</div>
						</div>
		
						<div id="ficherosContables_div" class="rup-table-container">
							<div id="ficherosContables_filter_div" class="rup-table-filter ocultar">	<!-- Capa contenedora del formulario de filtrado -->
								<div id="ficherosContables_feedback" class="ocultar"></div>						<!-- Feedback de la tabla -->
								<div id="ficherosContables_toolbar" ></div>							<!-- Botonera de la tabla -->
								<form id="ficherosContables_filter_form">
									<div id="ficherosContables_filter_toolbar" class="formulario_legend ocultar"></div>	<!-- Barra de herramientas del formulario de filtrado -->
								</form> 	
							</div>
						</div>
					</div>	
					
					<div class="tabCargaFicheros">
						<%@include file="/WEB-INF/views/moduloContable/cargaFicheros.jsp" %>
					</div>
				</div>
				
			</form:form>
			
	</div>
	<div id="dialogsModuloContable" style="display: none"></div>
	<div id="dialogsModuloContableSinBotones" style="display: none"></div>
</section>
<form:form id="descargarLot" action="/ab60WebAppWar/ficheroscontables/descargar"  >
<input type="hidden" name="rutaPIF" id="rutaPIF" value=""/></form:form>	

						
