<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>



<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<h2><spring:message code="tablasBasicas.motivosDenegacion"/></h2>
				</div>				
			</div>
		</nav>
	</div>
</section>  
 
<section>
	<div class="container">
	
				<form:form id="tblMotivosDenegacion_filter_form" modelAttribute="MotivosDenegacion" commandName="motivosDenegacion" class="form-horizontal" method="POST">
						
			<div class="row">
				<div class="col-xs-10 form-group">
					<label for="comboBusqConvocatorias"><spring:message code="expediente.ayuda"/></label><br>
					<form:select path="convocatoria.idConvocatoria" id="comboBusqConvocatorias" class="form-control"></form:select>
				</div>
			</div>
				
		
			
		</form:form>
		
		<div id="tblMotivosDenegacion_div" class="rup-table-container miocontainer">
			<div id="tblMotivosDenegacion_filter_div" class="rup-table-filter hidden">
				<!-- Capa contenedora del formulario de filtrado -->
				<div id="tblMotivosDenegacion_feedback"></div>
					<div id="tblMotivosDenegacion_filter_toolbar" class="formulario_legend"></div>
					<fieldset id="tblMotivosDenegacion_filter_fieldset" class="rup-table-filter-fieldset"></fieldset>
			</div>
			
<!-- 			<div id="tblMotivosDenegacion_feedback"></div> -->
			<div id="tblMotivosDenegacion_toolbar" class="mitoolbar clearfix"></div>
			<div id="tblMotivosDenegacion_grid_div">
				<!-- Tabla -->
				<table id="tblMotivosDenegacion" class="table"></table>
				<!-- Barra de paginación -->
				<div id="tblMotivosDenegacion_pager"></div>
			</div>
		</div>
	</div>
	
	
	<div id="tblMotivosDenegacion_detail_div" class="rup-table-formEdit-detail">		
		<div id ="ttblMotivosDenegacion_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content" >
			<form id="tblMotivosDenegacion_detail_form">
				<input type="hidden" name="idMotivoDenegacion" id="idMotivoDenegacion"/>
				<input type="hidden" name="convocatoria.idConvocatoria" id="idConvocatoriaModal" />
				<!-- Campos del formulario de detalle -->
                <div class="row">
					<div class="col-xs-12 form-group">
                      <label for="descripcionCastellano" class="required"><spring:message code="tablasBasicas.motivosDenegacion.descripcionCastellano"/></label>	                          
                      <input type="text"  class="form-control" name="descripcionCastellano"  id="descripcionCastellano" maxlength="200"/>
                    </div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
                      <label for="descripcionEuskera" class="required"><spring:message code="tablasBasicas.motivosDenegacion.descripcionEuskera"/></label>	                          
                      <input type="text"  class="form-control" name="descripcionEuskera"  id="descripcionEuskera" maxlength="200"/>
                    </div>
				</div>
				<div class = "row">  
                    <div class="col-xs-12 form-group">
						<label for = "comboOrigen" class="required"><spring:message code="tablasBasicas.motivosDenegacion.origen"/></label>
						<select class="form-control" id="comboOrigen" name="origen"/></select>
						<input type="hidden"  id="idsOrigenes" name="idsOrigenes"/> 
					</div>	
                 </div> 
			</form>
		</div>
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<!-- Botón Guardar -->
				<button id="tblMotivosDenegacion_detail_button_save" class="btn btn-primary" type="button">
					<spring:message code="save" />
				</button>
				<!-- Enlace cancelar -->
				<a href="javascript:void(0)" id="tblMotivosDenegacion_detail_link_cancel"
					class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			</div>
		</div>
	</div>
</section>	
