<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<section>
	<div id="divNavBarSecundario">
		<nav class="navbar navbar-default navbar-secundario">
			<div class="container">
				<div class="pull-left mov10top">
					<h2><spring:message code="tablasBasicas.tecnicosResponsable"/></h2>
				</div>				
			</div>
		</nav>
	</div>
</section>  
 
<section>
	<div class="container">
		
		<div id="tblTecnicosResponsable_div" class="rup-table-container miocontainer">
			<div id="tblTecnicosResponsable_feedback"></div>
			<div id="tblTecnicosResponsable_toolbar" class="mitoolbar clearfix"></div>
			<div id="tblTecnicosResponsable_grid_div">
				<!-- Tabla -->
				<table id="tblTecnicosResponsable" class="table"></table>
				<!-- Barra de paginación -->
				<div id="tblTecnicosResponsable_pager"></div>
			</div>
		</div>
	</div>
	<div id="tblTecnicosResponsable_detail_div" class="rup-table-formEdit-detail">		
		<div id ="tblTecnicosResponsable_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content" >
			<form id="tblTecnicosResponsable_detail_form">
				<input type="hidden" name="idTecnicoResponsable" id="idTecnicoResponsable"/>
				<!-- Campos del formulario de detalle -->
                <div class="row">
                    <div class="col-xs-12 form-group">
                      <label for="nombreTecnico" class="required"><spring:message code="tablasBasicas.tecnicosResponsable.nombre"/></label>	                          
                      <input type="text"  class="form-control" name="nombreTecnico"  id="nombreTecnico" maxlength="200" required/>
                    </div>
                  </div>
                  <div class = "row">  
                    <div class="col-xs-12 form-group">
						<label for = "comboConvocatorias" class="required"><spring:message code="tablasBasicas.tecnicosResponsable.convocatorias"/></label>
						<select class="form-control" id="comboConvocatorias" name="listRelTecResCon.idConvocatoria" required/></select>
						<input type="hidden"  id="idsConvocatorias" name="idsConvocatorias"/>
					</div>	
                 </div>		 
			</form>
		</div>
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<!-- Botón Guardar -->
				<button id="tblTecnicosResponsable_detail_button_save" class="btn btn-primary" type="button">
					<spring:message code="save" />
				</button>
				<!-- Enlace cancelar -->
				<a href="javascript:void(0)" id="tblTecnicosResponsable_detail_link_cancel"
					class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			</div>
		</div>
	</div>
</section>	
