
package com.ejie.ab60.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TPaymentRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TPaymentRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="paymentID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="paymentName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="settlementDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="import" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="statusDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="paymentDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="paymentEndDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="isExempt" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="paymentType" type="{com/ejie/x43s/v2/ttn/xml}TPaymentType"/>
 *         &lt;element name="paymentTypeDesc" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dniNif" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="razonSocial" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="paymentList" type="{com/ejie/x43s/v2/ree/xml}TPaymentList"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TPaymentRequest", propOrder = {
    "paymentID",
    "paymentName",
    "settlementDate",
    "_import",
    "status",
    "statusDesc",
    "paymentDate",
    "paymentEndDate",
    "isExempt",
    "paymentType",
    "paymentTypeDesc",
    "dniNif",
    "razonSocial",
    "paymentList"
})
public class TPaymentRequest {

    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String paymentID;
    @XmlElement(required = true)
    protected String paymentName;
    @XmlElement(required = true)
    protected String settlementDate;
    @XmlElement(name = "import", required = true)
    protected String _import;
    @XmlElement(required = true)
    protected String status;
    @XmlElement(required = true)
    protected String statusDesc;
    @XmlElement(required = true)
    protected String paymentDate;
    @XmlElement(required = true)
    protected String paymentEndDate;
    @XmlElement(required = true)
    protected TBoolean isExempt;
    @XmlElement(required = true)
    protected TPaymentType paymentType;
    @XmlElement(required = true)
    protected String paymentTypeDesc;
    protected String dniNif;
    protected String razonSocial;
    @XmlElement(required = true)
    protected TPaymentList paymentList;

    /**
     * Gets the value of the paymentID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentID() {
        return paymentID;
    }

    /**
     * Sets the value of the paymentID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentID(String value) {
        this.paymentID = value;
    }

    /**
     * Gets the value of the paymentName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentName() {
        return paymentName;
    }

    /**
     * Sets the value of the paymentName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentName(String value) {
        this.paymentName = value;
    }

    /**
     * Gets the value of the settlementDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSettlementDate() {
        return settlementDate;
    }

    /**
     * Sets the value of the settlementDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSettlementDate(String value) {
        this.settlementDate = value;
    }

    /**
     * Gets the value of the import property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImport() {
        return _import;
    }

    /**
     * Sets the value of the import property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImport(String value) {
        this._import = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the statusDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusDesc() {
        return statusDesc;
    }

    /**
     * Sets the value of the statusDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusDesc(String value) {
        this.statusDesc = value;
    }

    /**
     * Gets the value of the paymentDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentDate() {
        return paymentDate;
    }

    /**
     * Sets the value of the paymentDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentDate(String value) {
        this.paymentDate = value;
    }

    /**
     * Gets the value of the paymentEndDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentEndDate() {
        return paymentEndDate;
    }

    /**
     * Sets the value of the paymentEndDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentEndDate(String value) {
        this.paymentEndDate = value;
    }

    /**
     * Gets the value of the isExempt property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsExempt() {
        return isExempt;
    }

    /**
     * Sets the value of the isExempt property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsExempt(TBoolean value) {
        this.isExempt = value;
    }

    /**
     * Gets the value of the paymentType property.
     * 
     * @return
     *     possible object is
     *     {@link TPaymentType }
     *     
     */
    public TPaymentType getPaymentType() {
        return paymentType;
    }

    /**
     * Sets the value of the paymentType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPaymentType }
     *     
     */
    public void setPaymentType(TPaymentType value) {
        this.paymentType = value;
    }

    /**
     * Gets the value of the paymentTypeDesc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentTypeDesc() {
        return paymentTypeDesc;
    }

    /**
     * Sets the value of the paymentTypeDesc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentTypeDesc(String value) {
        this.paymentTypeDesc = value;
    }

    /**
     * Gets the value of the dniNif property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDniNif() {
        return dniNif;
    }

    /**
     * Sets the value of the dniNif property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDniNif(String value) {
        this.dniNif = value;
    }

    /**
     * Gets the value of the razonSocial property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRazonSocial() {
        return razonSocial;
    }

    /**
     * Sets the value of the razonSocial property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRazonSocial(String value) {
        this.razonSocial = value;
    }

    /**
     * Gets the value of the paymentList property.
     * 
     * @return
     *     possible object is
     *     {@link TPaymentList }
     *     
     */
    public TPaymentList getPaymentList() {
        return paymentList;
    }

    /**
     * Sets the value of the paymentList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPaymentList }
     *     
     */
    public void setPaymentList(TPaymentList value) {
        this.paymentList = value;
    }

}
