
package com.ejie.ab60.clientesWS.ab61WebService;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebService(name = "WebServiceImpl", targetNamespace = "http://com.ejie.ab61.serviciosWeb")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface WebServiceImpl {


    /**
     * 
     * @param idProcedimiento
     * @param listaBusqueda
     * @param aplicacion
     * @param idListado
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "generarExcelListados", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarExcelListados")
    @ResponseWrapper(localName = "generarExcelListadosResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarExcelListadosResponse")
    public String generarExcelListados(
        @WebParam(name = "idListado", targetNamespace = "")
        Integer idListado,
        @WebParam(name = "listaBusqueda", targetNamespace = "")
        List<BusquedasWS> listaBusqueda,
        @WebParam(name = "aplicacion", targetNamespace = "")
        String aplicacion,
        @WebParam(name = "idProcedimiento", targetNamespace = "")
        Integer idProcedimiento)
        throws Ab61Exception
    ;

    /**
     * 
     * @param foderId
     * @param aplicacion
     * @param identificadorInspeccion
     * @param idPlantilla
     * @param procedureId
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "descargarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumento")
    @ResponseWrapper(localName = "descargarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoResponse")
    public String descargarDocumento(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "foderId", targetNamespace = "")
        String foderId,
        @WebParam(name = "identificadorInspeccion", targetNamespace = "")
        String identificadorInspeccion,
        @WebParam(name = "aplicacion", targetNamespace = "")
        String aplicacion)
        throws Ab61Exception
    ;

    /**
     * 
     * @param aplicacion
     * @param origen
     * @param idPlantilla
     * @param identificador
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "descargarDocumentoNegocio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoNegocio")
    @ResponseWrapper(localName = "descargarDocumentoNegocioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoNegocioResponse")
    public String descargarDocumentoNegocio(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "identificador", targetNamespace = "")
        String identificador,
        @WebParam(name = "origen", targetNamespace = "")
        Origen origen,
        @WebParam(name = "aplicacion", targetNamespace = "")
        String aplicacion)
        throws Ab61Exception
    ;

    /**
     * 
     * @param foderId
     * @param usuario
     * @param identificadorInspeccion
     * @param idPlantilla
     * @param procedureId
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "generarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarDocumento")
    @ResponseWrapper(localName = "generarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarDocumentoResponse")
    public String generarDocumento(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "foderId", targetNamespace = "")
        String foderId,
        @WebParam(name = "identificadorInspeccion", targetNamespace = "")
        String identificadorInspeccion,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param usuario
     * @param origen
     * @param idPlantilla
     * @param identificador
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "generarDocumentoNegocio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarDocumentoNegocio")
    @ResponseWrapper(localName = "generarDocumentoNegocioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarDocumentoNegocioResponse")
    public String generarDocumentoNegocio(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "identificador", targetNamespace = "")
        String identificador,
        @WebParam(name = "origen", targetNamespace = "")
        Origen origen,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param foderId
     * @param usuario
     * @param identificadorInspeccion
     * @param idPlantilla
     * @param procedureId
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "modificarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.ModificarDocumento")
    @ResponseWrapper(localName = "modificarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.ModificarDocumentoResponse")
    public String modificarDocumento(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "foderId", targetNamespace = "")
        String foderId,
        @WebParam(name = "identificadorInspeccion", targetNamespace = "")
        String identificadorInspeccion,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param usuario
     * @param idPlantilla
     * @param identificador
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "modificarDocumentoNegocio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.ModificarDocumentoNegocio")
    @ResponseWrapper(localName = "modificarDocumentoNegocioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.ModificarDocumentoNegocioResponse")
    public String modificarDocumentoNegocio(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "identificador", targetNamespace = "")
        String identificador,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param n38Login
     * @param usuario
     * @param idPlantilla
     * @param procedureId
     * @param folderId
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "aportarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.AportarDocumento")
    @ResponseWrapper(localName = "aportarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.AportarDocumentoResponse")
    public String aportarDocumento(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "folderId", targetNamespace = "")
        String folderId,
        @WebParam(name = "n38Login", targetNamespace = "")
        String n38Login,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param n38Login
     * @param usuario
     * @param idPlantilla
     * @param procedureId
     * @param folderId
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "aportarDocumentoNegocio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.AportarDocumentoNegocio")
    @ResponseWrapper(localName = "aportarDocumentoNegocioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.AportarDocumentoNegocioResponse")
    public String aportarDocumentoNegocio(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "folderId", targetNamespace = "")
        String folderId,
        @WebParam(name = "n38Login", targetNamespace = "")
        String n38Login,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param documentosWS
     * @param n38Login
     * @param usuario
     * @param procedureId
     * @param folderId
     * @return
     *     returns java.util.List<com.ejie.ab60.clientesWS.ab61WebService.DocumentoAportado>
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "aportarDocumentos", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.AportarDocumentos")
    @ResponseWrapper(localName = "aportarDocumentosResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.AportarDocumentosResponse")
    public List<DocumentoAportado> aportarDocumentos(
        @WebParam(name = "documentosWS", targetNamespace = "")
        List<DocumentoWS> documentosWS,
        @WebParam(name = "folderId", targetNamespace = "")
        String folderId,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "n38Login", targetNamespace = "")
        String n38Login,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario)
        throws Ab61Exception
    ;

    /**
     * 
     * @param foderId
     * @param identificadorInspeccion
     * @param idPlantilla
     * @param procedureId
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "eliminarDocumento", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.EliminarDocumento")
    @ResponseWrapper(localName = "eliminarDocumentoResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.EliminarDocumentoResponse")
    public String eliminarDocumento(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "foderId", targetNamespace = "")
        String foderId,
        @WebParam(name = "procedureId", targetNamespace = "")
        String procedureId,
        @WebParam(name = "identificadorInspeccion", targetNamespace = "")
        String identificadorInspeccion)
        throws Ab61Exception
    ;

    /**
     * 
     * @param idPlantilla
     * @param identificador
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "eliminarDocumentoNegocio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.EliminarDocumentoNegocio")
    @ResponseWrapper(localName = "eliminarDocumentoNegocioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.EliminarDocumentoNegocioResponse")
    public String eliminarDocumentoNegocio(
        @WebParam(name = "idPlantilla", targetNamespace = "")
        Integer idPlantilla,
        @WebParam(name = "identificador", targetNamespace = "")
        String identificador)
        throws Ab61Exception
    ;

    /**
     * 
     * @param inicioOficioWS
     * @return
     *     returns com.ejie.ab60.clientesWS.ab61WebService.DatosInicioOficio
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "generarInicioOficio", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarInicioOficio")
    @ResponseWrapper(localName = "generarInicioOficioResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarInicioOficioResponse")
    public DatosInicioOficio generarInicioOficio(
        @WebParam(name = "inicioOficioWS", targetNamespace = "")
        InicioOficioWS inicioOficioWS)
        throws Ab61Exception
    ;

    /**
     * 
     * @param inicioOficioTitularWS
     * @return
     *     returns com.ejie.ab60.clientesWS.ab61WebService.DatosInicioOficio
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "generarInicioOficioTitular", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarInicioOficioTitular")
    @ResponseWrapper(localName = "generarInicioOficioTitularResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.GenerarInicioOficioTitularResponse")
    public DatosInicioOficio generarInicioOficioTitular(
        @WebParam(name = "inicioOficioTitularWS", targetNamespace = "")
        InicioOficioTitularWS inicioOficioTitularWS)
        throws Ab61Exception
    ;

    /**
     * 
     * @param aplicacion
     * @param oidDokusi
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "descargarDocumentoDokusi", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoDokusi")
    @ResponseWrapper(localName = "descargarDocumentoDokusiResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoDokusiResponse")
    public String descargarDocumentoDokusi(
        @WebParam(name = "oidDokusi", targetNamespace = "")
        String oidDokusi,
        @WebParam(name = "aplicacion", targetNamespace = "")
        String aplicacion)
        throws Ab61Exception
    ;

    /**
     * 
     * @param oidPid
     * @param aplicacion
     * @return
     *     returns java.lang.String
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "descargarDocumentoPid", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoPid")
    @ResponseWrapper(localName = "descargarDocumentoPidResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.DescargarDocumentoPidResponse")
    public String descargarDocumentoPid(
        @WebParam(name = "oidPid", targetNamespace = "")
        String oidPid,
        @WebParam(name = "aplicacion", targetNamespace = "")
        String aplicacion)
        throws Ab61Exception
    ;

    /**
     * 
     * @param oidPid
     * @throws Ab61Exception
     */
    @WebMethod
    @RequestWrapper(localName = "eliminarDocumentoPid", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.EliminarDocumentoPid")
    @ResponseWrapper(localName = "eliminarDocumentoPidResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.EliminarDocumentoPidResponse")
    public void eliminarDocumentoPid(
        @WebParam(name = "oidPid", targetNamespace = "")
        String oidPid)
        throws Ab61Exception
    ;

    /**
     * 
     * @param fileName
     * @param aportadoExpediente
     * @param nombreDocumento
     * @param aplicacion
     * @param pathPif
     * @param idTipoPlantilla
     * @return
     *     returns com.ejie.ab60.clientesWS.ab61WebService.IdentificadoresPid
     * @throws Ab61Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "insertarDocumentoPid", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.InsertarDocumentoPid")
    @ResponseWrapper(localName = "insertarDocumentoPidResponse", targetNamespace = "http://com.ejie.ab61.serviciosWeb", className = "com.ejie.ab60.clientesWS.ab61WebService.InsertarDocumentoPidResponse")
    public IdentificadoresPid insertarDocumentoPid(
        @WebParam(name = "pathPif", targetNamespace = "")
        String pathPif,
        @WebParam(name = "fileName", targetNamespace = "")
        String fileName,
        @WebParam(name = "idTipoPlantilla", targetNamespace = "")
        Integer idTipoPlantilla,
        @WebParam(name = "nombreDocumento", targetNamespace = "")
        String nombreDocumento,
        @WebParam(name = "aportadoExpediente", targetNamespace = "")
        Integer aportadoExpediente,
        @WebParam(name = "aplicacion", targetNamespace = "")
        String aplicacion)
        throws Ab61Exception
    ;

}
