package com.ejie.ab60.dao.estudioTecnico;

import java.util.List;

import com.ejie.ab60.model.estudioTecnico.RelTecResCon;

/**
 * 
 *  
 *
 */
public interface RelTecResConDao {

	/**
	 * Inserts a single row in the RelTecResCon table.
	 *
	 * @param relTecResCon
	 *            RelTecResCon
	 * @return RelTecResCon
	 */
	RelTecResCon add(RelTecResCon relTecResCon);

	/**
	 * Removes a single row in the RelTecResCon table.
	 *
	 * @param idTecnicoResponsable
	 *            Integer
	 */
	void remove(Integer idTecnicoResponsable);

	/**
	 * Finds a list of rows in the RelTecResCon table.
	 *
	 * @param idTecnicoResponsable
	 *            Integer
	 * @return List<RelTecResCon>
	 */
	List<RelTecResCon> findConvocatoriasPorTecnico(Integer idTecnicoResponsable);

}
