package com.ejie.ab60.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * EntidadesBancarias  
 *  
 */

public class EntidadesBancarias  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idEntidadBancaria;
            private Integer idRelExpActSub;
            private String entidadBancaria;
            private Date fechaRegistro;
            private String usuarioRegistro;

	/** 
	 * Method 'EntidadesBancarias'.
	 */
    public EntidadesBancarias() {
    }


	
    
    /** 
     * Method 'EntidadesBancarias'.
     * @param idEntidadBancaria Integer
     */    
     public EntidadesBancarias(Integer idEntidadBancaria) {
          this.idEntidadBancaria = idEntidadBancaria;
	}

    

    /** 
     * Method 'EntidadesBancarias'.
     * @param idEntidadBancaria Integer
     * @param idRelExpActSub Integer
     * @param entidadBancaria String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public EntidadesBancarias(Integer idEntidadBancaria, Integer idRelExpActSub, String entidadBancaria, Date fechaRegistro, String usuarioRegistro) {	

           this.idEntidadBancaria = idEntidadBancaria;
           this.idRelExpActSub = idRelExpActSub;
           this.entidadBancaria = entidadBancaria;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdEntidadBancaria'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdEntidadBancaria() {
		return this.idEntidadBancaria;
	}

	/**
	 * Method 'setIdEntidadBancaria'.
	 *
	 * @param idEntidadBancaria Integer
	 * @return
     */
	
	public void setIdEntidadBancaria(Integer idEntidadBancaria) {
		this.idEntidadBancaria = idEntidadBancaria;
	}
    /**
	 * Method 'getIdRelExpActSub'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelExpActSub() {
		return this.idRelExpActSub;
	}

	/**
	 * Method 'setIdRelExpActSub'.
	 *
	 * @param idRelExpActSub Integer
	 * @return
     */
	
	public void setIdRelExpActSub(Integer idRelExpActSub) {
		this.idRelExpActSub = idRelExpActSub;
	}
    /**
	 * Method 'getEntidadBancaria'.
	 *
	 * @return String
	 */
	
	
	public String getEntidadBancaria() {
		return this.entidadBancaria;
	}

	/**
	 * Method 'setEntidadBancaria'.
	 *
	 * @param entidadBancaria String
	 * @return
     */
	
	public void setEntidadBancaria(String entidadBancaria) {
		this.entidadBancaria = entidadBancaria;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idEntidadBancaria: ").append(this.idEntidadBancaria).append(" ]");
		result.append(", [ idRelExpActSub: ").append(this.idRelExpActSub).append(" ]");
		result.append(", [ entidadBancaria: ").append(this.entidadBancaria).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

