package com.ejie.ab60.model.MEC;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelFacMotMin  
 *  
 */

public class RelFacMotMin  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idRelFacMotMin;
            private Integer idFactura;
            private Long idMotivoMinoracion;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;

	/** 
	 * Method 'RelFacMotMin'.
	 */
    public RelFacMotMin() {
    }


	
    
    /** 
     * Method 'RelFacMotMin'.
     * @param idRelFacMotMin Integer
     */    
     public RelFacMotMin(Integer idRelFacMotMin) {
          this.idRelFacMotMin = idRelFacMotMin;
	}

    

    /** 
     * Method 'RelFacMotMin'.
     * @param idRelFacMotMin Integer
     * @param idFactura Integer
     * @param idMotivoMinoracion Long
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     */
   public RelFacMotMin(Integer idRelFacMotMin, Integer idFactura, Long idMotivoMinoracion, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {	

           this.idRelFacMotMin = idRelFacMotMin;
           this.idFactura = idFactura;
           this.idMotivoMinoracion = idMotivoMinoracion;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
    }

    /**
	 * Method 'getIdRelFacMotMin'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelFacMotMin() {
		return this.idRelFacMotMin;
	}

	/**
	 * Method 'setIdRelFacMotMin'.
	 *
	 * @param idRelFacMotMin Integer
	 * @return
     */
	
	public void setIdRelFacMotMin(Integer idRelFacMotMin) {
		this.idRelFacMotMin = idRelFacMotMin;
	}
    /**
	 * Method 'getIdFactura'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdFactura() {
		return this.idFactura;
	}

	/**
	 * Method 'setIdFactura'.
	 *
	 * @param idFactura Integer
	 * @return
     */
	
	public void setIdFactura(Integer idFactura) {
		this.idFactura = idFactura;
	}
    /**
	 * Method 'getIdMotivoMinoracion'.
	 *
	 * @return Long
	 */
	
	
	public Long getIdMotivoMinoracion() {
		return this.idMotivoMinoracion;
	}

	/**
	 * Method 'setIdMotivoMinoracion'.
	 *
	 * @param idMotivoMinoracion Long
	 * @return
     */
	
	public void setIdMotivoMinoracion(Long idMotivoMinoracion) {
		this.idMotivoMinoracion = idMotivoMinoracion;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idRelFacMotMin: ").append(this.idRelFacMotMin).append(" ]");
		result.append(", [ idFactura: ").append(this.idFactura).append(" ]");
		result.append(", [ idMotivoMinoracion: ").append(this.idMotivoMinoracion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

