package com.ejie.ab60.model;

/**
 * VExpInfContable  
 * 
 *  
 */

public class VTInsSinExpediente implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private Integer idInspeccion;
	private String identificadorInspeccion;
	private String titulo;
	private String documento;
	private String direccion;
	private String codigoPostal;
	private Long idProvincia;
	private Long idMunicipio;
	private Long idLocalidad;

	/**
	 * Method 'VExpInfContable'.
	 */
	public VTInsSinExpediente() {
	}

	/**
	 * Method 'VExpInfContable'.
	 * 
	 * @param idInspeccion
	 *            Integer
	 * @param identificadorInspeccion
	 *            String
	 * @param titulo
	 *            String
	 * @param documento
	 *            String
	 * @param direccion
	 *            String
	 * @param codigoPostal
	 *            String
	 * @param idProvincia
	 *            Long
	 * @param idMunicipio
	 *            Long
	 * @param idLocalidad
	 *            Long
	 */
	public VTInsSinExpediente(Integer idInspeccion, String identificadorInspeccion, String titulo, String documento,
			String direccion, String codigoPostal, Long idProvincia, Long idMunicipio, Long idLocalidad) {
		this.idInspeccion = idInspeccion;
		this.identificadorInspeccion = identificadorInspeccion;
		this.titulo = titulo;
		this.documento = documento;
		this.direccion = direccion;
		this.codigoPostal = codigoPostal;
		this.idProvincia = idProvincia;
		this.idMunicipio = idMunicipio;
		this.idLocalidad = idLocalidad;
	}

	/**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * Method 'setIdInspeccion'
	 * 
	 * @param idInspeccion
	 *            Integer
	 */
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	/**
	 * Method 'getIdentificadorInspeccion'
	 * 
	 * @return String
	 */
	public String getIdentificadorInspeccion() {
		return this.identificadorInspeccion;
	}

	/**
	 * Method 'setIdentificadorInspeccion'
	 * 
	 * @param identificadorInspeccion
	 *            String
	 */
	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}

	/**
	 * Method 'getTitulo'
	 * 
	 * @return String
	 */
	public String getTitulo() {
		return this.titulo;
	}

	/**
	 * Method 'setTitulo'
	 * 
	 * @param titulo
	 *            String
	 */
	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	/**
	 * Method 'getDocumento'
	 * 
	 * @return String
	 */
	public String getDocumento() {
		return this.documento;
	}

	/**
	 * Method 'setDocumento'
	 * 
	 * @param documento
	 *            String
	 */
	public void setDocumento(String documento) {
		this.documento = documento;
	}

	/**
	 * Method 'getDireccion'
	 * 
	 * @return String
	 */
	public String getDireccion() {
		return this.direccion;
	}

	/**
	 * Method 'setDireccion'
	 * 
	 * @param direccion
	 *            String
	 */
	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	/**
	 * Method 'getCodigoPostal'
	 * 
	 * @return String
	 */
	public String getCodigoPostal() {
		return this.codigoPostal;
	}

	/**
	 * Method 'setCodigoPostal'
	 * 
	 * @param codigoPostal
	 *            String
	 */
	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	/**
	 * Method 'getIdProvincia'
	 * 
	 * @return Long
	 */
	public Long getIdProvincia() {
		return this.idProvincia;
	}

	/**
	 * Method 'setIdProvincia'
	 * 
	 * @param idProvincia
	 *            Long
	 */
	public void setIdProvincia(Long idProvincia) {
		this.idProvincia = idProvincia;
	}

	/**
	 * Method 'getIdMunicipio'
	 * 
	 * @return Long
	 */
	public Long getIdMunicipio() {
		return this.idMunicipio;
	}

	/**
	 * Method 'setIdMunicipio'
	 * 
	 * @param idMunicipio
	 *            Long
	 */
	public void setIdMunicipio(Long idMunicipio) {
		this.idMunicipio = idMunicipio;
	}

	/**
	 * Method 'getIdLocalidad'
	 * 
	 * @return Long
	 */
	public Long getIdLocalidad() {
		return this.idLocalidad;
	}

	/**
	 * Method 'setIdLocalidad'
	 * 
	 * @param idLocalidad
	 *            Long
	 */
	public void setIdLocalidad(Long idLocalidad) {
		this.idLocalidad = idLocalidad;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append("[ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ identificadorInspeccion: ").append(this.identificadorInspeccion).append(" ]");
		result.append(", [ titulo: ").append(this.titulo).append(" ]");
		result.append(", [ documento: ").append(this.documento).append(" ]");
		result.append(", [ direccion: ").append(this.direccion).append(" ]");
		result.append(", [ codigoPostal: ").append(this.codigoPostal).append(" ]");
		result.append(", [ idProvincia: ").append(this.idProvincia).append(" ]");
		result.append(", [ idMunicipio: ").append(this.idMunicipio).append(" ]");
		result.append(", [ idLocalidad: ").append(this.idLocalidad).append(" ]");
		result.append("}");
		return result.toString();
	}

}
