package com.ejie.ab60.model.actuacionesSubvencionables;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelActSubSubact  
 * 
 *  
 */

public class RelActSubSubact implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelActSubSubact;
	private Integer idRelExpActSub;
	private Integer idActSub;
	private ActSubvencionable actSubvencionable;
	private Date fechaRegistro;
	private String usuarioRegistro;

	/**
	 * Method 'RelActSubSubact'.
	 */
	public RelActSubSubact() {
	}

	/**
	 * Method 'RelActSubSubact'.
	 * 
	 * @param idRelActSubSubact
	 *            Integer
	 */
	public RelActSubSubact(Integer idRelActSubSubact) {
		this.idRelActSubSubact = idRelActSubSubact;
	}

	public RelActSubSubact(Integer idRelExpActSub, Integer idActSub) {
		this.idRelExpActSub = idRelExpActSub;
		this.idActSub = idActSub;
	}

	/**
	 * Method 'RelActSubSubact'.
	 * 
	 * @param idRelActSubSubact
	 *            Integer
	 * @param idRelExpActSub
	 *            Integer
	 * @param idActSub
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public RelActSubSubact(Integer idRelActSubSubact, Integer idRelExpActSub, Integer idActSub, Date fechaRegistro,
			String usuarioRegistro) {

		this.idRelActSubSubact = idRelActSubSubact;
		this.idRelExpActSub = idRelExpActSub;
		this.idActSub = idActSub;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdRelActSubSubact'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelActSubSubact() {
		return this.idRelActSubSubact;
	}

	/**
	 * Method 'setIdRelActSubSubact'.
	 *
	 * @param idRelActSubSubact
	 *            Integer
	 * @return
	 */

	public void setIdRelActSubSubact(Integer idRelActSubSubact) {
		this.idRelActSubSubact = idRelActSubSubact;
	}

	/**
	 * Method 'getIdRelExpActSub'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpActSub() {
		return this.idRelExpActSub;
	}

	/**
	 * Method 'setIdRelExpActSub'.
	 *
	 * @param idRelExpActSub
	 *            Integer
	 * @return
	 */

	public void setIdRelExpActSub(Integer idRelExpActSub) {
		this.idRelExpActSub = idRelExpActSub;
	}

	/**
	 * Method 'getIdActSub'.
	 *
	 * @return Integer
	 */

	public Integer getIdActSub() {
		return this.idActSub;
	}

	/**
	 * Method 'setIdActSub'.
	 *
	 * @param idActSub
	 *            Integer
	 * @return
	 */

	public void setIdActSub(Integer idActSub) {
		this.idActSub = idActSub;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the actSubvencionable
	 */
	public ActSubvencionable getActSubvencionable() {
		return actSubvencionable;
	}

	/**
	 * @param actSubvencionable
	 *            the actSubvencionable to set
	 */
	public void setActSubvencionable(ActSubvencionable actSubvencionable) {
		this.actSubvencionable = actSubvencionable;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelActSubSubact: ").append(this.idRelActSubSubact).append(" ]");
		result.append(", [ idRelExpActSub: ").append(this.idRelExpActSub).append(" ]");
		result.append(", [ idActSub: ").append(this.idActSub).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
