package com.ejie.ab60.model.estudioTecnico;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.math.BigDecimal;
import java.util.Date;

/**
 * DatosTerOmic  
 * 
 *  
 */

public class DatosTerOmic implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDatosOmic;
	private Integer idExpediente;
	private Integer tipoEntidad;
	private Integer idPoblacion;
	private Long idHorario;
	private Integer mancomunada;
	private Integer nuevaCreacion;
	private Long numeroReclamaciones;
	private Long numeroConsultas;
	private Integer inspeccionConsumo;
	private Integer infForEdu;
	private Integer sistemaArbitral;
	private Long numeroInspecciones;
	private Long numeroInspectores;
	private Long numeroSectores;
	private BigDecimal costeServicio;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'DatosTerOmic'.
	 */
	public DatosTerOmic() {
	}

	/**
	 * Method 'DatosTerOmic'.
	 * 
	 * @param idDatosOmic
	 *            Integer
	 */
	public DatosTerOmic(Integer idDatosOmic) {
		this.idDatosOmic = idDatosOmic;
	}

	/**
	 * Method 'DatosTerOmic'.
	 * 
	 * @param idDatosOmic
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param tipoEntidad
	 *            Integer
	 * @param idPoblacion
	 *            Integer
	 * @param idHorario
	 *            Long
	 * @param mancomunada
	 *            Integer
	 * @param nuevaCreacion
	 *            Integer
	 * @param numeroReclamaciones
	 *            Long
	 * @param numeroConsultas
	 *            Long
	 * @param inspeccionConsumo
	 *            Integer
	 * @param infForEdu
	 *            Integer
	 * @param sistemaArbitral
	 *            Integer
	 * @param numeroInspecciones
	 *            Long
	 * @param numeroInspectores
	 *            Long
	 * @param numeroSectores
	 *            Long
	 * @param costeServicio
	 *            BigDecimal
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public DatosTerOmic(Integer idDatosOmic, Integer idExpediente, Integer tipoEntidad, Integer idPoblacion,
			Long idHorario, Integer mancomunada, Integer nuevaCreacion, Long numeroReclamaciones, Long numeroConsultas,
			Integer inspeccionConsumo, Integer infForEdu, Integer sistemaArbitral, Long numeroInspecciones,
			Long numeroInspectores, Long numeroSectores, BigDecimal costeServicio, Date fechaRegistro,
			String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idDatosOmic = idDatosOmic;
		this.idExpediente = idExpediente;
		this.tipoEntidad = tipoEntidad;
		this.idPoblacion = idPoblacion;
		this.idHorario = idHorario;
		this.mancomunada = mancomunada;
		this.nuevaCreacion = nuevaCreacion;
		this.numeroReclamaciones = numeroReclamaciones;
		this.numeroConsultas = numeroConsultas;
		this.inspeccionConsumo = inspeccionConsumo;
		this.infForEdu = infForEdu;
		this.sistemaArbitral = sistemaArbitral;
		this.numeroInspecciones = numeroInspecciones;
		this.numeroInspectores = numeroInspectores;
		this.numeroSectores = numeroSectores;
		this.costeServicio = costeServicio;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdDatosOmic'.
	 *
	 * @return Integer
	 */

	public Integer getIdDatosOmic() {
		return this.idDatosOmic;
	}

	/**
	 * Method 'setIdDatosOmic'.
	 *
	 * @param idDatosOmic
	 *            Integer
	 * @return
	 */

	public void setIdDatosOmic(Integer idDatosOmic) {
		this.idDatosOmic = idDatosOmic;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getTipoEntidad'.
	 *
	 * @return Integer
	 */

	public Integer getTipoEntidad() {
		return this.tipoEntidad;
	}

	/**
	 * Method 'setTipoEntidad'.
	 *
	 * @param tipoEntidad
	 *            Integer
	 * @return
	 */

	public void setTipoEntidad(Integer tipoEntidad) {
		this.tipoEntidad = tipoEntidad;
	}

	/**
	 * Method 'getIdPoblacion'.
	 *
	 * @return Integer
	 */

	public Integer getIdPoblacion() {
		return this.idPoblacion;
	}

	/**
	 * Method 'setIdPoblacion'.
	 *
	 * @param idPoblacion
	 *            Integer
	 * @return
	 */

	public void setIdPoblacion(Integer idPoblacion) {
		this.idPoblacion = idPoblacion;
	}

	/**
	 * Method 'getIdHorario'.
	 *
	 * @return Long
	 */

	public Long getIdHorario() {
		return this.idHorario;
	}

	/**
	 * Method 'setIdHorario'.
	 *
	 * @param idHorario
	 *            Long
	 * @return
	 */

	public void setIdHorario(Long idHorario) {
		this.idHorario = idHorario;
	}

	/**
	 * Method 'getMancomunada'.
	 *
	 * @return Integer
	 */

	public Integer getMancomunada() {
		return this.mancomunada;
	}

	/**
	 * Method 'setMancomunada'.
	 *
	 * @param mancomunada
	 *            Integer
	 * @return
	 */

	public void setMancomunada(Integer mancomunada) {
		this.mancomunada = mancomunada;
	}

	/**
	 * Method 'getNuevaCreacion'.
	 *
	 * @return Integer
	 */

	public Integer getNuevaCreacion() {
		return this.nuevaCreacion;
	}

	/**
	 * Method 'setNuevaCreacion'.
	 *
	 * @param nuevaCreacion
	 *            Integer
	 * @return
	 */

	public void setNuevaCreacion(Integer nuevaCreacion) {
		this.nuevaCreacion = nuevaCreacion;
	}

	/**
	 * Method 'getNumeroReclamaciones'.
	 *
	 * @return Long
	 */

	public Long getNumeroReclamaciones() {
		return this.numeroReclamaciones;
	}

	/**
	 * Method 'setNumeroReclamaciones'.
	 *
	 * @param numeroReclamaciones
	 *            Long
	 * @return
	 */

	public void setNumeroReclamaciones(Long numeroReclamaciones) {
		this.numeroReclamaciones = numeroReclamaciones;
	}

	/**
	 * Method 'getNumeroConsultas'.
	 *
	 * @return Long
	 */

	public Long getNumeroConsultas() {
		return this.numeroConsultas;
	}

	/**
	 * Method 'setNumeroConsultas'.
	 *
	 * @param numeroConsultas
	 *            Long
	 * @return
	 */

	public void setNumeroConsultas(Long numeroConsultas) {
		this.numeroConsultas = numeroConsultas;
	}

	/**
	 * Method 'getInspeccionConsumo'.
	 *
	 * @return Integer
	 */

	public Integer getInspeccionConsumo() {
		return this.inspeccionConsumo;
	}

	/**
	 * Method 'setInspeccionConsumo'.
	 *
	 * @param inspeccionConsumo
	 *            Integer
	 * @return
	 */

	public void setInspeccionConsumo(Integer inspeccionConsumo) {
		this.inspeccionConsumo = inspeccionConsumo;
	}

	/**
	 * Method 'getInfForEdu'.
	 *
	 * @return Integer
	 */

	public Integer getInfForEdu() {
		return this.infForEdu;
	}

	/**
	 * Method 'setInfForEdu'.
	 *
	 * @param infForEdu
	 *            Integer
	 * @return
	 */

	public void setInfForEdu(Integer infForEdu) {
		this.infForEdu = infForEdu;
	}

	/**
	 * Method 'getSistemaArbitral'.
	 *
	 * @return Integer
	 */

	public Integer getSistemaArbitral() {
		return this.sistemaArbitral;
	}

	/**
	 * Method 'setSistemaArbitral'.
	 *
	 * @param sistemaArbitral
	 *            Integer
	 * @return
	 */

	public void setSistemaArbitral(Integer sistemaArbitral) {
		this.sistemaArbitral = sistemaArbitral;
	}

	/**
	 * Method 'getNumeroInspecciones'.
	 *
	 * @return Long
	 */

	public Long getNumeroInspecciones() {
		return this.numeroInspecciones;
	}

	/**
	 * Method 'setNumeroInspecciones'.
	 *
	 * @param numeroInspecciones
	 *            Long
	 * @return
	 */

	public void setNumeroInspecciones(Long numeroInspecciones) {
		this.numeroInspecciones = numeroInspecciones;
	}

	/**
	 * Method 'getNumeroInspectores'.
	 *
	 * @return Long
	 */

	public Long getNumeroInspectores() {
		return this.numeroInspectores;
	}

	/**
	 * Method 'setNumeroInspectores'.
	 *
	 * @param numeroInspectores
	 *            Long
	 * @return
	 */

	public void setNumeroInspectores(Long numeroInspectores) {
		this.numeroInspectores = numeroInspectores;
	}

	/**
	 * Method 'getNumeroSectores'.
	 *
	 * @return Long
	 */

	public Long getNumeroSectores() {
		return this.numeroSectores;
	}

	/**
	 * Method 'setNumeroSectores'.
	 *
	 * @param numeroSectores
	 *            Long
	 * @return
	 */

	public void setNumeroSectores(Long numeroSectores) {
		this.numeroSectores = numeroSectores;
	}

	/**
	 * Method 'getCosteServicio'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getCosteServicio() {
		return this.costeServicio;
	}

	/**
	 * Method 'setCosteServicio'.
	 *
	 * @param costeServicio
	 *            BigDecimal
	 * @return
	 */

	public void setCosteServicio(BigDecimal costeServicio) {
		this.costeServicio = costeServicio;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idDatosOmic: ").append(this.idDatosOmic).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ tipoEntidad: ").append(this.tipoEntidad).append(" ]");
		result.append(", [ idPoblacion: ").append(this.idPoblacion).append(" ]");
		result.append(", [ idHorario: ").append(this.idHorario).append(" ]");
		result.append(", [ mancomunada: ").append(this.mancomunada).append(" ]");
		result.append(", [ nuevaCreacion: ").append(this.nuevaCreacion).append(" ]");
		result.append(", [ numeroReclamaciones: ").append(this.numeroReclamaciones).append(" ]");
		result.append(", [ numeroConsultas: ").append(this.numeroConsultas).append(" ]");
		result.append(", [ inspeccionConsumo: ").append(this.inspeccionConsumo).append(" ]");
		result.append(", [ infForEdu: ").append(this.infForEdu).append(" ]");
		result.append(", [ sistemaArbitral: ").append(this.sistemaArbitral).append(" ]");
		result.append(", [ numeroInspecciones: ").append(this.numeroInspecciones).append(" ]");
		result.append(", [ numeroInspectores: ").append(this.numeroInspectores).append(" ]");
		result.append(", [ numeroSectores: ").append(this.numeroSectores).append(" ]");
		result.append(", [ costeServicio: ").append(this.costeServicio).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
