package com.ejie.ab60.service.preguntasExpediente;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab60.dao.preguntasExpediente.TiposPreguntasDao;
import com.ejie.ab60.model.preguntasExpediente.TiposPreguntas;
import com.ejie.x38.dto.JQGridRequestDto;

/**
 * PreguntasExpedienteServiceImpl  
 * 
 *  
 */

@Service(value = "tiposPreguntasService")
public class TiposPreguntasServiceImpl implements TiposPreguntasService {

	@Autowired
	private TiposPreguntasDao tiposPreguntasDao;

	/**
	 * Finds a list of rows in the PreguntasExpediente table.
	 *
	 * @param preguntasExpediente
	 *            PreguntasExpediente
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @return List<PreguntasExpediente>
	 */

	public List<TiposPreguntas> findAll(TiposPreguntas tiposPreguntas, JQGridRequestDto jqGridRequestDto) {
		return (List<TiposPreguntas>) this.tiposPreguntasDao.findAll(tiposPreguntas, jqGridRequestDto);
	}

}
