<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>
<%@page import="java.util.List,org.springframework.validation.ObjectError"%>
<script>
//funcion para enviar el init form
function accederMenu(nombreControlador){
document.forms["initForm"].action = "/ab60WebAppWar/"+nombreControlador+"/maint"
$("#initForm").submit();
} 
</script>
<div id="datosConv_feedback"></div>
<section>
<c:set var="IDTIPOCONCURSAL" value="<%=Constantes.ID_TIPO_CONCURSAL%>" />
<c:set var="IDTIPOAYUDA" value="<%=Constantes.TIPO_AYUDA_BEC%>" />
	<div class="container">
		<ul class="nav nav-tabs">
			<li role="presentation" class="active"><a href="#"><spring:message code="fconvocatoria.datos" /></a></li>
			<!--  <li role="presentation"><a href="#" onclick="accederMenu('datosContable')"><spring:message code="fconvocatoria.ContableIkus" /></a></li>-->
			<li role="presentation" class="bec disabled" id="pestaniaFaseCurriculum"><a id="faseCurriculumA" href="#" onclick="accederMenu('faseCurriculum')" ><spring:message code="fconvocatoria.faseCurriculum"/></a></li>
			<li role="presentation" class="bec disabled" id="pestaniaFaseConocimientos"><a id="faseConocimientosA" href="#" onclick="accederMenu('faseConocimientos')" ><spring:message code="fconvocatoria.faseConocimientos"/></a></li>
			<li role="presentation" class="bec disabled" id="pestaniaFaseCurso"><a href="#" id="faseCursoA" onclick="accederMenu('faseCurso')" ><spring:message code="fconvocatoria.faseCurso"/></a></li>
			<li role="presentation" class="bec disabled" id="pestaniaFaseBecas"><a href="#" id="faseBecasA" onclick="accederMenu('faseBecas')" ><spring:message code="fconvocatoria.faseBecas"/></a></li>
			<!-- <li role="presentation"><a href="planPagos.html"><spring:message code="fconvocatoria.planPagos" /></a></li>
			<li role="presentation"><a href="criteriosPuntuacion.html"><spring:message code="fconvocatoria.criteriosPuntuacion" /></a></li>
			<li role="presentation"><a href="plantillas.html"><spring:message code="fconvocatoria.plantillas" /></a></li>
			<li role="presentation"><a href="#" onclick="accederMenu('listados')"><spring:message code="fconvocatoria.listados" /></a></li> -->
		</ul>
		<form:form id="datosConv" modelAttribute="datosConv" commandName="datosConv" action="" class="form-horizontal">
		<input type="hidden" name="idTipoAyuda" value="${idTipoAyuda}">
		<input type="hidden" id="tipoImporte" value="${tipoImporte}">
		<input type="hidden" name="importesActSubActualizar" id="importesActSubActualizar">
		<input type="hidden" name="actualizarImportes" id="actualizarImportes">
			<fieldset>
				<legend class="opcionmaspeque">
					<spring:message code="fconvocatoria.datosConvocatoria" />
				</legend>
				<div class="panel panel-default">
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-4 form-group">
								<label for="idTipoConvocatoria"><spring:message
										code="fconvocatoria.tipo" /></label><br>
								<form:select path="tiposConvocatoria" class="form-control">
								</form:select>
								<form:input type="hidden" path="idTipoConvocatoria" />
							</div>
							<div class="col-xs-4 form-group">
								<label for="fechaResol"><spring:message
										code="fconvocatoria.fecha" /></label>
								<div class="input-group date">
									<form:input path="fechaResolucionStr" name="fechaResol"
										type="text" class="form-control" id="fechaResol" />
								</div>
							</div>
							<div class="col-xs-4 form-group">
								<label for="fechaOrden"><spring:message
										code="fconvocatoria.fechaOrden" /></label>
								<div class="input-group date">
									<form:input path="fechaOrdenDiaStr" name="fechaOrden"
										type="text" class="form-control" id="fechaOrden" />
								</div>
							</div>
						</div>
					</div>
				</div>
			</fieldset>

			<fieldset class="noBEC">
				<legend class="opcionmaspeque">
					<spring:message code="fconvocatoria.economica" />
				</legend>
				<div class="panel panel-default">
					<!-- Default panel contents -->
					<div class="panel-body">
						<div class="row">
							<div id="capaImporteConvocatoria" class="col-xs-12 form-group">
								<div class="form-group col-xs-6">
									<div class="form-group col-xs-7">
										<label for="importe"><spring:message code="fconvocatoria.importe" /></label>
										<form:input path="importeMask" name="importe" type="text" id="importeC" class="form-control" onchange="javascript:formatearNumero(this);"></form:input>
										<form:input type="hidden" path="importe" id="importe" class="form-control"/>
									</div>
									<c:if test="${datosConv.idTipoConvocatoria == 1 && datosConv.idTipoAyuda != 5}">
										<div>
											<c:if test="${datosConv.importeMask == datosConv.importeDisponibleMask}">
												<div class="colorAzul form-group col-xs-1"><a class="ocultar" href="#" id="btnRepartir" onclick="javascript:repartirAyuda(null)"><i class="fa fa-calculator tooltipRepartir" aria-hidden="true"></i></a></div>
											</c:if>
											<c:if test="${datosConv.importeMask != datosConv.importeDisponibleMask}">
												<div class="colorAzul form-group col-xs-1"><a class="ocultar" href="#" id="btnAnular" onclick="javascript:anularAyuda(null)"><i class="fa fa-window-close tooltipAnular" aria-hidden="true"></i></a></div>
											</c:if>
										</div>
									</c:if>
								</div>
								<div class="form-group col-xs-6">
									<label for="importe"><spring:message code="fconvocatoria.importeDisponible" /></label>
									<form:input path="importeDisponibleMask" name="importeDisponibleMask" type="text" class="form-control" disabled="true"></form:input>
								</div>
							</div>
							<div id="capaImporteAccionSubvencionable" class="col-xs-12 form-group">
								<c:if test="${not empty  datosConv.actSubvencionables}">
									<c:forEach items="${datosConv.actSubvencionables}" var="accionesSubvencionables" varStatus="loop">
										<c:choose>
				    						<c:when test="${lenguaje =='es'}">						
						  						<div class="form-group col-xs-6">
						  							<b>${accionesSubvencionables.descripcionCastellano}</b> </br></br>
						  							<div class="form-group col-xs-5">
														
							  							<label for="importe"><spring:message code="fconvocatoria.actSub.importe" /></label>
							  							<input type="text" id="importesActualizar${loop.index}" class="importesActualizar form-control" name ="${accionesSubvencionables.idActSub}" value="${accionesSubvencionables.importeFormateado}" onchange="javascript:formatearNumero(this);"/>
							  							<input type="hidden" id="importesSinModificarConvocatoria" class="importesSinModificarConvocatoria form-control" value="${accionesSubvencionables.importeFormateado}"/>
													</div>
													<div class="form-group col-xs-2">
								  						<c:if test="${datosConv.idTipoConvocatoria == IDTIPOCONCURSAL && datosConv.idTipoAyuda != IDTIPOAYUDA}">
								  							<c:if test="${accionesSubvencionables.importeFormateado == accionesSubvencionables.importeDisponibleFormateado}">
								  								<div class="colorAzul form-group col-xs-1"><a href="#" id="${loop.index}" onclick="javascript:repartirAyuda(${loop.index})"><i class="fa fa-calculator tooltipRepartir" aria-hidden="true"></i></a></div>	
								  							</c:if>
								  							<c:if test="${accionesSubvencionables.importeFormateado != accionesSubvencionables.importeDisponibleFormateado}">
								  								<div class="colorAzul form-group col-xs-1"><a href="#" onclick="javascript:anularAyuda(${loop.index})"><i class="fa fa-window-close tooltipAnular" aria-hidden="true"></i></a></div>	
								  							</c:if>
														</c:if>
													</div>
							  						<div class="form-group col-xs-5">
							  							<label for="importesDisponibles"><spring:message code="fconvocatoria.actSub.importeDisponible" /></label>
							  							<input type="text" id="importeDisponible_${loop.index}" class="importesDisponibles form-control" value="${accionesSubvencionables.importeDisponibleFormateado}" disabled/>
							  						</div>
						  						</div>
				    						</c:when>
				    						<c:otherwise>
				     		 					<div class="form-group col-xs-6">
					     		 					<b>${accionesSubvencionables.descripcionEuskera}</b> </br></br>
					     		 					<div class="form-group col-xs-5">
						     		 					<label for="importe"><spring:message code="fconvocatoria.actSub.importe" /></label>
						     		 					<input type="text" id="importesActualizar${loop.index}" class="importesActualizar form-control" name ="${accionesSubvencionables.idActSub}" value="${accionesSubvencionables.importeFormateado}" onchange="javascript:formatearNumero(this);"/>
						     		 					<input type="hidden" id="importesSinModificarConvocatoria" class="importesSinModificarConvocatoria form-control" value="${accionesSubvencionables.importeFormateado}"/>
						     		 				</div>
						     		 				<div class="form-group col-xs-2">
						     		 					<c:if test="${datosConv.idTipoConvocatoria == IDTIPOCONCURSAL && datosConv.idTipoAyuda != IDTIPOAYUDA}">
						     		 						<c:if test="${accionesSubvencionables.importeFormateado == accionesSubvencionables.importeDisponibleFormateado}">
								  								<div class="colorAzul form-group col-xs-1"><a href="#" id="${loop.index}" onclick="javascript:repartirAyuda(${loop.index})"><i class="fa fa-calculator tooltipRepartir" aria-hidden="true"></i></a></div>	
								  							</c:if>
								  							<c:if test="${accionesSubvencionables.importeFormateado != accionesSubvencionables.importeDisponibleFormateado}">
								  								<div class="colorAzul form-group col-xs-1"><a href="#" onclick="javascript:anularAyuda(${loop.index})"><i class="fa fa-window-close tooltipAnular" aria-hidden="true"></i></a></div>	
								  							</c:if>
														</c:if> 
													</div>
						     		 				<div class="form-group col-xs-5">
						     		 					<label for="importesDisponibles"><spring:message code="fconvocatoria.actSub.importeDisponible" /></label>
						     		 					<input type="text" class="importesDisponibles form-control" value="${accionesSubvencionables.importeDisponibleFormateado}" disabled/>
						     		 				</div>
					     		 					
							  					</div>
				    						</c:otherwise>
										</c:choose>
									</c:forEach>
								</c:if>
							</div>
						</div>
					</div>
				</div>
			</fieldset>
			
			<fieldset class="BEC">
				<legend class="opcionmaspeque">
					<spring:message code="fconvocatoria.configBeca" />
				</legend>
				<div class="panel panel-default">
					<!-- Default panel contents -->
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-6 form-group">
								<label for="numPersonasConocimientos"><spring:message code="fconvocatoria.numPerCon" /></label>
								<form:input path="numPersonasConocimientos" name="numPersonasConocimientos" id="numPersonasConocimientos" type="text" class="form-control" maxlength="4"></form:input>
								<!-- <form:input type="hidden" path="numPersonasConocimientos"  class="form-control"/> --> 
							</div>
							<div class="col-xs-6 form-group">
								<label for="numPersonasCurso"><spring:message code="fconvocatoria.numPerCur" /></label>
								<form:input path="numPersonasCurso" name="numPersonasCurso" id="numPersonasCurso" type="text" class="form-control" maxlength="4"></form:input>
								<!-- <form:input type="hidden" path="numPersonasCurso"  class="form-control"/> --> 
							</div>
						</div>
						<div class="row">
							<div class="col-xs-6 form-group">
								<label for="numBecas"><spring:message code="fconvocatoria.numBecas" /></label>
								<form:input path="numBecas" name="numBecas" id="numBecas" type="text" class="form-control" maxlength="4"></form:input>
								<!-- <form:input type="hidden" path="numBecas"  class="form-control"/> --> 
							</div>
							<div class="col-xs-6 form-group">
								<label for="numSuplentes"><spring:message code="fconvocatoria.numSuplentes" /></label>
								<form:input path="numSuplentes" name="numSuplentes" id="numSuplentes" type="text" class="form-control" maxlength="4"></form:input>
								<!-- <form:input type="hidden" path="numSuplentes"  class="form-control"/> --> 
							</div>
						</div>
					</div>
				</div>
			</fieldset>

			<fieldset class="noMEC noBEC">
				<legend class="opcionmaspeque">
					<spring:message code="fconvocatoria.configCalc" />
				</legend>
				<div class="panel panel-default">
					<!-- Default panel contents -->
					<div class="panel-body">
						<div class="row">
							<div class="col-xs-6 form-group">
								<label for="cantMaxSubvencion"><spring:message
										code="fconvocatoria.cantidadMax" /></label>
								<form:input path="cantMaxSubvencionMask" type="text"
									name="cantMaxSubvencion" class="form-control" onchange="javascript:formatearNumero(this);"/>
									<form:input type="hidden" path="cantMaxSubvencion" id="cantMaxSubvencion" class="form-control"/>

							</div>
							<div class="col-xs-6 form-group">
								<label for="porcentajeSubvencion"><spring:message
										code="fconvocatoria.porcentaje" /></label>
								<form:input path="porcentajeSubvencionMask" type="text" id="porcentajeSubvencion" name="porcentajeSubvencion" class="form-control" onchange="javascript:formatearNumero(this);"/>
								<form:input type="hidden" path="porcentajeSubvencion" id="porcentajeSubvencion" class="form-control"/>

							</div>
						</div>
						<div id="space"></div>
						<div id="space"></div>
						<div class="row">
						<div id="tblPorcentajes_div" class="rup-table-container miocontainer">
							<div id="tblPorcentajes_feedback"></div>
							<div id="tblPorcentajes_toolbar" class="mitoolbar clearfix"></div>
							<div id="tblPorcentajes_grid_div">
								<!-- Tabla -->
								<table id="tblPorcentajes" class="table"></table>
								<!-- Barra de paginaci�n -->
								<div id="tblPorcentajes_pager" class="hidden"></div>
							</div>
						</div>
						</div>
						
					</div>
				</div>
			</fieldset>

			<fieldset class="MecBec">
				<div class="row">
					<div class="col-xs-12 form-group">
						<label for="observaciones"><spring:message code="fconvocatoria.observaciones" /></label>
						<form:textarea path="observaciones" id="observaciones" maxlength="500" class="form-control" name="observaciones" rows="2"></form:textarea>
					</div>
				</div>
			</fieldset>
		</form:form>
	</div>
</section>




<div id="tblPorcentajes_detail_div" class="rup-table-formEdit-detail">
	<div id="tblPorcentajes_detail_navigation" class="hidden"></div>
	<div class="ui-dialog-content ui-widget-content">
		<form id="tblPorcentajes_detail_form">
			<!-- Campos del formulario de detalle -->
			<div class="row">
				<div class="col-xs-6 form-group">
					<label for="descripcionCastellano"><spring:message code="fconvocatoria.descripcion" /></label>
					<input type="text" class="form-control" name="descripcionCastellano" readonly/>
				</div>
				<div class="col-xs-6 form-group">
					<label for="porcentajeActuacion"><spring:message code="fconvocatoria.porcentajeActuacion" /></label>
					<input type="text" id="porcentajeActuacionMask" class="form-control" name="porcentajeActuacionMask" onchange="javascript:formatearNumero(this);"/>
					<input type="hidden" name="porcentajeActuacion" id="porcentajeActuacion" class="form-control" />
	                      
				</div>				
			</div>
		</form>
	</div>
	<div class="rup-table-buttonpane ui-helper-clearfix">
		<div class="ui-dialog-buttonset">
			<button id="tblPorcentajes_detail_button_save" type="button" class="btn btn-primary">
				<spring:message code="save" />
			</button>
			<a href="javascript:void(0)" id="tblPorcentajes_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
		</div>
	</div>
</div>
