<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>


<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />		
		
	</div>
</section>
<section>
		<div class="container">	
			<div id="id_capa"></div>		
			<form:form class="form-horizontal" modelAttribute="puntuacionesResolucion" id="formResolucion" method="post">
			<form:input type="hidden" path="idExpediente"  />
			<form:input type="hidden" path="idPuntuacion"  />
			<div id="space"></div>			
				<fieldset>
					<legend><spring:message code="fexpediente.formResolucion.resultado"/></legend>
					<input type="hidden" id="idResultadoHidden" value="" />
					<input type="hidden" id="idMotivoDesestimacionHidden" value="" />
					<input type="hidden" id="idFaseHidden" value="" />
						<div class="panel panel-default">
							<div class="panel-body">
								<div class="row">
									<div class="col-xs-3 form-group">
										<label><spring:message code="fexpediente.formResolucion.puntuacionTotal"/></label>
										<form:input id="puntuacionTotCurso" type="text" class="form-control" readonly="true" path="puntuacionTotCurso"/>
									</div>
									<div class="col-xs-9 form-group">
										<form:label path="fases.idFase"><spring:message code="fexpediente.formResolucion.fase"/></form:label>
			   							<select class="form-control" id="comboFase" ></select>
			    						<form:input type="hidden" path="fases.idFase" class="idFase"/>
									</div>	
								</div>		
								<div class="row">
									<div class="col-xs-3 form-group">
										<form:label path="tiposResultado.idResultado"><spring:message code="fexpediente.form.resultado"/></form:label>
										<select class="form-control" id="comboResultado" ></select>
										<form:input type="hidden"  path="tiposResultado.idResultado" class="idResultado"/>
									</div>
									<div class="col-xs-9 form-group">
										<form:label  path="motivosDesestimacion.idMotivoDesestimacion"><spring:message code="fexpediente.form.motivo"/></form:label>
										<select class="form-control" id="comboMotivo" ></select>
										<form:input type="hidden" path="motivosDesestimacion.idMotivoDesestimacion" class="idMotivo"/>
									</div>									
								</div>

							</div>
						</div>
				</fieldset>
			    <fieldset>
					<legend class="opcionmaspeque"><spring:message code="fexpediente.formResolucion.beca"/></legend>
					<div class="panel panel-default">
						<div class="panel-body">
							<div class="row">
								<div class="col-xs-6 form-group">
									<label><spring:message code="fexpediente.formResolucion.empresa"/></label>
									<form:input type="text" class="form-control" path="empresa"/>
								</div>
								<div class="col-xs-6 form-group">
									<label><spring:message code="fexpediente.formResolucion.dotacion"/></label>
									<form:input type="text" class="form-control" path="dotacion"/>
								</div>									
							</div>	
						</div>							
					</div>							
				</fieldset>
					<fieldset>
					<legend class="opcionmaspeque"><spring:message code="formCurriculum.observaciones"/></legend>
					<div class="panel panel-default">
						<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control"  path="observacionesResolucion" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>		
						
					</div>							
				</fieldset>
			</form:form>
		</div>
</section>