<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %>

<section>
		<div class="container">	
				<!-- Incluimos la jsp que contiene las pestanas -->
				<jsp:include page="../pestanas.jsp" />				
				
				<fieldset>						
					<div class="panel panel-default" >
						<div class="panel-heading"> 
							<label><spring:message code="fexpediente.ayudas.concedidas"/> </label> 
							<a href="#" id="abrirConcedidas"><i class="fa fa-chevron-down right" id="flecha" aria-hidden="true"></i></a>
						</div>
						<div class="panel-body" id="pconcedidas" style="display:block;">
							<div id="tblAyudas_div" class="rup-table-container miocontainer">
								<div id="tblAyudas_feedback"></div>
								<div id="tblAyudas_toolbar" class="mitoolbar clearfix"></div>
								<div id="tblAyudas_grid_div">
									<!-- Tabla -->
									<table id="tblAyudas" class="table"></table>
									<!-- Barra de paginación -->
									<div id="tblAyudas_pager" class="hidden"></div>				
								</div>
							</div>
						</div>
					</div>						
				</fieldset> 
				<fieldset>						
					<div class="panel panel-default" >
						<div class="panel-heading"> 
							<label> <spring:message code="fexpediente.ayudas.concedidas.minimis"/> </label>
							<a href="#" id="abrirConcedidasMinimis"><i class="fa fa-chevron-down right" id="flechaMinimis" aria-hidden="true"></i></a>
						</div>
						<div class="panel-body" id="pconcedidasMinimis" style="display:block;">
							<div id="tblAyudasMinimis_div" class="rup-table-container miocontainer">
								<div id="tblAyudasMinimis_feedback"></div>
								<div id="tblAyudasMinimis_toolbar" class="mitoolbar clearfix"></div>
								<div id="tblAyudasMinimis_grid_div">
									<!-- Tabla -->
									<table id="tblAyudasMinimis" class="table"></table>
									<!-- Barra de paginación -->
									<div id="tblAyudasMinimis_pager" class="hidden"></div>				
								</div>
							</div>
						</div>
					</div>						
				</fieldset>					
		</div>
		
		<div id="tblAyudas_detail_div" class="rup-table-formEdit-detail">
			<div id ="tblAyudas_detail_navigation" class="hidden"></div>			<!-- Barra de navegación del detalle -->
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblAyudas_detail_form">					<!-- Formulario -->
					<div class="floating_left_pad_right">
						<!-- Campos del formulario de detalle -->
						<input type="hidden" name="idOtraAyuda" id="idOtraAyuda"/>
						<div class="row">
							<div class="col-xs-4 form-group">
								<label class="required" for="anyoSolicitud_detail_table"><spring:message code="fexpediente.ayudas.anyoSolicitud"/></label>
								<input type="text" name="anyoSolicitud" class="form-control" id="anyoSolicitud_detail_table" maxlength="4" />
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="institucion_detail_table"><spring:message code="fexpediente.ayudas.institucion"/></label>
								<input type="text" name="institucion" class="form-control" id="institucion_detail_table" maxlength="200"/>
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="programa_detail_table"><spring:message code="fexpediente.ayudas.programa"/></label>
								<input type="text" name="programa" class="form-control" id="programa_detail_table" maxlength="200"/>
							</div>
						</div>
						<div class="row">	
							<div class="col-xs-4 form-group">
								<label class="required" for="tipoAyuda_detail_table"><spring:message code="fexpediente.ayudas.tipoAyuda"/></label>
								<input type="text" name="tipoAyuda" class="form-control" id="tipoAyuda_detail_table" maxlength="120"/>
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="actividad_detail_table"><spring:message code="fexpediente.ayudas.actividad"/></label>
								<input type="text" name="actividad" class="form-control" id="actividad_detail_table" maxlength="200"/>
							</div>
						</div>	
						<div class="row">
							<div class="col-xs-4 form-group">
								<label class="required" for="importeSolicitado_detail_table"><spring:message code="fexpediente.ayudas.importeSolicitado"/></label>
								<input type="text" name="importeSolicitadoMask" class="form-control" id="importeSolicitado_detail_tableMask" onchange="javascript:formatearNumero(this);">
								<input type="hidden" name="importeSolicitado" class="form-control" id="importeSolicitado_detail_table">
							</div>
							<div class="col-xs-4 form-group">
								<label for="ayudaConcedida_detail_table"><spring:message code="fexpediente.ayudas.ayudaConcedida"/></label>
								<input type="text" name="ayudaConcedidaMask" class="form-control" id="ayudaConcedida_detail_tableMask" onchange="javascript:formatearNumero(this);"/>
								<input type="hidden" name="ayudaConcedida" class="form-control" id="ayudaConcedida_detail_table"/>
							</div>
						</div>
						<!-- Fin campos del formulario de detalle -->
						
					</div>
				</form>
			</div>
			<!-- Botonera del formulario de detalle -->
			<div class="rup-table-buttonpane ui-helper-clearfix">
				<div class="ui-dialog-buttonset">
					<!-- Botón Guardar -->
					<button id="tblAyudas_detail_button_save" class="btn btn-primary" type="button">
						<spring:message code="save" />
					</button>
					<!-- Enlace cancelar -->
					<a href="javascript:void(0)" id="tblAyudas_detail_link_cancel"
						class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
				</div>
			</div>
		</div>		
		
		<div id="tblAyudasMinimis_detail_div" class="rup-table-formEdit-detail">
			<div id ="tblAyudasMinimis_detail_navigation" class="hidden"></div>			<!-- Barra de navegación del detalle -->
			<div class="ui-dialog-content ui-widget-content" >
				<form id="tblAyudasMinimis_detail_form">					<!-- Formulario -->
					  <div class="floating_left_pad_right">
						<!-- Campos del formulario de detalle -->
						<input type="hidden" name="idOtraAyuda" id="idOtraAyuda"/>
						<div class="row">
							<div class="col-xs-4 form-group">
								<label class="required" for="anyoSolicitud_detail_table"><spring:message code="fexpediente.ayudas.anyoSolicitud"/></label>
								<input type="text" name="anyoSolicitud" class="form-control" id="anyoSolicitud_detail_table" maxlength="4"/>
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="institucion_detail_table"><spring:message code="fexpediente.ayudas.institucion"/></label>
								<input type="text" name="institucion" class="form-control" id="institucion_detail_table" maxlength="200"/>
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="programa_detail_table"><spring:message code="fexpediente.ayudas.programa"/></label>
								<input type="text" name="programa" class="form-control" id="programa_detail_table" maxlength="200"/>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-4 form-group">
								<label class="required" for="tipoAyuda_detail_table"><spring:message code="fexpediente.ayudas.tipoAyuda"/></label>
								<input type="text" name="tipoAyuda" class="form-control" id="tipoAyuda_detail_table" maxlength="120"/>
							</div>
							<div class="col-xs-4 form-group">
								<label class="required" for="actividad_detail_table"><spring:message code="fexpediente.ayudas.actividad"/></label>
								<input type="text" name="actividad" class="form-control" id="actividad_detail_table" maxlength="200"/>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-4 form-group">
								<label class="required" for="importeSolicitado_detail_table"><spring:message code="fexpediente.ayudas.importeSolicitado"/></label>
								<input type="text" name="importeSolicitadoMask" class="form-control" id="importeSolicitado_detail_tableMask" onchange="javascript:formatearNumero(this);">
								<input type="hidden" name="importeSolicitado" class="form-control" id="importeSolicitado_detail_table"/>
							</div>
							<div class="col-xs-4 form-group">
								<label for="ayudaConcedida_detail_table"><spring:message code="fexpediente.ayudas.ayudaConcedida"/></label>
								<input type="text" name="ayudaConcedidaMask" class="form-control" id="ayudaConcedida_detail_tableMask" onchange="javascript:formatearNumero(this);"/>
								<input type="hidden" name="ayudaConcedida" class="form-control" id="ayudaConcedida_detail_table"/>
							</div>
						</div>
						<!-- Fin campos del formulario de detalle -->
					</div>
				</form>
			</div>
			<!-- Botonera del formulario de detalle -->
			<div class="rup-table-buttonpane ui-helper-clearfix">
				<div class="ui-dialog-buttonset">
					<!-- Botón Guardar -->
					<button id="tblAyudasMinimis_detail_button_save" class="btn btn-primary" type="button">
						<spring:message code="save" />
					</button>
					<!-- Enlace cancelar -->
					<a href="javascript:void(0)" id="tblAyudasMinimis_detail_link_cancel"
						class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
				</div>
			</div>
		</div>

</section>