<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="com.ejie.x38.security.UserCredentials"%>
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>
<c:set var="OTRO_INTERESADO" value="<%=Constantes.PARTICIPANTE_OTRO_AFECTADO%>" />
<c:set var="TITULAR" value="<%=Constantes.PARTICIPANTE_TITULAR%>" />
<c:set var="REPRESENTANTE" value="<%=Constantes.PARTICIPANTE_REPRESENTANTE%>" />
<c:set var="PERSONA_CONTACTO" value="<%=Constantes.PARTICIPANTE_PERSONA_CONTACTO%>" />
<c:set var="REPRESENTANTE_LEGAL" value="<%=Constantes.PARTICIPANTE_REPRESENTANTE_LEGAL%>" />
<c:set var="UBICACION" value="<%=Constantes.ID_UBICACION_INVERSION%>" />
<c:set var="DIRECCION" value="<%=Constantes.ID_DIRECCION_SOLICITANTE%>" />
<section>
	<div class="container"> 
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />
		
		<input type="hidden" id="flagSearchFolder" value="${flagSearchFolder}"/>
		<input type="hidden" id="urlab61" name="urlab61" value="${urlab61}"/>
		<input type="hidden" id="ab61_folderID" name="ab61_folderID" value="${ab61_folderID}"/>
		<input type="hidden" id="recargarPagina" value="0"/>
		<input type="hidden" id="controlCambios" value="0" />
		<div id="id_capa"></div>
		<form id="formSolicitante" method="post" action="/ab60WebAppWar/relexpter/guardarInteresadoUbicacion/${idTercero}">
			<input type="hidden" id="idExpediente" name="idExpediente" value="${initForm.idExpediente}">
			<input type="hidden" id="idTipoAyuda" name="idTipoAyuda" value="${initForm.tipoAyuda}">
			<div id="feedbackMensajesSearchFolder"></div>
			<div id="accordionExample" class="rup_accordion">
				<c:forEach items="${listaSearch}" var="listaSearchFolder">	
					<c:choose>
						<c:when test="${lenguaje =='es'}">						
							<h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.tipoTerceroDesCas}</span></a><i class="fa fa-edit iconoDerecha" aria-hidden="true"></i></h1>
						 </c:when>
						 <c:otherwise>
						     <h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.tipoTerceroDesEus}</span></a><i class="fa fa-edit iconoDerecha" aria-hidden="true"></i></h1>
						 </c:otherwise>
					</c:choose>
					<div class="form-group accordion_height_auto">
						<div class="quitarPunto">
							<ul class="quitarPunto">
							<c:set var="unInteresado" value="1"/>
								<c:forEach items="${listaSearchFolder.datosTercerosList}" var="listaPersonas">
									<li>
										<c:if test="${listaPersonas.tipoParticipante == TITULAR}">
											<label><spring:message code="fexpediente.titular"/></label>
										</c:if>
										<c:if test="${listaPersonas.tipoParticipante == REPRESENTANTE}">
											<label><spring:message code="fexpediente.representante"/></label>
										</c:if>
								
										<c:if test="${listaPersonas.tipoParticipante == OTRO_INTERESADO && unInteresado == 1}">
											<c:set var="unInteresado" value="2"/>
											<label><spring:message code="fexpediente.otroInteresado"/></label>
										</c:if>	
																				
										<div class="input-group">
										<c:choose> 
    										<c:when test="${!empty listaPersonas.documento}"> 	
												<input type="text" class="form-control" readonly="readonly" value="${listaPersonas.documento} - ${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2}"/> 
											</c:when>
											<c:otherwise> 
											 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2}"/> 
											</c:otherwise>
										</c:choose>
											<input type="hidden" id="idSolicitanteTercero" value="${listaPersonas.idTercero}" />
											<span class="input-group-btn">
												<c:choose>
													<c:when test="${listaPersonas.tipoParticipante == TITULAR}">						
														<button class="btn btn-default  botonCompartir input-btn-fontSize15" id="TITULAR-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:when>
													 	<c:when test="${listaPersonas.tipoParticipante == OTRO_INTERESADO}">						
														<button class="btn btn-default  botonCompartir input-btn-fontSize15" id="OTRO-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:when>
													 <c:otherwise>
														<button class="btn btn-default  botonCompartir input-btn-fontSize15" id="REPRESENTANTE-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:otherwise>
												</c:choose>
											</span>
										</div>
									</li>	
								</c:forEach>
							</ul>	
						</div>
					</div>
				</c:forEach>
			
				<h1 class="divDomicilioSolicitante"><a><spring:message code="fexpediente.datos.domicilioSolicitante"/></a></h1>
				<div class="form-group accordion_height_auto divDomicilioSolicitante">
				<c:if test="${not empty listaDomicilio}">
					<input type="hidden" name="idTerceroSolicitante" value="${listaDomicilio.datosTerceros.idTercero}"/>
					<input type="hidden" name="idTipoDireccionSolicitante" value="${listaDomicilio.tiposDireccion.idTipoDireccion}"/>
				</c:if>
					<div class="row">
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.provincia"/></label>
							<c:if test="${not empty listaDomicilio}">
								<input type="hidden" id="idProvinciaSolicitanteHidden" value="${listaDomicilio.idProvincia}"/>
							</c:if>
							
							<select name="idProvinciaSolicitante" id="idProvinciaSolicitante" class="form-control"></select>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.municipio"/></label>
							<c:if test="${not empty listaDomicilio}">
								<input type="hidden" id="idMunicipioSolicitanteHidden" value="${listaDomicilio.idMunicipio}"/>
							</c:if>
							<select name="idMunicipioSolicitante" id="idMunicipioSolicitante" class="form-control"></select>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.localidad"/></label>
							<c:if test="${not empty listaDomicilio}">
								<input type="hidden" id="idLocalidadSolicitanteHidden" value="${listaDomicilio.idLocalidad}"/>
							</c:if>
							<select name="idLocalidadSolicitante" id="idLocalidadSolicitante" class="form-control"></select>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-5 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.direccion"/></label>
							
							<input type="text" name="direccionSolicitante" class="form-control" value="${listaDomicilio.direccion}" maxlength="100"></input>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.numero"/></label>
							<input type="text" name="numeroSolicitante" class="form-control" value="${listaDomicilio.numero}" maxlength="60"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.escalera"/></label>
							<input type="text" class="form-control" name="escaleraSolicitante" value="${listaDomicilio.escalera}" maxlength="5"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.piso"/></label>
							<input type="text" class="form-control" name="pisoSolicitante" value="${listaDomicilio.piso}" maxlength="20"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.letra"/></label>
							<input type="text" class="form-control" name="letraSolicitante" value="${listaDomicilio.letra}" maxlength="20"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.domicilioSolicitante.codigoPostal"/></label>
							<input type="text" class="form-control" name="codigoPostalSolicitante" name="terceros.codigoPostal" value="${listaDomicilio.codigoPostal}" maxlength="20"/>
						</div>
					</div>
				</div>

				<c:set var="TIPO_AYUDA_OTC" value="<%=Constantes.TIPO_AYUDA_OTC%>" />
				<c:choose>
			   		<c:when test="${initForm.tipoAyuda == TIPO_AYUDA_OTC}">						
						<h1 class="divUbicacionInversion"><a><spring:message code="fexpediente.datos.sedeOficina"/></a></h1>
			    	</c:when>
			   		<c:otherwise>
			    		<h1 class="divUbicacionInversion"><a><spring:message code="fexpediente.datos.ubicacionInversion"/></a></h1>
			    	</c:otherwise>
				</c:choose>
				
				<div class="form-group accordion_height_auto divUbicacionInversion">
					<div class="row">
						<div class="col-xs-8 form-group ocultarOTC">
							<c:if test="${not empty listaUbicacion}"> 
								<input type="hidden" name="idSolicitanteUbicacion" value="${listaUbicacion.datosTerceros.idTercero}"/>
								<input type="hidden" name="idTipoDireccionUbicacion" value="${listaUbicacion.tiposDireccion.idTipoDireccion}"/>
							</c:if>
								<label><spring:message code="fexpediente.datos.ubicacionInversion.nombreEstablecimiento"/></label>
								<input type="text" name="establecimiento" class="form-control" value="${listaUbicacion.establecimiento}"  maxlength="260"/>
							
						</div>
						<div class="col-xs-4 form-group divNumeroRegistroUbicacion" >
							<label><spring:message code="fexpediente.datos.ubicacionInversion.numeroRegistro"/></label>
							<input type="text" id="identificadorEstablecimiento" name="numeroRegistroUbicacion" class="form-control" value="${listaUbicacion.identificadorEstablecimiento}"  maxlength="50" />
						</div>
					</div>
					<div class="row">
						<div class="col-xs-4 form-group">
						<label><spring:message code="fexpediente.datos.ubicacionInversion.provincia"/></label>
						<c:if test="${not empty listaUbicacion}"> 
							<input type="hidden" id="idProvinciaUbicacionHidden" value="${listaUbicacion.idProvincia}"/>
						</c:if>
							<select name="idProvinciaUbicacion" id="idProvinciaUbicacion" class="form-control"></select>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.municipio"/></label>
							<c:if test="${not empty listaUbicacion}"> 
								<input type="hidden" id="idMunicipioUbicacionHidden" value="${listaUbicacion.idMunicipio}"/>
							</c:if>
							<select name="idMunicipioUbicacion" id="idMunicipioUbicacion" class="form-control"></select>
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.localidad"/></label>
							<c:if test="${not empty listaUbicacion}"> 
								<input type="hidden" id="idLocalidadUbicacionHidden" value="${listaUbicacion.idLocalidad}"/>
							</c:if>
							<select name="idLocalidadUbicacion" id="idLocalidadUbicacion" class="form-control"></select>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-5 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.direccion"/></label>
							<input type="text" name="direccionUbicacion" id="direccionUbicacion" class="form-control" value="${listaUbicacion.direccion}"  maxlength="100"></input>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.numero"/></label>
							<input type="text" name="numeroUbicacion" class="form-control" value="${listaUbicacion.numero}" maxlength="60"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.escalera"/></label>
							<input type="text" name="escaleraUbicacion" class="form-control" value="${listaUbicacion.escalera}" maxlength="5"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.piso"/></label>
							<input type="text" name="pisoUbicacion" class="form-control" value="${listaUbicacion.piso}" maxlength="20"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.letra"/></label>
							<input type="text" name="letraUbicacion" class="form-control" value="${listaUbicacion.letra}" maxlength="20"/>
						</div>
						<div class="col-xs-1 form-group">
							<label><spring:message code="fexpediente.datos.ubicacionInversion.codigoPostal"/></label>
							<input type="text" name="codigoPostalUbicacion" class="form-control" value="${listaUbicacion.codigoPostal}" maxlength="20"/>
						</div>
					</div>
				</div>
		
							
				<h1 class="divRepresentanteLegal"><a><spring:message code="fexpediente.datos.representanteLegal"/></a></h1>
				<div class="form-group accordion_height_auto divRepresentanteLegal">
					<button type="button" class="btn btn-default input-btn-fontSize15 right" id="addRepresentanteLegal" type="button" name="addRepresentanteLegal" data-placement="bottom" data-toggle="modal" data-target="#myModal" >
						<i aria-hidden="true" class="fa fa-file-o"></i>
					</button>
					<div class="quitarPunto">
						<ul class="quitarPunto">
							<c:forEach items="${listaBBDD}" var="listBBDD">
								<c:if test="${listBBDD.idTipoTercero == REPRESENTANTE_LEGAL}">
									<c:forEach items="${listBBDD.datosTercerosList}" var="listaPersonasBBDDD">
										<li>
											<div class="input-group">	
										
												<c:choose> 
		    										<c:when test="${!empty listaPersonasBBDDD.documento}"> 	
														<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento} - ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/> 
													</c:when>
													<c:otherwise> 
													 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento}  ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/> 
													</c:otherwise>
												</c:choose>						 							
												
												<input type="hidden" id="idSolicitanteTercero" value="${listaPersonasBBDDD.idTercero}" />
												<span class="input-group-btn">
													<button class="btn btn-default btnVerDatosRepresentanteLegal botonCompartir input-btn-fontSize15" id="RLEGAL_${listaPersonasBBDDD.idTercero}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}"  data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
												</span>
												<span class="input-group-btn">
													<button class="btn btn-default btnVerDatosPersonasContacto botonEliminarRepresentanteLegal input-btn-fontSize15" id="rLegalEliminar" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}"  data-placement="bottom" data-toggle="modal" data-target="#myModal"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
												</span>
											</div>
										</li>
									</c:forEach>	
								</c:if>			
							</c:forEach>
						</ul>	
					</div>
				</div>
				
				<h1 class="divPersonasContacto"><a><spring:message code="fexpediente.datos.personasContacto"/></a></h1>
				<div class="form-group accordion_height_auto divPersonasContacto">
					<button type="button" class="btn btn-default input-btn-fontSize15 right" id="addPersonaContacto" type="button" name="addPersonaContacto" data-placement="bottom" data-toggle="modal" data-target="#myModal" >
						<i aria-hidden="true" class="fa fa-file-o"></i>
					</button>
					<div class="quitarPunto">
						<ul class="quitarPunto">
							<c:forEach items="${listaBBDD}" var="listBBDD">
								<c:if test="${listBBDD.idTipoTercero == PERSONA_CONTACTO}">
									<c:forEach items="${listBBDD.datosTercerosList}" var="listaPersonasBBDDD">
										<li>
											<div class="input-group">	
											
												<c:choose> 
		    										<c:when test="${!empty listaPersonasBBDDD.documento}"> 	
														<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento} - ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/> 
													</c:when>
													<c:otherwise> 
													 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonasBBDDD.documento}  ${listaPersonasBBDDD.nombre} ${listaPersonasBBDDD.apellido1} ${listaPersonasBBDDD.apellido2}"/> 
													</c:otherwise>
												</c:choose>	
																	 							
												<span class="input-group-btn">
													<button class="btn btn-default btnVerDatosPersonasContacto botonCompartir input-btn-fontSize15" id="PERSONASCONTACTO_${listaPersonasBBDDD.idTercero}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}" name="tercero" data-placement="bottom" data-toggle="modal" data-target="#myModal" title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
												</span>	
												<span class="input-group-btn">
													<button class="btn btn-default btnVerDatosPersonasContacto botonEliminarPersonasContacto input-btn-fontSize15" id="personaContactoEliminar" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonasBBDDD.idTercero}"  data-placement="bottom" data-toggle="modal" data-target="#myModal"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
												</span>
											</div>
										</li>
									</c:forEach>	
								</c:if>			
							</c:forEach>
						</ul>	
					</div>
				</div>
				
				<h1 class="divComunidadBienes"><a><spring:message code="fexpediente.datos.comunidadBienes"/></a></h1>
				<div class="form-group accordion_height_auto divComunidadBienes">
					<button type="button" class="btn btn-default input-btn-fontSize15 right" id="addComunidadBienes" type="button" >
						<i aria-hidden="true" class="fa fa-file-o"></i>
					</button>
					<c:if test="${not empty  txtComunidadBienes}">
						<div class="quitarPunto">
							<ul class="quitarPunto" >
								<c:forEach items="${txtComunidadBienes}" var="dataComunidadBienes">
									<li>
										<div class="input-group">									
									        <input type="text" class="form-control" id="${dataComunidadBienes.idParticipante}"  readonly="readonly" value="${dataComunidadBienes.numero}  ${dataComunidadBienes.nombre} ${dataComunidadBienes.apellido1} ${dataComunidadBienes.apellido2}" />
											<span class="input-group-btn">
												<button  class="btn btn-default btnVerDatosComunidadBienes input-btn-fontSize15 botonComunidadBienes" name="${dataComunidadBienes.idParticipante}" type="button" ><i class="fa fa-edit" aria-hidden="true" ></i></button>
											</span>
											<span class="input-group-btn">
												<button class="btn btn-default btnVerDatosComunidadBienesEliminar input-btn-fontSize15"  name="${dataComunidadBienes.idParticipante}" type="button" ><i class="fa fa-trash-o" aria-hidden="true" ></i></button>
											</span>
										</div>													
									</li>										 
								</c:forEach>
							</ul>	
						</div>
					</c:if>
				</div>
				
			    <h1 class="divRequisitos"><a><spring:message code="fexpediente.datos.requisitos"/></a></h1>
				<div class="form-group accordion_height_auto divRequisitos">
					<c:set var="CHECKEADO" value="<%=Constantes.REQUISITO_CHECKEADO%>" />
					<div class="row">
							<div class="col-xs-2 form-group">
								<div class="movchekbox checkbox">
									<c:set var="checkeadoTitulacion" value=""/>
									<c:set var="checkeadoEuskera" value=""/>
									<c:set var="checkeadoEdad" value=""/>
										<c:if test="${not empty txtRequisitos}">
											<input type="hidden" name="idPuntuacion" value="${txtRequisitos.idPuntuacion}"/> 
											<c:if test="${txtRequisitos.requisitoTitulacion == CHECKEADO}">
												<c:set var="checkeadoTitulacion" value="checked"/>
											</c:if>
											<c:if test="${txtRequisitos.requisitoEuskera == CHECKEADO}">
												<c:set var="checkeadoEuskera" value="checked"/>
											</c:if>
											<c:if test="${txtRequisitos.requisitoEdad == CHECKEADO}">
												<c:set var="checkeadoEdad" value="checked"/>
											</c:if>
										</c:if>
										<input type="checkbox" name="requisitoTitulacion" id="requisitoTitulacion" class="criterioschecked" value="${txtRequisitos.requisitoTitulacion}"  ${checkeadoTitulacion}/><label><spring:message code="fexpediente.datos.requisitos.titulacion"/></label><br>
										<input type="checkbox" name="requisitoEuskera" id="requisitoEuskera" class="criterioschecked" value="${txtRequisitos.requisitoEuskera}"  ${checkeadoEuskera}/><label><spring:message code="fexpediente.datos.requisitos.euskera"/></label><br>
										<input type="checkbox" name="requisitoEdad" id="requisitoEdad" class="criterioschecked" value="${txtRequisitos.requisitoEdad}"  ${checkeadoEdad}/><label><spring:message code="fexpediente.datos.requisitos.edad"/></label>	
								</div>								
							</div>
					</div>
				</div>
			</div>
		</form>
	</div>	 				
</section>
<div id="space"></div>


<div id="myModal" class="modal fade" role="dialog" title='<spring:message code="fexpediente.datos.datosContacto.titulo"/>'>
	 <div class="modal-dialog modal-lg">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			</div>
			<div class="modal-body">
				<div id="map-canvas-modal"  ></div>
	  			<iframe src=""  width="100%" height="200px" frameborder="0" scrolling="no" name="modalFrame" id="modalFrame"></iframe>	  			
			</div>
		</div>
	</div>
</div> 

<div id="modalDatosComunidadBienes" class="ocultar" title='<spring:message code="fexpediente.datos.comunidadBienes.titulo"/>'>
	<form  id="formParticipantes" action=""  class="form-horizontal">
		<div id="feedbackMensajesParticipantes"></div>
		<input type="hidden" class="form-control" readonly="readonly" name="idParticipante" />
		<input type="hidden" name="idTercero" id="idTercero" value="${idTercero}"/>
			<input type="hidden" name="idParticipante" />
		<div class="row">
			<div class="col-xs-4 form-group">
			  <label for="idTipoDocumento"><spring:message code="fexpediente.datos.comunidadBienes.tipoDocumento"/></label>
			  <select class="form-control" id="idComboTipoDocumento" name="idTipoDocumento" required="required"></select>
			</div>		
			<div class="col-xs-4 form-group">
			  <label for="numero"><spring:message code="fexpediente.datos.comunidadBienes.numero"/></label>
			  <input type="text" class="form-control" id="numero" name="numero" required="required"/>
			</div>
	    </div>
		<div class="row">
			<div class="col-xs-4 form-group">
			  <label for="nombre"><spring:message code="fexpediente.datos.comunidadBienes.nombre"/></label>
			  <input type="text" class="form-control"  name="nombre" id="nombre" required="required"/>
			</div>												
			<div class="col-xs-4 form-group" id= "apellido1Div">
				  <label for="apellido1"><spring:message code="fexpediente.datos.comunidadBienes.apellido1"/></label>
				  <input type="text" class="form-control" name="apellido1"  id="apellido1" required="required"/>
			</div>											
			<div class="col-xs-4 form-group" id= "apellido2Div">
				  <label for="apellido2"><spring:message code="fexpediente.datos.comunidadBienes.apellido2"/></label>
				  <input type="text" class="form-control" name="apellido2" id="apellido2" required="required"/>
			</div>												
		</div>	 
		<div class="row">
			<div class="col-xs-4 form-group" id= "sexoDiv">
			  <label for="idSexo"><spring:message code="fexpediente.datos.comunidadBienes.sexo"/></label>
			  <select class="form-control" id="idComboSexo" name="idSexo" required="required"> </select>
			</div>		
			<div class="col-xs-4 form-group" id= "porcentajeParticipacionDiv">
			  <label for="porcentajeParticipacion"><spring:message code="fexpediente.datos.comunidadBienes.porcentajeParticipacion"/></label>
			  <input type="text" class="form-control" name="porcentajeParticipacionMask" id="porcentajeParticipacionMask" required="required" onchange="javascript:formatearNumero(this);"/>
			  <input type="hidden" name="porcentajeParticipacion" id="porcentajeParticipacion" class="form-control" />
			</div>						
		</div>							 		
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="btnGuardar" type="button" class="btn btn-primary"><spring:message code="save" /></button>
				<a href="#" role="button" id="btnCerrar" class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			</div>
		</div>	
	</form>
</div>			