<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>

<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../../pestanas.jsp" />		
		
	</div>
</section>

<span id="tipoInspeccion" hidden>1</span>

<section>
<c:set var="IDSOLICITANTE" value="<%=Constantes.IDSOLICITANTE%>" />
<div class="container">	
	<div id="id_capa"></div>
		<form:form class="form-horizontal" modelAttribute="datosExpediente" id="formDatosExpdiente" method="post">
			<c:if test="${!empty datosExpediente}">
				<form:input type="hidden" path="idProyectoExpediente" />
				 <form:input type="hidden" path="idExpediente" />
				 <form:input type="hidden" path="expedienteValidado" />
				 <form:input type="hidden" path= "proyectos.solicitantes.idSolicitante" class="solicitanteIdSolicitante"/>
			
			</c:if>

			<!-- Incluimos la jsp que contiene la parte "Datos de la ayuda" que es comun a todas las ayudas -->
			<jsp:include page="../datosCalculo.jsp" />
			
			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloProyecto"/></legend>
				<div class="row">
					<div class="col-xs-12 form-group">
						<c:choose>
						    <c:when test="${lenguaje =='es'}">						
								<form:label  path="proyectos.solicitantes.descripcionCastellano"><spring:message code="fexpediente.form.beneficiario"/></form:label>
								<form:input type="text" path="proyectos.solicitantes.descripcionCastellano" readonly="true"  class="form-control" />
						    </c:when>
						    <c:otherwise>
						     	<form:label  path="proyectos.solicitantes.descripcionEuskera"><spring:message code="fexpediente.form.beneficiario"/></form:label>
								<form:input type="text" path="proyectos.solicitantes.descripcionEuskera" readonly="true"  class="form-control" />
						    </c:otherwise>
						</c:choose>		
					</div>
					<c:if test="${datosExpediente.proyectos.solicitantes.idSolicitante == IDSOLICITANTE}">
						<div class="col-xs-6 form-group">
							<form:label path="proyectos.asociacionesSectoriales.idAsociacion"><spring:message code="fexpediente.form.asociacionSectorial"/></form:label>
							<select class="form-control" id="comboAsociacion" /></select>
							<form:input type="hidden" path="proyectos.asociacionesSectoriales.idAsociacion" class="idAsociacionSectorial"  />
						</div>
					</c:if>			
				</div>
				
				<div class="panel panel-default">
				<div class="panel-heading " ><spring:message code="fexpediente.form.inversion"/></div>
					
					<div id="DatosPrueba_div" class="rup-table-container miocontainer">	
					<div id="DatosPrueba_feedback"></div>						<!-- Feedback de la tabla --> 
						<div id="DatosPrueba_toolbar" class="mitoolbar clearfix">
							<div class="divToolbarTable">
								<c:choose>
									<c:when test="${datosExpediente.expedienteValidado =='0'}">						
										<button class="btn btn-default btn-circle" id="btnEdit" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonEditar"/>'><i class="fa fa-pencil" aria-hidden="true"></i></button>
									</c:when>
									<c:otherwise>
										<button class="btn btn-default btn-circle" id="btnEdit" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonEditar"/>'><i class="fa fa-eye" aria-hidden="true"></i></button>
									</c:otherwise>
								</c:choose>
							</div>
						</div>
						<!--  Botonera de la tabla -->					
						<div id="DatosPrueba_grid_div">
							<!-- Tabla -->
							<table id="DatosPrueba"></table>
							<!-- Barra de paginación -->
							<div id="DatosPrueba_pager" class="hidden"></div>
						</div>
					</div>
				</div>
			</fieldset>
			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloIncremento"/></legend>
				<div class="panel panel-default">
					<div class="movchekbox checkbox">
						<c:set var="checkeado" value=""/>
							<c:if test="${not empty listaIdsCriterios}">
								<c:set var="checkeado" value="checked"/>
							</c:if>
						<input type="checkbox" name="criterios[]" class="criterioschecked" value="${datosExpediente.criteriosPuntuacion.idCriterio}"  ${checkeado}/>
						 <label class="criterios">
							  <c:choose>
								    <c:when test="${lenguaje =='es'}">						
										  ${datosExpediente.criteriosPuntuacion.criPunCastellano}
								    </c:when>
								    <c:otherwise>
								     	 ${datosExpediente.criteriosPuntuacion.criPunEuskera}
								    </c:otherwise>
							</c:choose>
						</label>		
					</div>								
				</div>
			</fieldset>
			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesCastellano" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesEuskera" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<form:input type="hidden" path="bandera"  value="0"/>
		</form:form>
	</div>
</section>

	

	