<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../../pestanas.jsp" />		
		
	</div>
</section>
<section>

<span id="tipoInspeccion" hidden>1</span>

<div class="container">	
	<input type="hidden" id="folderId" value= "${folderId}"/>
	
	<div id="id_capa"></div>
		<form:form class="form-horizontal" modelAttribute="datosExpediente" id="formDatosExpdiente" method="post">
		<c:if test="${!empty datosExpediente}">
			<form:input type="hidden" path="idProyectoExpediente" />
			 <form:input type="hidden" path="idExpediente" />
			 <form:input type="hidden" path="expedienteValidado" />
		
		</c:if>

			<!-- Incluimos la jsp que contiene la parte "Datos de la ayuda" que es comun a todas las ayudas -->
			<jsp:include page="../datosCalculo.jsp" />
			
			<fieldset>
			
			<legend><spring:message code="fexpediente.form.tituloProyecto"/></legend>
			<div class="panel panel-default">
			<div class="panel-heading " ><spring:message code="fexpediente.form.inversion"/></div>
				<div id="DatosPrueba_div" class="rup-table-container miocontainer">	
					<div id="DatosPrueba_feedback"></div>						<!-- Feedback de la tabla --> 
					<div id="DatosPrueba_toolbar" class="mitoolbar clearfix">
						 <div class="divToolbarTable">
							<c:choose>
								<c:when test="${datosExpediente.expedienteValidado =='0'}">						
									<button class="btn btn-default btn-circle" id="btnEdit" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonEditar"/>'><i class="fa fa-pencil" aria-hidden="true"></i></button>
								</c:when>
								<c:otherwise>
									<button class="btn btn-default btn-circle" id="btnEdit" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonEditar"/>'><i class="fa fa-eye" aria-hidden="true"></i></button>
								</c:otherwise>
							</c:choose>
						</div>
					</div>
				<!-- Botonera de la tabla -->
					<div id="DatosPrueba_grid_div">
						<!-- Tabla -->
						<table id="DatosPrueba"></table>
						<!-- Barra de paginación -->
						<div id="DatosPrueba_pager" class="hidden"></div>
					</div>
				</div>
			</div>
		
			
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesCastellano" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesEuskera" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<form:input type="hidden" path="bandera"  value="0"/>
		</form:form>
	</div>
</section>