<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../../pestanas.jsp" />
		
	</div>
</section>
<section>

<div class="container">	
	<input type="hidden" id="folderId" value= "${folderId}"/>
	<div id="id_capa"></div>
		<form:form class="form-horizontal" modelAttribute="datosExpediente" id="formDatosExpdiente" method="post">
			<input type="hidden" id="idPoblacionHidden" value="" />
			<input type="hidden" id="idHorarioHidden" value="" />
			<form:input type="hidden" path="datosTerOmic.idDatosOmic" id="idDatosOmic"/>
			<c:if test="${!empty datosExpediente}">
				<form:input type="hidden" path="idProyectoExpediente" />
				 <form:input type="hidden" path="idExpediente" />
				 <form:input type="hidden" path="expedienteValidado" />
				
			</c:if>

			<!-- Incluimos la jsp que contiene la parte "Datos de la ayuda" que es comun a todas las ayudas -->
			<jsp:include page="../datosCalculo.jsp" />
			
			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloProyecto"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
					<div class="row">
					<div class="col-xs-12 form-group">
							<div id="DatosPruebaOMIC_div" class="rup-table-container">	
								<div id="DatosPruebaOMIC_feedback" class="hidden"></div>						
								<!-- Feedback de la tabla --> 
								<div id="DatosPruebaOMIC_toolbar" class="mitoolbar clearfix"></div>
								<!-- Botonera de la tabla -->
								<div id="DatosPruebaOMIC_grid_div">
									<!-- Tabla -->
									<table id="DatosPruebaOMIC"></table>
									<!-- Barra de paginación -->
									<div id="DatosPruebaOMIC_pager" class="hidden"></div>
								</div>
							</div>
						</div>
						</div>
							<div class="row">
								<div class="col-xs-3 form-group">
									<label for="numeroReclamaciones" ><spring:message code="fexpediente.numeroReclamaciones"/></label>  
									<form:input type="number"  id="numReclamaciones" path="datosTerOmic.numeroReclamaciones" class="form-control" max="9999" min="1" />
								</div>
							
							
								<div class="col-xs-3 form-group">
									<label for="numConsultas" ><spring:message code="fexpediente.numeroConsultas"/></label>  
									<form:input type="number" id="numConsultas" path="datosTerOmic.numeroConsultas" class="form-control" max="9999" min="1"/>
								</div>

								<div class="col-xs-3 form-group">
									<label for="numInspecciones" ><spring:message code="fexpediente.numeroInspecciones"/></label>  
									<form:input type="number" id="numInspecciones" path="datosTerOmic.numeroInspecciones" class="form-control" max="9999" min="1" />
								</div>
							</div>
						
							<div class="row">
								<div class="col-xs-4 form-group">
									<label for="comboPoblacion" ><spring:message code="fexpediente.poblacion"/></label>
							   		<select class="form-control" name="comboPoblacion" id="comboPoblacion" required/></select>
							    	<form:input type="hidden" path="datosTerOmic.idPoblacion" class="idPoblacion" />
								</div>
								<div class="col-xs-5 form-group">
									<label for="comboHorario" ><spring:message code="fexpediente.horario"/></label>
							   		<select class="form-control" name="comboHorario" id="comboHorario" class="disabled" required/></select>
							    	<form:input type="hidden" path="datosTerOmic.idHorario" class="idHorario"/>
								</div>
							</div>
				</div>
				</div>
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesCastellano" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesEuskera" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<form:input type="hidden" path="bandera"  value="0"/>
		</form:form>
	</div>
</section>	