<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">	
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../../pestanas.jsp" />		
		
	</div>
</section>
<section>

<span id="tipoInspeccion" hidden>1</span>

<div class="container">	
	<input type="hidden" id="folderId" value= "${folderId}"/>
	
	<div id="id_capa"></div>
		<form:form class="form-horizontal" modelAttribute="datosExpediente" id="formDatosExpdiente" method="post">
		<c:if test="${!empty datosExpediente}">
			<form:input type="hidden" path="idProyectoExpediente" />
			 <form:input type="hidden" path="idExpediente" />
			 <form:input type="hidden" path="expedienteValidado" />
			 <input type="hidden" id="existe_Pertenencia_Redes"/>
			 
		</c:if>

			<!-- Incluimos la jsp que contiene la parte "Datos de la ayuda" que es comun a todas las ayudas -->
			<jsp:include page="../datosCalculo.jsp" />
			
			<fieldset>
				<legend><spring:message code="fexpediente.form.tituloProyecto"/></legend>
				<div class="panel panel-default">
				<div class="panel-heading " ><spring:message code="fexpediente.form.inversion"/></div>
					<div id="DatosPrueba_div" class="rup-table-container miocontainer">	
						<div id="DatosPrueba_feedback"></div>						<!-- Feedback de la tabla --> 
						<div id="DatosPrueba_toolbar" class="mitoolbar clearfix">
							<!--<button class="btn btn-default btn-circle" id="btnEdit" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fexpediente.form.botonEditar"/>'><i class="fa fa-pencil" aria-hidden="true"></i></button>-->
						</div>
					<!-- Botonera de la tabla -->
						<div id="DatosPrueba_grid_div">
							<!-- Tabla -->
							<table id="DatosPrueba"></table>
							<!-- Barra de paginación -->
							<div id="DatosPrueba_pager" class="hidden"></div>
						</div>
					</div>
				</div>
			</fieldset>
			<fieldset>
					<legend><spring:message code="fexpediente.form.tituloObservaciones"/></legend>
						<div class="panel panel-default">
							<div class="panel-body">
								<div class="row">
									<div class="col-xs-12 form-group">
										<form:textarea class="form-control" path="observacionesCastellano" id="observacionesCast" rows="4" maxlength="2000" ></form:textarea>
									</div>
								</div>
							</div>							
						</div>							
			</fieldset>
			<fieldset>
			<legend><spring:message code="fexpediente.form.tituloObservacionesEuskera"/></legend>
				<div class="panel panel-default">
					<div class="panel-body">
							<div class="row">
								<div class="col-xs-12 form-group">
									<form:textarea class="form-control" path="observacionesEuskera" id="observacionesEusk" rows="4" maxlength="2000" ></form:textarea>
								</div>
							</div>
						</div>	
				</div>
			</fieldset>
			<form:input type="hidden" path="bandera"  value="0"/>
		</form:form>
	</div>
	<div id="DatosPrueba_detail_div"	class="rup-table-formEdit-detail modal-lg">
		<div id="DatosPrueba_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="DatosPrueba_detail_form">
			<!--<div id="DatosPrueba_detail_feedback"></div>	-->			
	        	<div class="row alta">
					<div class="col-xs-6 form-group">
						<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.tipo"/></label>
						<select class="form-control" id="comboAccionSubvencionablePadre" name="actSubvencionable.identificadores" /></select>	
												
					</div>
					<div class="col-xs-6 form-group">
						<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.tipo"/></label>
						<select class="form-control" id="comboAccionSubvencionableHijo" name="" /></select>
						
					</div>
				</div>	
				<input type="hidden"  id="idActSubAgrupacion" name="idActSubAgrupacion"/>
				<input type="hidden"  id="idActSubPadreAgrupacion" name="idActSubPadreAgrupacion"/>
				<input type="hidden"  id="idActSub" name="idActSub"/>
				<input type="hidden"  id="idActSubPadre" name="idActSubPadre"/>
				<input type="hidden" id="idRelExpActSub" name="idRelExpActSub"/>
				
				
				<div class="row">
					<div class="col-xs-12 form-group">
						<span id="descripcionConcepto" class="tituloActuacion bold"></span>
					</div>
				</div>
				<div id="denegarMinorar">				
					<div class="row">
						<div class="col-xs-6 form-group">
							<div class="panel panel-default">
								<div class="movchekbox checkbox">
									<input type="checkbox" id="checkboxDenegacion"/>
									<label id="CheckDenegacion" for="checkbox1" class="bold"><spring:message code="formRelExpActSub.denegar"/></label>	
								</div>
								<div class="movchekcombo">
									<label><spring:message code="formRelExpActSub.denegacion"/></label>
									<select class="form-control" id="comboDenegacion" name="comboDenegacion"></select>
								</div>
								<div id="space"></div>
							</div>
						</div>
						<div class="col-xs-6 form-group">
				 			<div class="panel panel-default">
						 		<div class="movchekbox checkbox">	
				 					<input type="checkbox" id="checkboxMinoracion" />
					 				<label id="CheckMinoracion" for="checkbox2" class="bold"><spring:message code="formRelExpActSub.minorar"/></label>
								</div>
								<div class="movchekcombo">
									<label><spring:message code="formRelExpActSub.minoracion"/></label>
									<select class="form-control" id="comboMinoracion"  name="comboMinoracion" ></select>	
								</div>
								<div id="space"></div>
							</div>
						</div>
					</div>
				</div>
				
				<!-- Parte comun (ombo sexo y modalidad de contrato)-->
				<div id="comun">
					<div class="row">
						<div class="col-xs-4 form-group">
							<label class="required"><spring:message code="fexpediente.formContratacionesPersonal.nombre" /></label> 
							<input type="text" class="form-control" name="contratacionesPersonal.nombre" id="nombre" maxlength="260" />							
						</div>
						<div class="col-xs-4 form-group">
							<label class="required"><spring:message
									code="fexpediente.formContratacionesPersonal.primerApellido" /></label>
							<input type="text" class="form-control" name="contratacionesPersonal.apellido1"
								id="apellido1" maxlength="260" />
						</div>
						<div class="col-xs-4 form-group">
							<label><spring:message
									code="fexpediente.formContratacionesPersonal.segundoApellido" /></label>
							<input type="text" class="form-control" name="contratacionesPersonal.apellido2"
								id="apellido2" maxlength="260" />
						</div>
					</div>
					<div class="row">
						<div class="col-xs-4 form-group">
							<label class="required" for="contratacionesPersonal.idSexo"><spring:message	code="fexpediente.formContratacionesPersonal.sexo" /></label> 
							<select class="form-control" id="comboSexo" name = "comboSexo" /></select> 
							<input type="hidden" name="contratacionesPersonal.idSexo" id="idSexo" />
						</div>
						<div class="col-xs-4 form-group">
							<label class="required" for="contratacionesPersonal.idModalidadContrato"><spring:message code="fexpediente.formContratacionesPersonal.modalidadContrato" /></label> 
							<select class="form-control" id="comboModalidadContrato" name = "comboModalidadContrato" /></select> 
							<input	type="hidden" name="contratacionesPersonal.idModalidadContrato" id="idModalidadContrato" />
						</div>
						<div id="empresaContratadaDIV" class="col-xs-8 form-group">
							<label><spring:message
									code="fexpediente.formContratacionesPersonal.empresaContratada" /></label>
							<input type="text" name="contratacionesPersonal.empresaContratada" id="empresaContratada"
								class="form-control" maxlength="100" />
						</div>
					</div>
				</div>
				<!-- ID_AGRUPACION_PTT_Contratacion_Temporal -->
				<div id="contratacionesPersonal">					
					<div class="row">
						<div class="col-xs-8 form-group">
							<label class="required"><spring:message
									code="fexpediente.formContratacionesPersonal.periodoContratacion" /></label>
							<input type="text" class="form-control" name="contratacionesPersonal.periodoContratacion" id="periodoContratacion" maxlength="100" />
							<input type="hidden" class="form-control" name="contratacionesPersonal.idContratacionPersonal" />
						</div>
					</div>
				</div>
				<!-- ID_AGRUPACION_PTT_Gastos_Creacion -->
				<div id="gastosTuristicos">
					<div class="row">
						<div class="col-xs-6 form-group">
							<label class="required"><spring:message code="formRelExpActSub.gastosTuristicos.denominacion"/></label>
							<input type="text" class="form-control" name="gastosTuristicos.denominacion" id="denominacionGT" maxlength="100"></input>
							<input type="hidden" class="form-control" name="gastosTuristicos.idGastosTuristicos" id="idGastosTuristicos"  maxlength="100"/>
						</div>
						<div class="movchekcombo col-xs-6 form-group">
							<label class="required" for="productosTuristicos.idProductoTuristico"><spring:message code="formRelExpActSub.productosTuristicos.idProductoTuristico"/></label>
							<select class="form-control" id="comboProductoTuristicos" name = "comboProductoTuristicos" /></select>
							<input type="hidden"  name="productosTuristicos.idProductoTuristico" id="idProductoTuristico"/>
						</div>
					</div> 
					<div id="gastosTuristicosTabla">
						<fieldset>
							<div class="panel panel-default">
							<div class="panel-heading "><spring:message code="fexpediente.formConceptos.tituloConceptos"/></div>
								<div id="ConceptosTabla15_div" class="rup-table-container miocontainer">
									<div id="ConceptosTabla15_feedback"></div>
									<!-- Feedback de la tabla -->
									<div id="ConceptosTabla15_toolbar" class="mitoolbar clearfix"></div>
									<!--  Botonera de la tabla -->
									<div id="ConceptosTabla15_grid_div">
										<!-- Tabla -->
										<table id="ConceptosTabla15"></table>
										<!-- Barra de paginaci�n -->
									 <div id="ConceptosTabla15_pager" class="hidden"></div>
									</div>
								</div>
							</div>	
						</fieldset>
					</div>
				</div>
		
				<div id="personasContratadas">					
					<div id="space"></div>
					<input type="hidden" class="form-control" name="personasContratadas.idPersonaContratada" />
					<div class="row">
						<div class="col-xs-8 form-group">
							<label ><big><spring:message code="fexpediente.formPersonasContratadas.tituloDatosAyuda" /></big></label> 
						</div>
						<div class="col-xs-8 form-group">
							<label id="ciclos1"><spring:message code="fexpediente.formPersonasContratadas.ciclosFormativosIgInf" /></label> 
						</div>
						
						<div class="col-xs-6 form-group">
					      	<label id="numEmpresasEntidadesText" class="required"><spring:message code="fexpediente.formPersonasContratadas.numEmpresas" /></label>
							<input type="text" class="form-control" name="personasContratadas.nempresasN1" id="NEmpresasN1PC16" maxlength="3" />
						</div>
						<div class="col-xs-6 form-group">
							<label class="required"><spring:message code="fexpediente.formPersonasContratadas.totHorasSubvencionables" /></label>
							<input type="text" class="form-control" name="personasContratadas.horasSubvencionablesN1" id="horasSubvencionablesN1PC16" maxlength="5" />
						</div>
					</div>
					<div id="space"></div>
					<div class="row">
						<div class="col-xs-12 form-group">
							<label id="ciclos2"><spring:message code="fexpediente.formPersonasContratadas.ciclosFormativosIgSup" /></label> 
						</div>
						<div class="col-xs-6 form-group">
							<label  id="ciclos3" class="required"><spring:message code="fexpediente.formPersonasContratadas.numEmpresas" /></label>
							<input type="text" class="form-control" name="personasContratadas.nempresasN2" id="NEmpresasN2PC16" maxlength="3" />
						</div>
						<div class="col-xs-6 form-group">
							<label  id="ciclos4" class="required"><spring:message code="fexpediente.formPersonasContratadas.totHorasSubvencionables" /></label>
							<input type="text" class="form-control" name="personasContratadas.horasSubvencionablesN2" id="horasSubvencionablesN2PC16" maxlength="5" />
						</div>						
					</div>
					<div class="row">
						<div class="col-xs-6 form-group">
							<label class="required"><spring:message code="fexpediente.formPersonasContratadas.costeHoraContratada" /></label>
							<input type="text" class="form-control" name="personasContratadas.costeHoraContratadaMask" id="costeHoraContratadaPC16Mask"  maxlength="16"   onchange="javascript:formatearNumero(this);"/>
							<input type="hidden" name="personasContratadas.costeHoraContratada" id="costeHoraContratadaPC16" />
						</div>
						<div class="col-xs-6 form-group">
							<label class="required"><spring:message code="fexpediente.formPersonasContratadas.costeHoraSubvencionable" /></label>
							<input type="text" class="form-control" name="personasContratadas.costeHoraSubvencionableMask" id="costeHoraSubvencionablePC16Mask"  readonly onchange="javascript:formatearNumero(this);"/>
							<input type="hidden" name="personasContratadas.costeHoraSubvencionable" id="costeHoraSubvencionablePC16" />
						</div>
					</div>					
				</div>
				<!-- ID_AGRUPACION_PTT_Pertenencia_Redes -->
				<div id="redes">
					<div class="row">
						<div class="col-xs-12 form-group">
							<label class="required"><spring:message code="formRelExpActSub.pertenenciasRedes.denominacion" /></label>
							<input type="text" class="form-control" name="pertenenciasRedes.denominacion" id="denominacionRedes"  maxlength="100"/>
							<input type="hidden" class="form-control" name="pertenenciasRedes.idPertenenciaRedes" id="idPertenenciaRedes"  maxlength="100"/>
						</div>						
					</div>	
					<fieldset>
						<div class="panel panel-default">
						<div class="panel-heading "><spring:message code="fexpediente.formConceptos.tituloConceptos"/></div>
							<div id="ConceptosTabla_div" class="rup-table-container miocontainer">
								<div id="ConceptosTabla_feedback"></div>
								<!-- Feedback de la tabla -->
								<div id="ConceptosTabla_toolbar" class="mitoolbar clearfix"></div>
								<!--  Botonera de la tabla -->
								<div id="ConceptosTabla_grid_div">
									<!-- Tabla -->
									<table id="ConceptosTabla"></table>
									<!-- Barra de paginaci�n -->
								 <div id="ConceptosTabla_pager" class="hidden"></div>
								</div>
							</div>
						</div>	
					</fieldset>
				</div>
				
				
				<div id="space"></div>
				<!-- Parte comun (inspeccionable, importes y observaciones)-->
				<div id="importesInspeccionable">
					<div class="row">
						<div class="col-xs-6 form-group">
							<label class="required"><spring:message code="formRelExpActSub.importePresentado" /></label> 
							<input type="text" name="importePresentadoMask" id="importePresentadoMask" class="form-control" onchange="javascript:formatearNumero(this);" /> 
							<input type="hidden" class="form-control" name="importePresentado" id="importePresentado" />
						</div>
						<div class="col-xs-6 form-group">
							<label><spring:message code="formRelExpActSub.importeAdmitido" /></label>
							<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMask" class="form-control" onchange="javascript:formatearNumero(this);" /> 
							<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitido" />
						</div>
					</div>
				</div>
				<div id="ayudaConcedidaDiv">
					<div class="row">
						<div class="col-xs-6 form-group">
							<label class="required"><spring:message code="formRelExpActSub.ayudaConcedida" /></label> 
							<input type="text" name="ayudaConcedidaMask" id="ayudaConcedidaMask" class="form-control" onchange="javascript:formatearNumero(this);" /> 
							<input type="hidden" class="form-control" name="ayudaConcedida" id="ayudaConcedida" />
						</div>
					</div>
				</div>
				<div id="importesInspeccionableCheck">
					<c:if test="${initForm.inspeccionable != 0}">
						<div class="row">
							<div class="col-xs-4 form-group">
								<div class="checkbox">
									<input type="checkbox" id="checkInspeccionable" name="inspeccionable" value="1" /> 
									<label for="checkInspeccionable" class="bold"><b><spring:message code="formRelExpActSub.inspeccionable" /></b></label>
								</div>
							</div>
						</div>
					</c:if>
				</div>
				<div id="observacionesNotas">
					<div class="row">
						<div class="col-xs-6 form-group">
							<label><spring:message code="formRelExpActSub.obesrvacionesCastellano" /></label>
							<textarea class="form-control" name="observacionesCastellano" id="observacionesCastellano" rows="4" maxlength="2000"></textarea>
						</div>
						<div class="col-xs-6 form-group">
							<label><spring:message code="formRelExpActSub.obesrvacionesEuskera" /></label>
							<textarea class="form-control" name="observacionesEuskera" id="observacionesEuskera" rows="4" maxlength="2000"></textarea>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-12 form-group">
							<label><spring:message code="fexpediente.formConceptos.tituloNotas" /></label>
							<textarea class="form-control" name="notas" id="notas" rows="4" maxlength="2000"></textarea>
						</div>
						
					</div>
				</div>	
					
			</form>
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			
			<button id="DatosPrueba_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" 
					id="DatosPrueba_detail_link_cancel" class="rup-enlaceCancelar"><spring:message
						code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
	
	<div id="ConceptosTabla_detail_div"	class="rup-table-formEdit-detail modal-lg">
		<div id="ConceptosTabla_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="ConceptosTabla_detail_form">		
				<!--<div id="ConceptosTabla_detail_feedback"></div>	-->
				<!-- Campos del formulario de detalle -->
				<input type="hidden" name="idConcepto" id="idConcepto" />
				<input type="hidden" id="idRelExpActSubConceptos" name="idRelExpActSub"/>				
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="fexpediente.formConceptos.descripcionGasto"/></label> 
						<input type="text" class="form-control"	name="concepto" id="concepto" maxlength="300"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-5 form-group">
						<label class="required"><spring:message code="fexpediente.formConceptos.importePresentado"/></label> 
						<input type="text" name="importePresentadoMask"  id="importePresentadoMaskDetail" class="form-control"  onchange="javascript:formatearNumero(this);"/>
						<input type="hidden" class="form-control" name="importePresentado" id="importePresentadoConcepto" />
					</div>
					<div class="col-xs-1"></div>
					<div class="col-xs-5 form-group">
						<label><spring:message code="fexpediente.formConceptos.importeAdmitido"/></label> 
						<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMaskDetail" class="form-control" onchange="javascript:formatearNumero(this);" />
						<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitidoConcepto" />
					</div>
				</div>
				<c:if test="${initForm.inspeccionable != 0}">
					<div class="row">
						<div class="col-xs-4 form-group">	
							<div class="checkbox">	
								<input type="checkbox" id="check3" name="inspeccionable" value="1"/>
								<label for="check3" class="bold"><b><spring:message code="formfacturas.inspeccionable"/></b></label>	
							</div>
						</div>
					</div>	
				</c:if>			
				<div class="row">
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
						<textarea class="form-control" name="observacionesCastellano" id="observacionesCastellano" rows="4"  maxlength="2000"></textarea>
					</div>								
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesEuskera"><spring:message code="formfacturas.obsevacionesEuskera"/></label>
						<textarea class="form-control" name="observacionesEuskera"  id="observacionesEuskera" rows="4"  maxlength="2000"></textarea>
						<!--input type="hidden"  path="motivosMinoracion.idMotivoMinoracion" class="idMinoracion"/>-->
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			<button id="ConceptosTabla_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" 
					id="ConceptosTabla_detail_link_cancel" class="rup-enlaceCancelar"><spring:message
						code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
	
	<div id="ConceptosTabla15_detail_div"	class="rup-table-formEdit-detail modal-lg">
		<div id="ConceptosTabla15_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="ConceptosTabla15_detail_form">	
				<!--  -->
				<!--<div id="ConceptosTabla_detail_feedback"></div>	-->		
				<!-- Campos del formulario de detalle -->
				<input type="hidden" name="idConcepto" id="idConcepto15" />
				<input type="hidden" id="idRelExpActSubConceptos15" name="idRelExpActSub"/>						
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="fexpediente.formConceptos.descripcionGasto"/></label> 
						<input type="text" class="form-control"	name="concepto" id="concepto15" maxlength="300"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-5 form-group">
						<label class="required"><spring:message code="fexpediente.formConceptos.importePresentado"/></label> 
						<input type="text" name="importePresentadoMask"  id="importePresentadoMaskDetail15" class="form-control"  onchange="javascript:formatearNumero(this);"/>
						<input type="hidden" class="form-control" name="importePresentado" id="importePresentadoConcepto15" />
					</div>
					<div class="col-xs-1"></div>
					<div class="col-xs-5 form-group">
						<label><spring:message code="fexpediente.formConceptos.importeAdmitido"/></label> 
						<input type="text" name="importeAdmitidoMask" id="importeAdmitidoMaskDetail15" class="form-control" onchange="javascript:formatearNumero(this);" />
						<input type="hidden" class="form-control" name="importeAdmitido" id="importeAdmitidoConcepto15" />
					</div>
				</div>
				<c:if test="${initForm.inspeccionable != 0}">
					<div class="row">
						<div class="col-xs-4 form-group">	
							<div class="checkbox">	
								<input type="checkbox" id="check15" name="inspeccionable" value="1"/>
								<label for="check3" class="bold"><b><spring:message code="formfacturas.inspeccionable"/></b></label>	
							</div>
						</div>
					</div>	
				</c:if>			
				<div class="row">
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
						<textarea class="form-control" name="observacionesCastellano" id="observacionesCastellano15" rows="4"  maxlength="2000"></textarea>
					</div>								
					<div class="col-xs-6 form-group">
						<label id="ffobsevacionesEuskera"><spring:message code="formfacturas.obsevacionesEuskera"/></label>
						<textarea class="form-control" name="observacionesEuskera"  id="observacionesEuskera15" rows="4"  maxlength="2000"></textarea>
						<!--input type="hidden"  path="motivosMinoracion.idMotivoMinoracion" class="idMinoracion"/>-->
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
			<button id="ConceptosTabla15_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" 
					id="ConceptosTabla15_detail_link_cancel" class="rup-enlaceCancelar"><spring:message
						code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
	
</section>	
