<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>

<div class="container">	
	<div id="idCapaEnviado"></div>	
	<div class="panel-body">	
		<form:form  class="form-horizontal" modelAttribute="inspeccionable" id="formInspeccionables" method="post">
		<form:input path="expediente.idExpediente" id="idExpediente" class="form-control readonly hidden"/>
			<div class="row">
				<form:input path="expediente.folderId" id="folderId" class="form-control readonly hidden"/>
				<div class="col-xs-6 form-group">
					<label for="expediente"><spring:message code="fexpediente.titulo"/></label>
					<form:input path="folderYTitulo" id="expediente" class="form-control readonly" readonly="true"/>
				</div>
				<div class="col-xs-6 form-group">
					<label><spring:message code="fexpediente.fechaLimite"/></label>
					<div class="input-group date">
						<form:input path="fechaLimInspeccionStr" type="text" class="form-control campoFecha" id="fechaLimite"/>
					</div>
				</div>
			</div>	
			<div class="row">
				<div class="col-xs-11 form-group">
					<label for="observacionesActInspeccion"><spring:message code="fexpediente.observacionesActInspeccion"/></label>
					<form:textarea path="observacionInspeccion" type="text" class="form-control" id="observacionesActInspeccion" rows="7"/>
				</div>
			</div>
		</form:form>
		<div id="space"></div>
		<div class="row">
			<div class="col-xs-11 form-group">
				<div class="panel panel-default">
					<div class="panel-heading "><spring:message code="tablaActSubConcep"/></div>
					<div id="actInspeccionable_div" class="miocontainer">
						<div id="actInspeccionable_feedback"></div>
						<!-- Feedback de la tabla -->
						<div id="actInspeccionable_toolbar" class="mitoolbar clearfix hidden"></div>
						<!--  Botonera de la tabla -->
						<div id="actInspeccionable_grid_div">
							<!-- Tabla -->
							<table id="actInspeccionable"></table>
							<!-- Barra de paginaci�n -->
							<div id="actInspeccionable_pager"></div>
						</div>		
					</div>
				</div>	
			</div>
		</div>
		<div class="row">
			<div id="acordeonPreguntasExpediente" class="rup_accordion">
				<h1><a><span id="tituloPreguntasExpediente"><spring:message code="preguntasExpediente.tituloPreguntasExpediente" /></span></a></h1>
				<div class="contenidoAcordeonPreguntasExpediente">
					<div class="row">
						<button type="button" class="btn btn-primary btn-circle btn-lg pull-right" data-toggle="tooltip" id="btnNuevaPreguntaExpediente" data-placement="bottom" title="<spring:message code="preguntasExpediente.nuevaPreguntaExpediente" />" data-original-title='<spring:message code="preguntasExpediente.nuevaPreguntaExpediente" />'><i class="fa fa-plus" aria-hidden="true"></i></button>
					</div>
					<div class="row">
						<div id="tablaPreguntasExpedienteFeedback"></div>
						<div class="col-xs-12">
							<div id="tablaPreguntasExpediente_div" class="rup-table-container">
								<div id="tablaPreguntasExpediente_feedback" class="hidden"></div>
								<!-- Feedback de la tabla -->
								<div id="tablaPreguntasExpediente_filter_div" class="rup-table-container">
									<form:form id="tablaPreguntasExpediente_filter_form" commandName="preguntasExpediente" method="POST">
										<input type="hidden" id="idExpedienteFiltro" name="idExpediente" />
										<input type="hidden" id="tipoInspeccionFiltro" name="tipoInspeccion" value="<%=Constantes.ORIGEN_INSPECCION_ESTUDIO_TECNICO %>" />
									</form:form>
									<div id="tablaPreguntasExpediente_toolbar" class="clearfix hidden"></div>
									<!--  Botonera de la tabla -->
									<div id="tablaPreguntasExpediente_grid_div">
										<!-- Tabla -->
										<table id="tablaPreguntasExpediente" class="table"></table>
										<!-- Barra de paginaci�n -->
										<div id="tablaPreguntasExpediente_pager"></div>
									</div>	
								</div>	
							</div>
						</div>
					</div>
					<div id="tablaPreguntasExpediente_filter_toolbar" style="visibility: hidden;"></div>
				</div>
			</div>
		</div>
	</div>
</div>