<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>

<section>
	<input type="hidden" id="idCriterio" value="${criterio}" /> <input
		type="hidden" id="idExpediente" value="${expediente}" /> <input
		type="hidden" id="idRelacion"
		value="${datosRelExpActSub.idRelExpActSub}" />

	<form:form class="form-horizontal" modelAttribute="datosRelExpActSub"
		id="formDatosRelExpActSub" method="post">
		<fieldset>
			<c:if test="${!empty datosRelExpActSub}">
				<form:input type="hidden" path="idRelExpActSub" />
				<form:input type="hidden" path="idActSub" />
			</c:if>
			<div class="row">
				<c:set var="checkeado" value="" />
				<div class="col-xs-6 form-group">
					<div class="panel panel-default">
						<c:set var="checkeado" value="" />
						<c:if test="${datosRelExpActSub.idMotivoDenegacion >0}">
							<c:set var="checkeado" value="checked" />
						</c:if>
						<div class="movchekbox checkbox">
							<input type="checkbox" id="checkboxDenegacion" ${checkeado} />
							<form:label path="CheckDenegacion" for="checkbox1" class="bold">
								<b></b>
								<spring:message code="formRelExpActSub.denegar" />
								
							</form:label>
						</div>
						<div class="movchekcombo">
							<form:label path="motivosDenegacion.idMotivoDenegacion">
								<spring:message code="formRelExpActSub.denegacion" />
							</form:label>
							<select class="form-control" id="comboDenegacion" /></select>
							<form:input type="hidden"
								path="motivosDenegacion.idMotivoDenegacion" class="idDenegacion" />
						</div>
						<div id="space"></div>
					</div>
				</div>
				<div class="col-xs-6 form-group">
					<div class="panel panel-default">
						<c:set var="checkeado" value="" />
						<div class="movchekbox checkbox">
							<c:if test="${datosRelExpActSub.idMotivoMinoracion >0}">
								<c:set var="checkeado" value="checked" />
							</c:if>
							<input type="checkbox" id="checkboxMinoracion" ${checkeado} />
							<form:label path="CheckMinoracion" for="checkbox2" class="bold">
								<b></b>
								<spring:message code="formRelExpActSub.minorar" />
								
							</form:label>
						</div>
						<div class="movchekcombo">
							<form:label path="motivosMinoracion.idMotivoMinoracion">
								<spring:message code="formRelExpActSub.minoracion" />
							</form:label>
							<select class="form-control" id="comboMinoracion" /></select>
							<form:input type="hidden"
								path="motivosMinoracion.idMotivoMinoracion" class="idMinoracion" />
						</div>
						<div id="space"></div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<div class="panel panel-default">
				<div class="panel-heading "></div>
				<div class="panel-heading ">
					<spring:message
						code="fexpediente.formContratacionesPersonal.tituloContratacionesPersonal" />
				</div>
				<div id="PersonasContratadasTabla_div"
					class="rup-table-container miocontainer">
					<div id="PersonasContratadasTabla_feedback"></div>
					<!-- Feedback de la tabla -->
					<div id="PersonasContratadasTabla_toolbar"
						class="mitoolbar clearfix"></div>
					<!--  Botonera de la tabla -->
					<div id="PersonasContratadasTabla_grid_div">
						<!-- Tabla -->
						<table id="PersonasContratadasTabla"></table>
						<!-- Barra de paginaci�n -->
						<div id="PersonasContratadasTabla_pager" class="hidden"></div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<spring:message code="fexpediente.formConceptos.tituloNotas" />
			</legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<form:textarea class="form-control" path="notas" rows="4"
								maxlength="2000"></form:textarea>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<spring:message code="fexpediente.formConceptos.tituloObservaciones" />
			</legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<form:textarea class="form-control"
								path="observacionesCastellano" rows="4" maxlength="2000"></form:textarea>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<spring:message
					code="fexpediente.formConceptos.tituloObservacionesEuskera" />
			</legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<form:textarea class="form-control" path="observacionesEuskera"
								rows="4" maxlength="2000"></form:textarea>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
	</form:form>


	<div id="PersonasContratadasTabla_detail_div"
		class="rup-table-formEdit-detail modal-lg">
		<div id="PersonasContratadasTabla_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
			<form id="PersonasContratadasTabla_detail_form">
				<!-- Campos del formulario de detalle -->
				<input type="hidden" name="idPersonaContratada"
					id="idPersonaContratada" /> <input type="hidden"
					name="idRelExpActSub" id="idRelExpActSub" />
				<input type="hidden" name="modalidadesContrato.idModalidadContrato"
					id="modalidadesContrato.idModalidadContrato" />
					<input type="hidden" name="sexo.idSexo"
					id="sexo.idSexo" />
				<div class="row">
					<div class="col-xs-4 form-group">
						<label>Nombre<span class="requiered"> *</span></label> <input
							type="text" class="form-control" name="nombrePC" id="nombrePC"
							maxlength="260" />
					</div>
					<div class="col-xs-4 form-group">
						<label>Primer Apellido<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="apellido1PC"
							id="apellido1PC" maxlength="260" />
					</div>
					<div class="col-xs-4 form-group">
						<label>Segundo Apellido</label>
						<input type="text" class="form-control" name="apellido2PC"
							id="apellido2PC" maxlength="260" />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<label for="idSexo">Sexo<span class="requiered"> *</span></label> 
						<select class="form-control" id="comboSexo" name = "comboSexo" required/></select> 
						<input type="hidden" name="idSexo" id="idSexo" />
					</div>
					<div class="col-xs-4 form-group">
						<label for="modalidadesContrato.idModalidadContrato">Modalidad de contrato<span class="requiered"> *</span></label> 
						<select class="form-control" id="comboModalidadContrato" name = "comboModalidadContrato" required/></select> 
						<input	type="hidden" name="modalidadesContrato.idModalidadContrato" id="idModalidadContrato" />
					</div>
				</div>
				<div class="row">
					<div id="empresaContratadaDIV" class="col-xs-8 form-group">
						<label>Empresa Contratada<span class="requiered"> *</span></label>
						<input type="text" name="empresaContratada" id="empresaContratada"
							class="form-control" maxlength="100" />
					</div>
				</div>
				<div id="space"></div>
				<div class="row">
					<div class="col-xs-8 form-group">
						<label>Datos de la ayuda: </label> 
					</div>
					<div class="col-xs-8 form-group">
					<label>- Ciclos formativos iguales o inferiores al 4� ciclo: </label> 
					</div>
					<div class="col-xs-6 form-group">
						<label>Numero de empresas y recursos que participaran<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="nEmpresasN1" id="NEmpresasN1" maxlength="3" />
					</div>
					<div class="col-xs-6 form-group">
						<label>Total horas subvencionables<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="horasSubvencionablesN1" id="horasSubvencionablesN1" maxlength="5" />
					</div>
				</div>
				<div id="space"></div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label>- Ciclos formativos iguales o superiores al 5� ciclo: </label> 
					</div>
					<div class="col-xs-6 form-group">
						<label>Numero de empresas y recursos que participaran<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="nEmpresasN2" id="NEmpresasN2" maxlength="3" />
					</div>
					<div class="col-xs-6 form-group">
						<label>Total horas subvencionables<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="horasSubvencionablesN2" id="horasSubvencionablesN2" maxlength="5" />
					</div>
					<div class="col-xs-6 form-group">
						<label>Coste hora contratada<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="costeHoraContratada" id="costeHoraContratada"  />
					</div>
					<div class="col-xs-6 form-group">
						<label>Coste hora subvencionable<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="costeHoraSubvencionable" id="costeHoraSubvencionable"  />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-6 form-group">
						<label>Base subvencionable<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="baseSubvencionable" id="baseSubvencionable"  />
					</div>
					<div class="col-xs-6 form-group">
						<label>Base subvencionable Admitido<span class="requiered"> *</span></label>
						<input type="text" class="form-control" name="baseSubvencionableAdmitido" id="baseSubvencionableAdmitido"  />
					</div>
				</div>
				<div id="space"></div>
				<div class="row">
					<div class="col-xs-4 form-group">
						<div class="checkbox">
							<input type="checkbox" id="checkInspeccionable" name="inspeccionable" value="1" /> 
							<label for="checkInspeccionable" class="bold"><b>Inspeccionable</label>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-6 form-group">
						<label>Observaciones Castellano</label>
						<textarea class="form-control" name="observacionesCastellano"
							id="observacionesCastellano" rows="4" maxlength="2000"></textarea>
					</div>
					<div class="col-xs-6 form-group">
						<label>Observaciones Euskera</label>
						<textarea class="form-control" name="observacionesEuskera"
							id="observacionesEuskera" rows="4" maxlength="2000"></textarea>
					</div>
				</div>
			</form>
		</div>
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="PersonasContratadasTabla_detail_button_save"
					type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>
				<a href="#" role="button"
					id="PersonasContratadasTabla_detail_link_cancel"
					class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>
			</div>
		</div>
	</div>
</section>