<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />			
		
	</div>
</section>

<!-- Expedientes relacionados -->
<section>

	<span id="relacionExpediente" class="hidden">${relacionExpediente}</span>
	<div class="container">
		
		<fieldset id="tblExpedientesRelacionadosTitularFieldset">
			<legend><spring:message code="expedientesRelacionados.tituloPorTitular" /></legend>
			<div id="tblExpedientesRelacionadosTitular_div" class="rup-table-container miocontainer">
				<div class="tblExpedientesRelacionadosTitular_div hidden">
					<form id="tblExpedientesRelacionadosTitular_filter_form">
						<div id="tblExpedientesRelacionadosTitular_filter_toolbar" class="formulario_legend"></div>
					</form>
				</div>
				<div id="tblExpedientesRelacionadosTitular_feedback"></div>
				<div id="tblExpedientesRelacionadosTitular_grid_div">
					<!-- Tabla -->
					<table id="tblExpedientesRelacionadosTitular" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblExpedientesRelacionadosTitular_pager" class="hidden"></div>
				</div>
			</div>
		</fieldset>
		
		<fieldset id="tblExpedientesRelacionadosUbicacionFieldset">
			<legend><spring:message code="expedientesRelacionados.tituloPorUbicacion" /></legend>
			<div id="tblExpedientesRelacionadosUbicacion_div" class="rup-table-container miocontainer">
				<div class="tblExpedientesRelacionadosUbicacion_div hidden">
					<form id="tblExpedientesRelacionadosUbicacion_filter_form">
						<div id="tblExpedientesRelacionadosUbicacion_filter_toolbar" class="formulario_legend"></div>
					</form>
				</div>
				<div id="tblExpedientesRelacionadosUbicacion_feedback"></div>
				<div id="tblExpedientesRelacionadosUbicacion_toolbar" class="mitoolbar clearfix"></div>
				<div id="tblExpedientesRelacionadosUbicacion_grid_div">
					<!-- Tabla -->
					<table id="tblExpedientesRelacionadosUbicacion" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblExpedientesRelacionadosUbicacion_pager" class="hidden"></div>
				</div>
			</div>
		</fieldset>
		
		<fieldset id="tblInspeccionesRelacionadasTitularFieldset">
			<legend><spring:message code="inspeccionesRelacionadas.tituloPorTitular" /></legend>
			<div id="tblInspeccionesRelacionadasTitular_div" class="rup-table-container miocontainer">
				<div class="tblInspeccionesRelacionadasTitular_div hidden">
					<form id="tblInspeccionesTitular_filter_form">
						<div id="tblInspeccionesRelacionadasTitular_filter_toolbar" class="formulario_legend"></div>
					</form>
				</div>
				<div id="tblInspeccionesRelacionadasTitular_feedback"></div>
				<div id="tblInspeccionesRelacionadasTitular_grid_div">
					<!-- Tabla -->
					<table id="tblInspeccionesRelacionadasTitular" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblInspeccionesRelacionadasTitular_pager" class="hidden"></div>
				</div>
			</div>
		</fieldset>
		
		<fieldset id="tblInspeccionesRelacionadasUbicacionFieldset">
			<legend><spring:message code="inspeccionesRelacionadas.tituloPorUbicacion" /></legend>
			<div id="tblInspeccionesRelacionadasUbicacion_div" class="rup-table-container miocontainer">
				<div class="tblInspeccionesRelacionadasUbicacion_div hidden">
					<form id="tblInspeccionesUbicacion_filter_form">
						<div id="tblInspeccionesRelacionadasUbicacion_filter_toolbar" class="formulario_legend"></div>
					</form>
				</div>
				<div id="tblInspeccionesRelacionadasUbicacion_feedback"></div>
				<div id="tblInspeccionesRelacionadasUbicacion_toolbar" class="mitoolbar clearfix"></div>
				<div id="tblInspeccionesRelacionadasUbicacion_grid_div">
					<!-- Tabla -->
					<table id="tblInspeccionesRelacionadasUbicacion" class="table"></table>
					<!-- Barra de paginación -->
					<div id="tblInspeccionesRelacionadasUbicacion_pager" class="hidden"></div>
				</div>
			</div>
		</fieldset>
		
	</div>
	
</section>	