<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@ page import="com.ejie.ab60.comun.Constantes"%>

<c:set var="TIPO_AYUDA_EMET" value="<%=Constantes.TIPO_AYUDA_EMET%>" />

<span id="tipoInspeccion" hidden>2</span>
<section>
	<div class="container">	
		<input type="hidden" id="folderId" value= "${folderId}"/>
		<input type="hidden" id="idRelExpAct" value= "${idRelExpActSub}"/>
		<input type="hidden" id="idActSub" value= "${idActSub}"/>
		<input type="hidden" id="idTipoAyuda" name="idTipoAyuda" value="${initForm.tipoAyuda}">
		<input type="hidden" id="obNotasJus" value="${notas}">
		<input type="hidden" id="obCastellanoJus" value="${obCastellano}">
		<input type="hidden" id="obEuskeraJus" value="${obEuskera}">
		<input type="hidden" id="combD" value="${comboDenegacion}">
		<input type="hidden" id="combM" value="${comboMinoracion}">
		
		<div class="row">
			<div class="col-xs-12 form-group">					
				<span class="tituloActuacion bold">${descripcion}</span>
			</div>
		</div>
		
		<div class="row">	
			<div class="col-xs-6 form-group ">
				<div class="panel panel-default deneMino">
					<div class="movchekbox checkbox">
					    <input type="checkbox" id="checkboxDenegacion">
					    <label for="checkboxDenegacion" class="bold"><spring:message code="fexpediente.formAyuntamiento.denegar"/></label>	
					</div>
					<label><spring:message code="formfacturas.denegacion"/></label>
					<select class="form-control" id="comboDenegacion" name="comboDenegacion"/></select>
					<div id="space"></div>
				</div>
			</div>
			<div class="col-xs-6 form-group ">
				<div class="panel panel-default deneMino">
					<div class="movchekbox checkbox">
					    <input type="checkbox" id="checkboxMinoracion">
					    <label for="checkboxMinoracion" class="bold"><spring:message code="fexpediente.formAyuntamiento.minorar"/></label>	
					</div>
					<label><spring:message code="formfacturas.minoracion"/></label>
					<select class="form-control" id="comboMinoracion" name="comboMinoracion"/></select>
					<div id="space"></div>
				</div>
			</div>
		</div>
		
		
		<fieldset>		
			<div class="panel panel-default">
			<div class="panel-heading " ><spring:message code="fexpediente.form.inversionJustificada"/></div>
				<div id="DatosPrueba_div" class="rup-table-container miocontainer">	
					<div id="DatosPrueba_feedback"></div>						<!-- Feedback de la tabla --> 
					
					<div id="DatosPrueba_toolbar" class="mitoolbar clearfix"></div>
				<!-- Botonera de la tabla -->
					<div id="DatosPrueba_grid_div">
						<!-- Tabla -->
						<table id="DatosPrueba"></table>
						<!-- Barra de paginación -->
						<div id="DatosPrueba_pager" class="hidden"></div>
					</div>
				</div>
			</div>
		</fieldset>
		<div id="ayudaConcedidaDiv">
			<div class="row">
				<div class="col-xs-4 form-group">
					<label class="required"><spring:message code="formRelExpActSub.ayudaConcedida" /></label> 
					<input type="text" name="ayudaConcedidaMask" id="ayudaConcedidaMask" class="form-control" value="${otrosIngresos}" onchange="javascript:formatearNumero(this);" aria-required="true"/> 
					<input type="hidden" class="form-control" name="ayudaConcedida" id="ayudaConcedida" value="${otrosIngresos}"/>
					<div id="ayudaConcedidaError" class="error oculto">Campo obligatorio.</div>
				</div>
			</div>
		</div>
		<fieldset>
			<legend class="opcionmaspeque"><spring:message code="formRelExpActSub.notas"/></legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<textarea id="obnotas" name="notas" maxlength="2000" class="form-control" rows="2"></textarea>
						</div>
					</div>
				</div>							
			</div>							
		</fieldset>
		<fieldset>
			<legend class="opcionmaspeque"><spring:message code="formRelExpActSub.obesrvacionesCastellano"/></legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<textarea id="obCastellano" name="observacionesCastellano" maxlength="2000" class="form-control" rows="2"></textarea>
						</div>
					</div>
				</div>							
			</div>							
		</fieldset>
		
		<fieldset>
			<legend class="opcionmaspeque"><spring:message code="formRelExpActSub.obesrvacionesEuskera"/></legend>
			<div class="panel panel-default">
				<div class="panel-body">
					<div class="row">
						<div class="col-xs-12 form-group">
							<textarea id="obEuskera" name="observacionesEuskera" maxlength="2000" class="form-control" rows="2"></textarea>
						</div>
					</div>
				</div>							
			</div>							
		</fieldset>
		
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="Button_save" class="btn-primary" type="button">
					<spring:message code="save" />
				</button>
				<!-- Enlace cancelar -->
				<a href="javascript:void(0)" id="DatosPrueba_cancel"
					class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>
			</div>
		</div>
	</div>	
</section>

<!-- Formulario de detalle -->
<div id="DatosPrueba_detail_div" class="rup-table-formEdit-detail">
	<div id ="DatosPrueba_detail_navigation"  class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="DatosPrueba_detail_form">					<!-- Formulario -->
			
			<input type="hidden" id="idRelExpActSub" name=idRelExpActSub />
			<input type="hidden" id="idFactura" name="factura.idFactura" value="" />
			<!--<input type="hidden" id="idTiposGastos" name="factura.relTipGasCon." value="" />-->
			
			<div id ="DatosPrueba_detail_feedback" class="hidden"></div>		<!-- Feedback del formulario de detalle -->
			
			<div class="row">
				<div class="form-group col-xs-12 ">
					<label class="required"><spring:message code="fexpediente.formActuacionSubvencionable.tiposGastos"/></label>
					<select class="form-control" id="comboTiposGasto" name="factura.relTipGasCon.idTipoGastoFac" required/></select>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label  class="required">
						<span class="tipoDefecto"><spring:message code="formfacturas.identificacionDefecto"/></span>
						<span class="tipoGasto"><spring:message code="formfacturas.identificacionGastos"/></span>
						<span class="tipoNomina"><spring:message code="formfacturas.identificacionNomina"/></span>
						<span class="tipoFactura"><spring:message code="formfacturas.identificacionFactura"/></span>
						<span class="tipoArrendamiento"><spring:message code="formfacturas.identificacionArrendamiento"/></span>
					</label> 
					<input type="text" class="form-control" name="factura.numeroFactura" id="numeroFactura" maxlength="200" />
				</div>
				<div class="col-xs-4 form-group">
					<label class="required">
						<span class="tipoDefecto"><spring:message code="formfacturas.fechaDefecto"/></span>
						<span class="tipoGasto"><spring:message code="formfacturas.fechaGastos"/></span>
						<span class="tipoNomina"><spring:message code="formfacturas.fechaNomina"/></span>
						<span class="tipoFactura"><spring:message code="formfacturas.fechaFactura"/></span>
						<span class="tipoArrendamiento"><spring:message code="formfacturas.fechaArrendamiento"/></span>
					</label>
					<div class="input-group date">
						<input type="text" class="form-control campoFechaDet" name="factura.fechaFacturaStr" id="fechaFactura" />
					</div>
				</div>
				<div class="col-xs-6 form-group">
					<label class="required">
						<span class="tipoDefecto"><spring:message code="formfacturas.conceptoDefecto"/></span>
						<span class="tipoGasto"><spring:message code="formfacturas.conceptoGastos"/></span>
						<span class="tipoNomina"><spring:message code="formfacturas.conceptoNomina"/></span>
						<span class="tipoFactura"><spring:message code="formfacturas.conceptoFactura"/></span>
						<span class="tipoArrendamiento"><spring:message code="formfacturas.conceptoArrendamiento"/></span>
					</label> 
					<input type="text" class="form-control" name="factura.descripcion" id="descripcion" maxlength="500"/>
				</div>
			</div>

			<div class="row" id="ocultar">
				
				<div class="col-xs-8 form-group">
					<label class="required">
						<span class="tipoDefecto"><spring:message code="formfacturas.origenDefecto"/></span>
						<span class="tipoGasto"><spring:message code="formfacturas.origenGastos"/></span>
						<span class="tipoFactura"><spring:message code="formfacturas.origenFactura"/></span>
						<span class="tipoArrendamiento"><spring:message code="formfacturas.origenArrendamiento"/></span>
					</label> 
					<input type="text" class="form-control" class="form-control" name="factura.proveedor" id="proveedor" maxlength="200" />
				</div>				
				<div class="col-xs-4 form-group">
					<label>
						<span class="tipoDefecto"><spring:message code="formfacturas.fPagadoDefecto"/></span>
						<span class="tipoGasto"><spring:message code="formfacturas.fPagadoGastos"/></span>
						<span class="tipoFactura"><spring:message code="formfacturas.fPagadoFactura"/></span>
						<span class="tipoArrendamiento"><spring:message code="formfacturas.fPagadoArrendamiento"/></span>
					</label>
					<div class="input-group date">
						<input type="text" class="form-control campoFechaDet" name="factura.fechaPagadoStr" id="fechaPagado" />
					</div>
				</div>
			</div>
			
			<div class="row">
				<div class="col-xs-4 form-group">
					<label class="required">
						<span class="tipoDefecto"><spring:message code="formfacturas.importeDefecto"/></span>
						<span class="tipoGasto"><spring:message code="formfacturas.importeGastos"/></span>
						<span class="tipoNomina"><spring:message code="formfacturas.importeNomina"/></span>
						<span class="tipoFactura"><spring:message code="formfacturas.importeFactura"/></span>
						<span class="tipoArrendamiento"><spring:message code="formfacturas.importeArrendamiento"/></span>
					</label> 
					<input type="text" name="factura.importeMask" id="importeMask" class="form-control" onchange="javascript:formatearNumero(this);" />
					<input type="hidden" class="form-control" name="factura.importe" id="importe" />
				</div>
				<div class="col-xs-4 form-group">
					<label><spring:message code="formfacturas.Admitido"/></label> 
					<input type="text" name="factura.importeAdmitidoMask" id="importeAdmitidoMask" class="form-control" onchange="javascript:formatearNumero(this);" />
					<input type="hidden" class="form-control" name="factura.importeAdmitido" id="importeAdmitido" />
				</div>
			</div>
			
			<div class="row">			
				<div class="col-xs-6 form-group">
					<label><spring:message code="formfacturas.denegacion"/></label>
					<select class="form-control" id="comboFacturaDenegacion" name="comboFacturaDenegacion"/></select>
				</div>
				<div class="col-xs-6 form-group">
					<label><spring:message code="formfacturas.minoracion"/></label>
					<select class="form-control" id="comboFacturaMinoracion" name="comboFacturaMinoracion"/></select>
					
				</div>
			</div>
 
			<c:if test="${initForm.inspeccionable != 0}">
				<div class="row" id="checkInspeccionable">
					<div class="col-xs-4 form-group">	
						<div class="checkbox">	
							<input type="checkbox" id="check3" name="factura.inspeccionable" value="1"/>
							<label for="check3" class="bold"><b><spring:message code="formfacturas.inspeccionable"/></b></label>	
						</div>
					</div>
				</div>
			</c:if>

			<div class="row">				
				<div class="col-xs-6 form-group">
					<label id="ffobsevacionesCastellano"><spring:message code="formfacturas.obsevacionesCastellano"/></label>
					<textarea class="form-control" name="factura.observacionesCastellano" id="observacionesCastellano" rows="4"  maxlength="2000"></textarea>
				</div>								
				<div class="col-xs-6 form-group">
					<label id="ffobsevacionesEuskera"><spring:message code="formfacturas.obsevacionesEuskera"/></label>
					<textarea class="form-control" name="factura.observacionesEuskera"  id="observacionesEuskera" rows="4"  maxlength="2000"></textarea>
				</div>
			</div>				
								
				<!-- Fin campos del formulario de detalle -->
	</form>
	</div>
	<!-- Botonera del formulario de detalle -->
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset">
			<!-- Botón Guardar -->
			<button id="DatosPrueba_detail_button_save" class="btn-primary" type="button">
				<spring:message code="save" />
			</button>
			<!-- Enlace cancelar -->
			<a href="javascript:void(0)" id="DatosPrueba_detail_link_cancel"
				class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
		</div>
	</div>	
</div>