<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>

<section>
	<div class="container">
		<!-- Incluimos la jsp que contiene las pestanas -->
		<jsp:include page="../pestanas.jsp" />			
		
	</div>
</section>

<!-- pagos expediente --> 
<section>
	<input type="hidden" id="idExpediente" value="${pagosExpediente.idExpediente}">
	<div class="container">
		<!--  <div id="tblPagos_div" class="rup-table-container miocontainer">-->
		<div id="tblPagos_div" class="rup-table-container miocontainer">
			<div id="tblPagos_feedback"></div>
			<div id="tblPagos_toolbar" class="mitoolbar clearfix"></div>
			<div id="tblPagos_grid_div">
				<!-- Tabla -->
				<table id="tblPagos" class="table"></table>
				<!-- Barra de paginación -->
				<div id="tblPagos_pager"></div>
			</div>
		</div>
	</div>
	<div id="tblPagos_detail_div" class="rup-table-formEdit-detail">		
	<div id ="tblPagos_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content" >
			<form id="tblPagos_detail_form">
				<!-- Campos del formulario de detalle -->
	                <div class="row">
	                    <div class="col-xs-4 form-group">
	                      <label class="required"><spring:message code="fexpediente.formPagos.numeroPago"/></label>
	                        <input type="hidden" name="idPagoExpediente" value="null"/>  
	                      <input type="text"  class="form-control" name="numeroPago"  id="numeroPago" maxlength="2"/>
	                    </div>
	                    <div class="col-xs-4 form-group">
	                      <label class="required"><spring:message code="fexpediente.formPagos.importePago"/></label>
	                      <input type="text" name="importePagoMask" class="form-control" id="importePagoMask" onchange="javascript:formatearNumero(this);"/>
	                      <input type="hidden" name="importePago" id="importePago" class="form-control"/>
	                    </div>
	                    <div class="col-xs-4 form-group">
	                      <label class="required"><spring:message code="fexpediente.formPagos.porcentajePago"/></label>
	                      <input type="text" name="porcentajePagoMask" class="form-control" id="porcentajePagoMask" onchange="javascript:formatearNumero(this);">
	                      <input type="hidden" name="porcentajePago" id="porcentajePago" class="form-control" />
	                    </div>	
	                 </div>
	                 <div class="row">
		                    <div class="col-xs-4 form-group">							
		                        <label class="required"><spring:message code="fexpediente.formPagos.fechaPago"/>
		                        </label>
		                        <div class="input-group date">
		                        	<input type="text"  name="fechaPagoStr" id="fechaPago" class="form-control" />
		                        </div>				    
		                    </div>
		                    <div class="col-xs-4 form-group">
		                        <label><spring:message code="fexpediente.formPagos.fechaEnvSer"/>
		                        </label>
		                        <div class="input-group date">
		                        	<input type="text"  name="fechaEnvSerStr" id="fechaEnvSer" class="form-control" />		
	                        	</div>		    
		                    </div>
		                    <div class="col-xs-4 form-group">
		                        <label><spring:message code="fexpediente.formPagos.fechaDocPag"/>
		                        </label>
		                        <div class="input-group date">
		                        	<input type="text"  name="fechaDocPagStr" id="fechaDocPag" class="form-control" />		
	                        	</div>		    
		                    </div>	
	                 </div>				 
			</form>
		</div>
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<!-- Botón Guardar -->
				<button id="tblPagos_detail_button_save" class="btn btn-primary" type="button">
					<spring:message code="save" />
				</button>
				<!-- Enlace cancelar -->
				<a href="javascript:void(0)" id="tblPagos_detail_link_cancel"
					class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
			</div>
		</div>
	</div>
</section>	