<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@page import="com.ejie.ab60.comun.Constantes"%>

<section>
<c:set var="TIPO_DOCUMENTO_CONTABLE_D" value="<%=Constantes.ID_TIPO_CONCURSAL%>" />
		<div id="space"></div>
		<div class="panel panel-default" id="panelDocContables">
			<!--  <div class="panel-heading" ><spring:message code="fexpediente.form.inversionJustificada"/></div>-->
			<div id="docContables_toolbar" class="mitoolbar clearfix"></div>
					<div id="docContables_mensajes" class="ocultar"></div>						<!-- Feedback de la tabla -->
			<div id="docContables_grid_div" >
				<!-- Tabla -->
				<table id="docContables"></table>
				<!-- Barra de paginación -->
				<div id="docContables_pager" class="hidden"></div>
			</div>
		</div>
		
	<div id="docContables_div" class="rup-table-container">
		<div id="docContables_filter_div" class="rup-table-filter ocultar">	<!-- Capa contenedora del formulario de filtrado -->
		<div id="docContables_feedback" class="ocultar"></div>						<!-- Feedback de la tabla -->
		<div id="docContables_toolbar" ></div>							<!-- Botonera de la tabla -->
			<form id="docContables_filter_form">
				<div id="docContables_filter_toolbar" class="formulario_legend ocultar"></div>	<!-- Barra de herramientas del formulario de filtrado -->
			</form> 	
		</div>
	</div>	
	
	<!-- este div hay que ponerlo para que funcione el filter de la rup_table -->
		<div id="docContables_filter_form" >
		<input type="hidden" id="idConvocatoria" name="docContables.idConvocatoria"/>	
		<div id="docContables_filter_toolbar"></div>
		
</div>

</section>
<!-- Formulario de detalle -->
<div id="docContables_detail_div" class="rup-table-formEdit-detail">
	<div id ="docContables_detail_navigation"  class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="docContables_detail_form">	
			<input type="hidden" id="idDocumentoContable" name="idDocumentoContable"/>	
			<div id ="docContables_detail_feedback" class="hidden"></div>		<!-- Feedback del formulario de detalle -->
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label ><spring:message code="expediente.tercero"/></label>:
					<input type="text" id="terceroDC" name="tercero" class="form-control disabled" readonly="readonly"/>
				</div>
				<div class="col-xs-2 form-group">
					<label ><spring:message code="moduloContable.nExpediente"/></label>:
					<input type="text" id="numeroExpedienteDC" name="numeroExpediente" class="form-control disabled" readonly="readonly"/>
				</div>
				<div class="col-xs-2 form-group">
					<label ><spring:message code="fexpediente.datos.comunidadBienes.tipoDocumento"/></label>:
					<input type="text" id="tipoDocumentoDC" name="tipoDocumento.descripcionCastellano" class="form-control disabled" readonly="readonly"/>
					<input type="hidden" id="idTipoDocumentoDC" name="tipoDocumento.idTipoDocumento" class="form-control disabled"/>
				</div>
				<div class="col-xs-4 form-group">
					<label ><spring:message code="fexpediente.datoscontables.concepto"/></label>:
					<input type="text" id="conceptoResumidoDC" name="conceptoResumido" class="form-control disabled" readonly="readonly"/>
				</div>
				<div class="col-xs-2 form-group">
					<label ><spring:message code="fexpediente.datoscontables.importe"/></label>:
					<input type="text" id="importeDC" name="importeMask" class="form-control disabled" readonly="readonly"/>
				</div>
			</div>
			
			<fieldset>
			<legend><spring:message code="fexpediente.datoscontables.aplPresu"/></legend>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.ejercicio"/></label>:
						<input type="text" id="ejercicioDC" name="ejercicioAplPre" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.agrupacion"/></label>:
						<input type="text" id="agrupacionDC" name="agrupacion" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.gastoIngreso"/></label>:
						<input type="text" id="gastoIngresoDC" name="gastoIngreso" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.seccion"/></label>:
						<input type="text" id="seccionDC" name="seccion" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.servicio"/></label>:
						<input type="text" id="servicioDC" name="servicio" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.centro"/></label>:
						<input type="text" id="centroDC" name="centro" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="moduloContable.territorio"/></label>:
						<input type="text" id="territorioDC" name="nombreTerritorio" class="form-control disabled" readonly="readonly"/>
						<input type="hidden" id="idTerritorioDC" name="territorio" class="form-control disabled"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.cac"/></label>:
						<input type="text" id="cacDC" name="cac" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.sc"/></label>:
						<input type="text" id="scDC" name="sc" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.programa"/></label>:
						<input type="text" id="programaDC" name="programa" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.partida"/></label>:
						<input type="text" id="partidaDC" name="partida" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.letraControl"/></label>:
						<input type="text" id="letraControlDC" name="letraControl" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
			</fieldset>	
			
			<fieldset>
				<legend><spring:message code="fexpediente.datoscontables.refIntervencion"/></legend>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.ejercicio"/></label>:
						<input type="text" id="ejercicioRefIntDC" name="ejercicioRefInt" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.anoOrigen"/></label>:
						<input type="text" id="anyoOrigenDC" name="anyoOrigen" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.numero"/></label>:
						<input type="text" id="numeroDC" name="numero" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.disponibleSufijo"/></label>:
						<input type="text" id="disponibleDC" name="disponible" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
			</fieldset>
			
		</form>
	</div>
	<!-- Botonera del formulario de detalle -->
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset">		
			<!--  <div id="cargaDocumentos_div" class="tipoD" >
				Aqui cargo los documentos
			</div>-->
		
			<!-- Enlace cancelar -->
			<a href="#" id="docContables_cancel"
				class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
		</div>
	</div>	
</div>	

