<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@ page import="com.ejie.ab60.comun.Constantes"%>

<c:set var="TIPO_DOC_O" value="<%=Constantes.TIPO_DOCUMENTO_CONTABLE_O%>" />


<script type="text/javascript">
	var TIPO_DOC_O = '${TIPO_DOC_O}';
</script>

<section>
	<div id="id_capa2"></div>
	<div id="tabDocContables_div" class="rup-table-container miocontainer">
		<div id="tabDocContables_feedback"></div>
		<form:form class="form-horizontal container"  modelAttribute= "moduloContable" id="tabDocContables_filter_form" method="post">
			<form:input type="hidden" path="ficherosContables.idIdioma" id="idIdioma" />
			<form:input type="hidden" path="ficherosContables.idConvocatoria" id="idConvocatoria" />
			<form:input type="hidden" path="ficherosContables.idFicheroContable" id="idFicheroContableVer" />
			<form:input path ="idsExpedientesSeleccionados" type="hidden" id="idsExpedientesSeleccionados" />
	 		<div id="tabDocContables_filter_toolbar" class="formulario_legend ocultar"></div>
		 	<div>
					<div class="row">
						<div class="col-xs-12 form-group">
							<label for="nombreFichero_detail_table"><spring:message code="moduloContable.nombreFichero" />:</label>
							<form:input type="text" path="ficherosContables.nombreFichero" class="form-control disabled"id="nombreFichero"
							style="width:500px;" readonly="true" />
						</div>
					</div>
		
					<div class="row">
						<div class="col-xs-2 form-group">
							<label for="institucion"><spring:message code="fexpediente.datoscontables.institucion" />:</label>
							<form:input type="text" path="ficherosContables.institucion" class="form-control disabled"id="institucion" readonly="true" />
						</div>
						<div class="col-xs-2 form-group">
							<label for="ejercicio"><spring:message code="fexpediente.datoscontables.ejercicio" />:</label>
							<form:input type="text" path="ficherosContables.ejercicio" class="form-control disabled" id="ejercicio" readonly="true" />
						</div>
						<div class="col-xs-2 form-group">
							<label for="seccion"><spring:message code="fexpediente.datoscontables.seccion" />:</label>
							<form:input type="text" path="ficherosContables.seccion" class="form-control disabled"id="seccion" readonly="true" />
						</div>
						<div class="col-xs-2 form-group">
							<label for="usuario"><spring:message code="fexpediente.datoscontables.usuIkus" />:</label>
							<form:input type="text" path="ficherosContables.usuario" class="form-control disabled"id="usuario" readonly="true" />
						</div>
						<div class="col-xs-2 form-group">
							<label for="descripcionPorIdioma"><spring:message code="fexpediente.datoscontables.idioma" />:</label>
							<form:input type="text" path="ficherosContables.descripcionPorIdioma"class="form-control disabled" id="descripcionPorIdioma" readonly="true" />
						</div>
					</div>			
					<div class="row">
						<div class="col-xs-2 form-group">
							<label for="idTipoDocCon" class="formulario_linea_label"><spring:message code="moduloContable.tipoDocContable" />:</label>
							<form:input type="text" class="form-control disabled" path = "ficherosContables.descTipoDocCon" readonly="true"/>
						</div>
						<c:if test="${moduloContable.ficherosContables.idTipoDocCon == TIPO_DOC_O}">
							<div class="col-xs-2 form-group">
								<label for="idPagoConvo" class="formulario_linea_label"><spring:message code="fexpediente.formPagos.numeroPago" />:</label>
								<input type="text" class="form-control disabled readonly" value="${pagoConvo.numeroPago}" />
							</div>
						</c:if>
						
					</div>
						
		 	</div>
	 
	
		</form:form>
		<div id="tabDocContables_filter_div" class="rup-table-filter">
			<div id="tabDocContables_grid_div">
				<table id="tabDocContables"></table>
				<div id="tabDocContables_pager"></div>
			</div>
		</div>
	</div>
</section>


<!-- Formulario de detalle -->
<div id="docContables_detail_div" class="rup-table-formEdit-detail">
	<div id ="docContables_detail_navigation"  class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="docContables_detail_form">	
			<input type="hidden" id="idDocumentoContable" name="idDocumentoContable"/>	
			<div id ="docContables_detail_feedback" class="hidden"></div>		<!-- Feedback del formulario de detalle -->
			
			<div class="row">
				<div class="col-xs-2 form-group">
					<label ><spring:message code="expediente.tercero"/></label>
					<input type="text" id="terceroDC" name="tercero" class="form-control disabled" readonly="readonly"/>
				</div>
				<div class="col-xs-2 form-group">
					<label ><spring:message code="moduloContable.nExpediente"/></label>
					<input type="text" id="numeroExpedienteDC" name="numeroExpediente" class="form-control disabled" readonly="readonly"/>
				</div>
				<div class="col-xs-2 form-group">
					<label ><spring:message code="fexpediente.datos.comunidadBienes.tipoDocumento"/></label>
					<input type="text" id="tipoDocumentoDC" name="tipoDocumento.descripcionCastellano" class="form-control disabled" readonly="readonly"/>
					<input type="hidden" id="idTipoDocumentoDC" name="tipoDocumento.idTipoDocumento" class="form-control disabled"/>
				</div>
				<div class="col-xs-4 form-group">
					<label ><spring:message code="fexpediente.datoscontables.concepto"/></label>
					<input type="text" id="conceptoResumidoDC" name="conceptoResumido" class="form-control disabled" readonly="readonly"/>
				</div>
				<div class="col-xs-2 form-group">
					<label ><spring:message code="fexpediente.datoscontables.importe"/></label>
					<input type="text" id="importeDC" name="importeMask" class="form-control disabled" readonly="readonly"/>
				</div>
			</div>
			
			<fieldset>
			<legend><spring:message code="fexpediente.datoscontables.aplPresu"/></legend>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.ejercicio"/></label>
						<input type="text" id="ejercicioDC" name="ejercicioAplPre" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.agrupacion"/></label>
						<input type="text" id="agrupacionDC" name="agrupacion" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.gastoIngreso"/></label>
						<input type="text" id="gastoIngresoDC" name="gastoIngreso" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.seccion"/></label>
						<input type="text" id="seccionDC" name="seccion" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.servicio"/></label>
						<input type="text" id="servicioDC" name="servicio" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.centro"/></label>
						<input type="text" id="centroDC" name="centro" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="moduloContable.territorio"/></label>
						<input type="text" id="territorioDC" name="nombreTerritorio" class="form-control disabled" readonly="readonly"/>
						<input type="hidden" id="idTerritorioDC" name="territorio" class="form-control disabled"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.cac"/></label>
						<input type="text" id="cacDC" name="cac" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.sc"/></label>
						<input type="text" id="scDC" name="sc" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.programa"/></label>
						<input type="text" id="programaDC" name="programa" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.partida"/></label>
						<input type="text" id="partidaDC" name="partida" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.letraControl"/></label>
						<input type="text" id="letraControlDC" name="letraControl" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
			</fieldset>	
			
			<fieldset>
				<legend><spring:message code="fexpediente.datoscontables.refIntervencion"/></legend>
				<div class="row">
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.ejercicio"/></label>
						<input type="text" id="ejercicioRefIntDC" name="ejercicioRefInt" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.anoOrigen"/></label>
						<input type="text" id="anyoOrigenDC" name="anyoOrigen" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.numero"/></label>
						<input type="text" id="numeroDC" name="numero" class="form-control disabled" readonly="readonly"/>
					</div>
					<div class="col-xs-3 form-group">
						<label ><spring:message code="fexpediente.datoscontables.disponibleSufijo"/></label>
						<input type="text" id="disponibleDC" name="disponible" class="form-control disabled" readonly="readonly"/>
					</div>
				</div>
			</fieldset>
			
		</form>
	</div>
		
</div>	

